		extrn	i_play: byte

_ptrModulePlay		dw	0, 0
_ptrModuleEnd		dw	0, 0

_setMusicPtrs	proc
		public	_setMusicPtrs

		push	bp
		mov	bp, sp
		mov	ax, [bp + 6]
		mov	cs:_ptrModulePlay, ax
		mov	ax, [bp + 8]
		mov	cs:_ptrModulePlay + 2, ax
		mov	ax, [bp + 10]
		mov	cs:_ptrModuleEnd, ax
		mov	ax, [bp + 12]
		mov	cs:_ptrModuleEnd + 2, ax
		pop	bp
		ret

_setMusicPtrs	endp


decodeFilM	proc	near

		les	di, dword ptr cs:_ptrDosFile
		mov	al, 0
@@1:		cmp	byte ptr [si], 0
		jz	@@2
		cmp	byte ptr [si], '.'
		jnz	@@11
		mov	al, 1
@@11:		movsb
		jmp	@@1
@@2: 	       	or	al, al
		jnz	@@3
		mov	al, '.'
		stosb
		mov	al, 'M'
		stosb
		mov	al, 'O'
		stosb
		mov	al, 'D'
		stosb
@@3:		mov	al, 0
		stosb
		ret

decodeFilM	endp

		public	play_music

play_music	proc	near

		pusha
		push    es
		push	ds
		mov	si, dx			; v DE je ukazatel na filename
		call	decodeFil
		call    dword ptr cs:_ptrModulePlay
		mov	cs:res_load, al
		pop	ds
		pop	es
		popa
		and	ah, 0feh
		or	ah, cs:res_load
		ret

play_music	endp

		public	music_end

music_end	proc	near

		pusha
		push    es
		push	ds
		call    dword ptr cs:_ptrModuleEnd
		mov	cs:i_play, 0
		pop	ds
		pop	es
		popa
		ret

music_end	endp

music_init	proc	near

		mov	cs:i_play, 0
		ret

music_init	endp

music_store	proc	near

		cmp	cs:i_play, 0
		jz	@@1
		pusha
		push	ds
		push	es
		call	dword ptr cs:_ptrModuleEnd
		pop	es
		pop	ds
		popa
		mov	cs:i_play, 0
@@1:		ret

music_store	endp

; ========================================
;
;    prepis obrazovky ZX spectra
;
; ========================================

		EVEN

adr_svram	dw	0
spc_line	db	0
spc_col		db	0
spc_size	db	0
spc_width	db	0

EGACOL_BX	proc

		push	ax
		mov	bl, ah
		and	bl, 7
		shr	ah, 1
		shr	ah, 1
		shr	ah, 1
		mov	bh, ah
		test	bh, 7
		jnz	EGACOL_BX_2
		mov	bh, 0
EGACOL_BX_2:	test	bl, 7
		jz	EGACOL_BX_1
		and	ah, 8
		or	bl, ah
EGACOL_BX_1:    xchg	bh, bl
		pop	ax
		ret

EGACOL_BX	endp

prepZX3		proc	near

		mov	ch, 8
@@0:            mov	cl, 32			; 32 byte na radek
@@1:            push	cx
		mov	ah, [si]
		inc	si
		push	bx
		call	EGACOL_BX
		mov	bp, bx
		pop	bx
		mov	ax, 0ff08h
		out	dx, ax
		irp	X, <0, 1, 2, 3, 4, 5, 6, 7>
		mov	cx, bp
		xchg	es:[di + (X * 40)], cl
		endm
		irp	X, <0, 1, 2, 3, 4, 5, 6, 7>
		mov	cx, bp
		mov	ah, ds:[bx + (X * 256)]
		out	dx, ax
		xchg	es:[di + (X * 40)], ch
		endm
		pop	cx
		inc	bx		; na dalsi pozici
		inc	di		; na dalsi pozici
		dec	cl
		jz      @@2
		jmp	@@1
@@2:		add	di, 7 * 40 + 8	; na dalsi pozici
		dec	ch
		jz	@@3
		jmp	@@0
@@3:		ret

prepZX3		endp

prepZX		proc	near
		public	prepZX

		pusha
		mov	dx, 3c4h
		mov	ax, 0f02h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 205h
		out	dx, ax
		mov	ax, 3
		out	dx, ax
		mov	es, cs:seg_VRAM
		mov	bx, 4000h		; adresa VRAM spectra
		mov	si, 5800h		; atributy
		mov	di, 4			; adresa VRAM EGy
		call	prepZX3			; prepis tretinu
		mov	bx, 4800h
		mov	si, 5900h
		mov	di, 4 + ( 64 * 40 )
		call	prepZX3
		mov	bx, 5000h
		mov	si, 5a00h
		mov	di, 4 + ( 128 * 40 )
		call	prepZX3
		mov	es, cs:seg_ROM
		popa
		ret

prepZX		endp

prepZX_BW3	proc	near

		mov	bl, 8
@@1:            push	si
		irp	X, <0, 1, 2, 3, 4, 5, 6, 7>
		push	si
		mov	cx, 16
		rep	movsw
		pop	ax
		inc	ah
		mov	si, ax
		add	di, 8
		endm
		pop	si
		add	si, 32
		dec	bl
		jnz	@@1
		ret

prepZX_BW3	endp

prepZX_BWX	proc	near

		ret

prepZX_BWX	endp

prepZX_BW	proc	near
		public	prepZX_BW

		pusha
		and	bx, 7fffh
		mov	word ptr cs:adr_svram, bx
		mov	bx, cs:hl
		mov	word ptr cs:spc_line, bx
		mov	word ptr cs:spc_size, dx
		mov	ah, al				; rovina ...
		mov	dx, 3c4h
		mov	al, 02h
		out	dx, ax
		mov	es, cs:seg_VRAM
		mov	dx, 3ceh
		mov	ax, 0
		out	dx, ax
		mov	ax, 1
		out	dx, ax
		mov	ax, 3
		out	dx, ax
		mov	ax, 5
		out	dx, ax
		cmp     word ptr cs:spc_line, 0
		jnz	@@2
		cmp	word ptr cs:spc_size, 0
		jz	@@1
		jmp	@@2
@@1:		mov	di, cs:adr_svram		; first
		mov	si, 4000h
		call	prepZX_BW3
		mov	si, 4800h
		mov	di, (64 * 40)
		add	di, cs:adr_svram
		call	prepZX_BW3
		mov	si, 5000h
		mov	di, (128 * 40)
		add	di, cs:adr_svram
		call	prepZX_BW3
		mov	es, cs:seg_ROM
		popa
		ret
@@2:		call	prepZX_BWX
		popa
		ret

prepZX_BW	endp
