
		.model	large
		MASM
		.CODE	_EMUL
		.386
		locals	@@
		extrn	rbyte: near
		extrn	wbyte: near
		extrn   rword: near
		extrn	wword: near
		extrn	inpx: near
		extrn	outpx: near
		extrn	break_p: near
		extrn	one_byte: near
		extrn	lbl_cb: near
		extrn	lbl_dd: near
		extrn	lbl_ed: near
		extrn	lbl_fd: near
		extrn	lbl_dd_cb: near
		extrn	lbl_fd_cb: near
		extrn	err_instr: near
		extrn	hl: word
		extrn	ix: word
		extrn	iy: word
		extrn  	af1: word
		extrn	bc1: word
		extrn	de1: word
		extrn	hl1: word
		extrn	reg_i: byte
		extrn	reg_r: byte
		extrn	intr_imx: byte
		extrn	intr_in: byte
		extrn	intr_go: byte
		extrn	intr_off: byte
		extrn	intr_enbl: byte
		extrn	intr_poz: byte
		extrn	INTR_ADR: byte
		public	prefix_cb
		public	prefix_dd
		public	prefix_ed
		public	prefix_fd
		public	prefix_dd_cb
		public	prefix_fd_cb
		public	bas_instr
		pom		db	0

stdend		macro

		mov	bh, 0
		mov	bl, [si]	       
		add	bx, bx
		jmp	word ptr cs:[bx + offset one_byte]

endm

add8		macro	XXX		

		
		lahf
		seto	bh
		shl	bh, 2
		&XXX:	and	ah, 11010001b	
		or	ah, bh		

endm

sub8		macro	XXX		

		lahf
		seto	bh
		shl	bh, 2
		&XXX:	and	ah, 11010001b	
		or	ah, bh
		or	ah, 00000010b	

endm

and8		macro			

		lahf
		or	ah, 00010000b	
		and	ah, 11011100b	

endm

xor8		macro			

		lahf
		and	ah, 11001100b	

endm

or8		macro			

		lahf
		and	ah, 11001100b	

endm

cp8		macro	XXX		

		lahf
		seto	bh
		shl	bh, 2
		&XXX:	and	ah, 11010001b
		or	ah, bh
		or	ah, 00000010b	

endm

inc80		macro

		and	ah, 00000001b	
		mov	bh, ah

endm

inc8		macro	XXX		

		lahf
		jno	&XXX
		or	bh, 00000100b	
		XXX:	and	ah, 11010000b	
		or	ah, bh

endm

dec80		macro

		and	ah, 00000001b	
		or	ah, 00000010b	
		mov	bh, ah

endm

dec8		macro	XXX		

		lahf
		jno	&XXX
		or	bh, 00000100b	
		XXX:	and	ah, 11010000b	
		or	ah, bh

endm

adc16		macro	XXX

		lahf
		seto	bl
		shl	bl, 2
		XXX:	and	ah, 11010001b		
		or	ah, bl

endm

sbc16		macro	XXX

		lahf
		seto	bl
		shl	bl, 2
		&XXX:	and	ah, 11111001b
		or	ah, bl
		or	ah, 00000010b		

endm

rlcx		macro	XXX1

		rol	&XXX1, 1		
		setc	bh
		or	&XXX1, &XXX1
		lahf
		or	ah, bh			
		and	ah, 11101101b		

endm

rrcx		macro	XXX1

		ror	&XXX1, 1
		setc	bh
		or	&XXX1, &XXX1
		lahf
		or	ah, bh
		and	ah, 11101101b		

endm

rlx		macro	XXX1

		sahf
		rcl	&XXX1, 1
		setc	bh
		or	&XXX1, &XXX1
		lahf
		and	ah, 11101101b		
		or	ah, bh

endm

rrx		macro	XXX1

		sahf
		rcr	&XXX1, 1
		setc	bh
		or	&XXX1, &XXX1
		lahf
		or	ah, bh
		and	ah, 11101101b		

endm

slax		macro	XXX1

		shl	&XXX1, 1		
		setc	bh
		or	&XXX1, &XXX1
		lahf
		or	ah, bh			
		and	ah, 11101101b		

endm

srlx		macro	XXX1

		shr	&XXX1, 1		
		setc	bh
		or	&XXX1, &XXX1
		lahf
		or	ah, bh			
		and	ah, 11101101b		

endm

sllx		macro	XXX1

		stc
		rcl	&XXX1, 1
		setc	bh
		or	&XXX1, &XXX1
		lahf
		or	ah, bh
		and	ah, 11101101b		

endm

srax		macro	XXX1

		sar	&XXX1, 1
		setc	bh
		or	&XXX1, &XXX1
		lahf
		or	ah, bh			
		and	ah, 11101101b		

endm

bitx		macro	LL, XX, XXX, XXXX	

		test	&XXX, &XX
		setz	bh
		shl	bh, 6
		and	ah, 1
		or	ah, bh
		add	si, &XXXX
		stdend

endm

setx		macro	XX, XXX, XXXX

		or	&XXX, &XX
		add	si, &XXXX
		stdend

endm

resx		macro	XX, XXX, XXXX

		and	&XXX, &XX
		add	si, &XXXX
		stdend

endm

lbl_2:

		mov	bl, al
		mov	bp, cx
		call	wbyte
		inc	si
		stdend

lbl_6:

		mov	ch, [si+1]
		add	si, 2
		stdend

lbl_A:

		mov	bp, cx
		call	rbyte
		mov     al, bl
		inc	si
		stdend

lbl_E:

		mov	cl, [si+1]
		add	si, 2
		stdend

lbl_12:

		mov	bl, al
		mov	bp, dx
		call	wbyte
		inc	si
		stdend

lbl_16:

		mov	dh, [si+1]
		add	si, 2
		stdend

lbl_1A:

		mov	bp, dx
		call	rbyte
		mov	al, bl
		inc	si
		stdend

lbl_1E:

		mov	dl, [si+1]
		add	si, 2
		stdend

lbl_26:

		mov	bl, [si+1]
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_2E:

		mov	bl, [si+1]
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_32:

		mov	bp, [si+1]
		mov	bl, al
		call	wbyte
		add	si, 3
		stdend

lbl_36:

		mov	bl, [si+1]
		mov	bp, cs:hl
		call	wbyte
		add	si, 2
		stdend

lbl_3A:

		mov	bp, [si+1]
		call	rbyte
		mov	al, bl
		add	si, 3
		stdend

lbl_3E:

		mov	al, [si+1]
		add	si, 2
		stdend

lbl_40:

		inc	si
		stdend		

lbl_41:

		mov	ch, cl
		inc	si
		stdend

lbl_42:

		mov     ch, dh
		inc	si
		stdend

lbl_43:

		mov	ch, dl
		inc	si
		stdend

lbl_44:

		mov	ch, byte ptr cs:hl+1
		inc	si
		stdend

lbl_45:

		mov	ch, byte ptr cs:hl
		inc	si
		stdend

lbl_46:

		mov	bp, cs:hl
		call	rbyte
		mov	ch, bl
		inc	si
		stdend

lbl_47:

		mov	ch, al
		inc	si
		stdend

lbl_48:

		mov	cl, ch
		inc	si
		stdend

lbl_49:

		inc	si
		stdend

lbl_4A:

		mov	cl, dh
		inc	si
		stdend

lbl_4B:

		mov	cl, dl
		inc	si
		stdend

lbl_4C:

		mov	cl, byte ptr cs:hl+1
		inc	si
		stdend

lbl_4D:

		mov	cl, byte ptr cs:hl
		inc	si
		stdend

lbl_4E:

		mov	bp, cs:hl
		call	rbyte
		mov	cl, bl
		inc	si
		stdend

lbl_4F:

		mov	cl, al
		inc	si
		stdend

lbl_50:

		mov	dh, ch
		inc	si
		stdend

lbl_51:

		mov	dh, cl
		inc	si
		stdend

lbl_52:

		inc	si
		stdend

lbl_53:

		mov	dh, dl
		inc	si
		stdend

lbl_54:

		mov	dh, byte ptr cs:hl+1
		inc	si
		stdend

lbl_55:

		mov	dh, byte ptr cs:hl
		inc	si
		stdend

lbl_56:

		mov	bp, cs:hl
		call	rbyte
		mov	dh, bl
		inc	si
		stdend

lbl_57:

		mov	dh, al
		inc	si
		stdend

lbl_58:

		mov	dl, ch
		inc	si
		stdend

lbl_59:

		mov	dl, cl
		inc	si
		stdend

lbl_5A:

		mov	dl, dh
		inc	si
		stdend

lbl_5B:

		inc	si
		stdend

lbl_5C:

		mov	dl, byte ptr cs:hl+1
		inc	si
		stdend

lbl_5D:

		mov	dl, byte ptr cs:hl
		inc	si
		stdend

lbl_5E:

		mov	bp, cs:hl
		call	rbyte
		mov	dl, bl
		inc	si
		stdend

lbl_5F:

		mov	dl, al
		inc	si
		stdend

lbl_60:

		mov	byte ptr cs:hl+1, ch
		inc	si
		stdend

lbl_61:

		mov	byte ptr cs:hl+1, cl
		inc	si
		stdend

lbl_62:

		mov	byte ptr cs:hl+1, dh
		inc	si
		stdend

lbl_63:

		mov	byte ptr cs:hl+1, dl
		inc	si
		stdend

lbl_64:

		inc	si
		stdend

lbl_65:

		mov	bl, byte ptr cs:hl
		mov	byte ptr cs:hl+1, bl
		inc	si
		stdend

lbl_66:

		mov	bp, cs:hl
		call	rbyte
		mov	byte ptr cs:hl+1, bl
		inc	si
		stdend

lbl_67:

		mov	byte ptr cs:hl+1, al
		inc	si
		stdend

lbl_68:

		mov	byte ptr cs:hl, ch
		inc	si
		stdend

lbl_69:

		mov	byte ptr cs:hl, cl
		inc	si
		stdend

lbl_6A:

		mov	byte ptr cs:hl, dh
		inc	si
		stdend

lbl_6B:

		mov	byte ptr cs:hl, dl
		inc	si
		stdend

lbl_6C:

		mov	bl, byte ptr cs:hl+1
		mov	byte ptr cs:hl, bl
		inc	si
		stdend

lbl_6D:

		jmp	break_p			

lbl_6E:

		mov	bp, cs:hl
		call	rbyte
		mov	byte ptr cs:hl, bl
		inc	si
		stdend

lbl_6F:

		mov	byte ptr cs:hl, al
		inc	si
		stdend

lbl_70:

		mov	bp, cs:hl
		mov	bl, ch
		call	wbyte
		inc	si
		stdend

lbl_71:

		mov	bp, cs:hl
		mov	bl, cl
		call	wbyte
		inc	si
		stdend

lbl_72:

		mov	bp, cs:hl
		mov	bl, dh
		call	wbyte
		inc	si
		stdend

lbl_73:

		mov	bp, cs:hl
		mov	bl, dl
		call	wbyte
		inc	si
		stdend

lbl_74:

		mov	bp, cs:hl
		mov	bl, byte ptr cs:hl+1
		call	wbyte
		inc	si
		stdend

lbl_75:

		mov	bp, cs:hl
		mov	bl, byte ptr cs:hl
		call	wbyte
		inc	si
		stdend

lbl_77:

		mov	bp, cs:hl
		mov	bl, al
		call	wbyte
		inc	si
		stdend

lbl_78:

		mov	al, ch
		inc	si
		stdend

lbl_79:

		mov	al, cl
		inc	si
		stdend

lbl_7A:

		mov	al, dh
		inc	si
		stdend

lbl_7B:

		mov	al, dl
		inc	si
		stdend

lbl_7C:

		mov	al, byte ptr cs:hl+1
		inc	si
		stdend

lbl_7D:

		mov	al, byte ptr cs:hl
		inc	si
		stdend

lbl_7E:

		mov	bp, cs:hl
		call	rbyte
		mov	al, bl
		inc	si
		stdend

lbl_7F:

		inc	si
		stdend

lbl_DD_46:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	ch, bl
		add	si, 3
		stdend

lbl_DD_4E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	cl, bl
		add	si, 3
		stdend

lbl_DD_56:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	dh, bl
		add	si, 3
		stdend

lbl_DD_5E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	dl, bl
		add	si, 3
		stdend

lbl_DD_66:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov     byte ptr cs:hl+1, bl
		add	si, 3
		stdend

lbl_DD_6E:

		mov	bp, cs:ix
		mov	bx, ax
		mov     al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	byte ptr cs:hl, bl
		add	si, 3
		stdend

lbl_DD_7E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	al, bl
		add	si, 3
		stdend

lbl_FD_46:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	ch, bl
		add	si, 3
		stdend

lbl_FD_4E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	cl, bl
		add	si, 3
		stdend

lbl_FD_56:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	dh, bl
		add	si, 3
		stdend

lbl_FD_5E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	dl, bl
		add	si, 3
		stdend

lbl_FD_66:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	byte ptr cs:hl+1, bl
		add	si, 3
		stdend

lbl_FD_6E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	byte ptr cs:hl, bl
		add	si, 3
		stdend

lbl_FD_7E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		mov	al, bl
		add	si, 3
		stdend

lbl_DD_70:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, ch
		call	wbyte
		add	si, 3
		stdend

lbl_DD_71:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, cl
		call	wbyte
		add	si, 3
		stdend

lbl_DD_72:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, dh
		call	wbyte
		add	si, 3
		stdend

lbl_DD_73:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, dl
		call	wbyte
		add	si, 3
		stdend

lbl_DD_74:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, byte ptr cs:hl+1
		call	wbyte
		add	si, 3
		stdend

lbl_DD_75:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, byte ptr cs:hl
		call	wbyte
		add	si, 3
		stdend

lbl_DD_77:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx			
		call	wbyte
		add	si, 3
		stdend

lbl_FD_70:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, ch
		call	wbyte
		add	si, 3
		stdend

lbl_FD_71:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, cl
		call	wbyte
		add	si, 3
		stdend

lbl_FD_72:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, dh
		call	wbyte
		add	si, 3
		stdend

lbl_FD_73:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, dl
		call	wbyte
		add	si, 3
		stdend

lbl_FD_74:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, byte ptr cs:hl+1
		call	wbyte
		add	si, 3
		stdend

lbl_FD_75:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, byte ptr cs:hl
		call	wbyte
		add	si, 3
		stdend

lbl_FD_77:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	wbyte
		add	si, 3
		stdend

lbl_DD_36:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, [si+3]
		call	wbyte
		add	si, 4
		stdend

lbl_FD_36:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		mov	bl, [si+3]
		call	wbyte
		add	si, 4
		stdend

lbl_ED_47:

		mov	cs:reg_i, al
		add	si, 2
		stdend

lbl_ED_4F:

		mov	cs:reg_r, al
		add	si, 2
		stdend

lbl_ED_57:

		mov	al, cs:reg_i
		mov	bl, cs:intr_enbl
		and	bl, 100b
		and	ah, 11111011b
		or	ah, bl
		add	si, 2
		stdend

lbl_ED_5F:

		in	al, 41h
		mov	bl, al
		in	al, 41h
		xor	al, bl
		and	ah, 00111011b
		mov	bh, al
		ror	bh, 4
		and	bh, 11000000b
		or	ah, bh
		mov	bl, cs:intr_enbl
		and	bl, 00000100b
		or	ah, bl
		add	si, 2
		stdend

lbl_DD_60:

		mov	byte ptr cs:ix + 1, ch
		add	si, 2
		stdend

lbl_FD_60:

		mov	byte ptr cs:iy + 1, ch
		add	si, 2
		stdend

lbl_DD_61:

		mov	byte ptr cs:ix + 1, ch
		add	si, 2
		stdend

lbl_FD_61:

		mov	byte ptr cs:iy + 1, cl
		add	si, 2
		stdend

lbl_DD_62:

		mov	byte ptr cs:ix + 1, dh
		add	si, 2
		stdend

lbl_FD_62:

		mov	byte ptr cs:iy + 1, dh
		add	si, 2
		stdend

lbl_DD_63:

		mov	byte ptr cs:ix + 1, dl
		add	si, 2
		stdend

lbl_FD_63:

		mov	byte ptr cs:iy + 1, dl
		add	si, 2
		stdend

lbl_DD_64:

		add	si, 2
		stdend

lbl_FD_64:

		add	si, 2
		stdend

lbl_DD_65:

		mov	bl, byte ptr cs:ix
		mov	byte ptr cs:ix + 1, bl
		add	si, 2
		stdend

lbl_FD_65:

		mov	bl, byte ptr cs:iy
		mov	byte ptr cs:iy + 1, bl
		add	si, 2
		stdend

lbl_DD_67:

		mov	byte ptr cs:ix + 1, al
		add	si, 2
		stdend

lbl_FD_67:

		mov	byte ptr cs:iy + 1, al
		add	si, 2
		stdend

lbl_DD_26:

		mov	bl, [si+2]
		mov	byte ptr cs:ix + 1, bl
		add	si, 3
		stdend

lbl_FD_26:

		mov	bl, [si+2]
		mov	byte ptr cs:iy + 1, bl
		add	si, 3
		stdend

lbl_DD_68:

		mov	byte ptr cs:ix, ch
		add	si, 2
		stdend

lbl_FD_68:

		mov	byte ptr cs:iy, ch
		add	si, 2
		stdend

lbl_DD_69:

		mov	byte ptr cs:ix, ch
		add	si, 2
		stdend

lbl_FD_69:

		mov	byte ptr cs:iy, cl
		add	si, 2
		stdend

lbl_DD_6A:

		mov	byte ptr cs:ix, dh
		add	si, 2
		stdend

lbl_FD_6A:

		mov	byte ptr cs:iy, dh
		add	si, 2
		stdend

lbl_DD_6B:

		mov	byte ptr cs:ix, dl
		add	si, 2
		stdend

lbl_FD_6B:

		mov	byte ptr cs:iy, dl
		add	si, 2
		stdend

lbl_DD_6C:

		mov	bl, byte ptr cs:ix + 1
		mov	byte ptr cs:ix, bl
		add	si, 2
		stdend

lbl_FD_6C:

		mov	bl, byte ptr cs:iy + 1
		mov	byte ptr cs:iy, bl
		add	si, 2
		stdend

lbl_DD_6D:

		add	si, 2
		stdend

lbl_FD_6D:

		add	si, 2
		stdend

lbl_DD_6F:

		mov	byte ptr cs:ix, al
		add	si, 2
		stdend

lbl_FD_6F:

		mov	byte ptr cs:iy, al
		add	si, 2
		stdend

lbl_DD_2E:

		mov	bl, [si+2]
		mov	byte ptr cs:ix, bl
		add	si, 3
		stdend

lbl_FD_2E:

		mov	bl, [si+2]
		mov	byte ptr cs:iy, bl
		add	si, 3
		stdend

lbl_DD_44:

		mov	ch, byte ptr cs:ix + 1
		add	si, 2
		stdend

lbl_FD_44:

		mov	ch, byte ptr cs:iy + 1
		add	si, 2
		stdend

lbl_DD_45:

		mov	ch, byte ptr cs:ix
		add	si, 2
		stdend

lbl_FD_45:

		mov	ch, byte ptr cs:iy
		add	si, 2
		stdend

lbl_DD_4C:

		mov	cl, byte ptr cs:ix + 1
		add	si, 2
		stdend

lbl_FD_4C:

		mov	cl, byte ptr cs:iy + 1
		add	si, 2
		stdend

lbl_DD_4D:

		mov	cl, byte ptr cs:ix
		add	si, 2
		stdend

lbl_FD_4D:

		mov	cl, byte ptr cs:iy
		add	si, 2
		stdend

lbl_DD_54:

		mov	dh, byte ptr cs:ix + 1
		add	si, 2
		stdend

lbl_FD_54:

		mov	dh, byte ptr cs:iy + 1
		add	si, 2
		stdend

lbl_DD_55:

		mov	dh, byte ptr cs:ix
		add	si, 2
		stdend

lbl_FD_55:

		mov	dh, byte ptr cs:iy
		add	si, 2
		stdend

lbl_DD_5C:

		mov	dl, byte ptr cs:ix + 1
		add	si, 2
		stdend

lbl_FD_5C:

		mov	dl, byte ptr cs:iy + 1
		add	si, 2
		stdend

lbl_DD_5D:

		mov	dl, byte ptr cs:ix
		add	si, 2
		stdend

lbl_FD_5D:

		mov	dl, byte ptr cs:iy
		add	si, 2
		stdend

lbl_DD_7C:

		mov	al, byte ptr cs:ix + 1
		add	si, 2
		stdend

lbl_FD_7C:

		mov	al, byte ptr cs:iy + 1
		add	si, 2
		stdend

lbl_DD_7D:

		mov	al, byte ptr cs:ix
		add	si, 2
		stdend

lbl_FD_7D:

		mov	al, byte ptr cs:iy
		add	si, 2
		stdend

lbl_1:

		mov	cx, [si+1]
		add	si, 3
		stdend

lbl_11:

		mov	dx, [si+1]
		add	si, 3
		stdend

lbl_21:

		mov	bx, [si+1]
		mov	cs:hl, bx
		add	si, 3
		stdend

lbl_31:

		mov	di, [si+1]
		add	si, 3
		stdend

lbl_DD_21:

		mov	bx, [si+2]
		mov	cs:ix, bx
		add	si, 4
		stdend

lbl_FD_21:

		mov	bx, [si+2]
		mov	cs:iy, bx
		add	si, 4
		stdend

lbl_ED_4B:

		mov	bp, [si+2]
		call	rword
		mov	cx, bx
		add	si, 4
		stdend

lbl_ED_5B:

		mov	bp, [si+2]
		call	rword
		mov	dx, bx
		add	si, 4
		stdend

lbl_ED_6B:

		mov	bp, [si+2]
		call	rword
		mov	cs:hl, bx
		add	si, 4
		stdend

lbl_2A:

		mov	bp, [si+1]
		call	rword
		mov	cs:hl, bx
		add	si, 3
		stdend

lbl_ED_7B:

		mov	bp, [si+2]
		call	rword
		mov	di, bx
		add	si, 4
		stdend

lbl_DD_2A:

		mov	bp, [si+2]
		call	rword
		mov	cs:ix, bx
		add	si, 4
		stdend

lbl_FD_2A:

		mov	bp, [si+2]
		call	rword
		mov	cs:iy, bx
		add	si, 4
		stdend

lbl_ED_43:

		mov	bp, [si+2]
		mov	bx, cx
		call	wword
		add	si, 4
		stdend

lbl_ED_53:

		mov	bp, [si+2]
		mov	bx, dx
		call	wword
		add	si, 4
		stdend

lbl_ED_63:

		mov	bp, [si+2]
		mov	bx, cs:hl
		call	wword
		add	si, 4
		stdend

lbl_22:

		mov	bp, [si+1]
		mov	bx, cs:hl
		call	wword
		add	si, 3
		stdend

lbl_ED_73:

		mov	bp, [si+2]
		mov	bx, di
		call	wword
		add	si, 4
		stdend

lbl_DD_22:

		mov	bp, [si+2]
		mov	bx, cs:ix
		call	wword
		add	si, 4
		stdend

lbl_FD_22:

		mov	bp, [si+2]
		mov	bx, cs:iy
		call	wword
		add	si, 4
		stdend

lbl_F9:

		mov	di, cs:hl
		inc	si
		stdend

lbl_DD_F9:

		mov	di, cs:ix
		add	si, 2
		stdend

lbl_FD_F9:

		mov	di, cs:iy
		add	si, 2
		stdend

lbl_C1:

		mov	bp, di
		call	rword
		mov	cx, bx
		add	di, 2
		inc	si
		stdend

lbl_D1:

		mov	bp, di
		call	rword
		mov	dx, bx
		add	di, 2
		inc	si
		stdend

lbl_E1:

		mov	bp, di
		call	rword
		mov	cs:hl, bx
		add	di, 2
		inc	si
		stdend

lbl_F1:

		mov	bp, di
		call	rword
		mov	ax, bx
		xchg	ah, al			
		add	di, 2
		inc	si
		stdend

lbl_DD_E1:

		mov	bp, di
		call	rword
		mov	cs:ix, bx
		add	di, 2
		add	si, 2
		stdend

lbl_FD_E1:

		mov	bp, di
		call	rword
		mov	cs:iy, bx
		add	di, 2
		add	si, 2
		stdend

lbl_C5:

		sub	di, 2
		mov	bp, di
		mov	bx, cx
		call	wword
		inc	si
		stdend

lbl_D5:

		sub	di, 2
		mov	bp, di
		mov	bx, dx
		call	wword
		inc	si
		stdend

lbl_E5:

		sub	di, 2
		mov	bp, di
		mov	bx, cs:hl
		call	wword
		inc	si
		stdend

lbl_F5:

		sub	di, 2
		mov	bp, di
		mov	bx, ax
		xchg	bh, bl			
		call	wword
		inc	si
		stdend

lbl_DD_E5:

		sub	di, 2
		mov	bp, di
		mov	bx, cs:ix
		call	wword
		add	si, 2
		stdend

lbl_FD_E5:

		sub	di, 2
		mov	bp, di
		mov	bx, cs:iy
		call	wword
		add	si, 2
		stdend

lbl_8:

		xchg	ax, cs:af1
		inc	si
		stdend

lbl_D9:

		xchg	cx, cs:bc1
		xchg	dx, cs:de1
		mov	bx, cs:hl
		xchg	bx, cs:hl1
		mov	cs:hl, bx
		inc	si
		stdend

lbl_EB:

		xchg	dx, cs:hl
		inc	si
		stdend

lbl_E3:

		mov	bx, cs:hl
		xchg	bx, [di]
		mov	cs:hl, bx
		inc	si
		stdend

lbl_DD_E3:

		mov	bx, cs:ix
		xchg	bx, [di]
		mov	cs:ix, bx
		add	si, 2
		stdend

lbl_FD_E3:

		mov	bx, cs:iy
		xchg	bx, [di]
		mov	cs:iy, bx
		add	si, 2
		stdend

lbl_ED_A0:

		LEDA0_0:mov	bp, cs:hl
		call	rbyte
		mov	bp, dx
		call	wbyte
		inc	dx
		inc	cs:hl
		and	ah, 11000001b
		dec	cx
		jz	LEDA0
		or	ah, 00000100b		
		LEDA0:	add	si, 2
		stdend

lbl_ED_A8:

		LEDA8_0:mov	bp, cs:hl
		call	rbyte
		mov	bp, dx
		call	wbyte
		dec	dx
		dec	cs:hl
		and	ah, 11000001b
		dec	cx
		jz	LEDA8
		or	ah, 00000100b		
		LEDA8:	add	si, 2
		stdend

lbl_ED_B0:

		@@02:	mov	bp, cs:hl
		call	rbyte
		mov	bp, dx
		call	wbyte
		inc	dx
		inc	cs:hl
		loop	@@02
		@@03:	and	ah, 11000001b		
		add	si, 2
		stdend

lbl_ED_B8:

		@@02:	mov	bp, cs:hl
		call	rbyte
		mov	bp, dx
		call	wbyte
		dec	dx
		dec	cs:hl
		loop	@@02
		@@03:	and	ah, 11000001b		
		add	si, 2
		stdend

lbl_ED_A1:

		mov	bp, cs:hl
		call	rbyte
		inc	cs:hl
		dec	cx
		mov	bh, ah
		and	bh, 00000001b		
		cmp	al, bl
		lahf
		and	ah, 11010000b
		or      ah, 00000010b		
		or	ah, bh			
		jcxz	LEDA1
		or	ah, 00000100b		
		LEDA1:	add	si, 2
		stdend

lbl_ED_A9:

		mov	bp, cs:hl
		call	rbyte
		dec	cs:hl
		dec	cx
		mov	bh, ah
		and	bh, 00000001b		
		cmp	al, bl
		lahf
		and	ah, 11010000b
		or	ah, 00000010b
		or	ah, bh			
		jcxz	LEDA9
		or	ah, 00000100b		
		LEDA9:	add	si, 2
		stdend

lbl_ED_B1:

		mov	bh, ah			
		and	bh, 00000001b		
		LEDB1:	mov	bp, cs:hl
		call	rbyte
		cmp	al, bl
		lahf
		inc	cs:hl
		dec	cx
		jcxz	LEDB12
		sahf
		jne	LEDB1
		LEDB12:	and	ah, 11010000b
		or	ah, 00000010b		
		or	ah, bh			
		jcxz	LEDB13
		or	ah, 00000100b           
		LEDB13: add	si, 2
		stdend

lbl_ED_B9:

		mov	bh, ah			
		and	bh, 00000001b		
		LEDB9:	mov	bp, cs:hl
		call	rbyte
		cmp	al, bl
		lahf
		dec	cs:hl
		dec	cx
		jcxz	LEDB92
		sahf
		jne	LEDB9
		LEDB92:	and	ah, 11010000b           
		or	ah, 00000010b		
		or	ah, bh			
		jcxz    LEDB93
		or	ah, 00000100b           
		LEDB93: add	si, 2
		stdend

lbl_80:

		add	al, ch
		add8	<L80>
		inc	si
		stdend

lbl_81:

		add	al, cl
		add8	<L81>
		inc	si
		stdend

lbl_82:

		add	al, dh
		add8	<L82>
		inc	si
		stdend

lbl_83:

		add	al, dl
		add8	<L83>
		inc	si
		stdend

lbl_84:

		add	al, byte ptr cs:hl+1
		add8	<L84>
		inc	si
		stdend

lbl_85:

		add	al, byte ptr cs:hl
		add8	<L85>
		inc	si
		stdend

lbl_86:

		mov	bp, cs:hl
		call	rbyte
		add	al, bl
		add8	<L86>
		inc	si
		stdend

lbl_87:

		add	al, al
		add8	<L87>
		inc	si
		stdend

lbl_C6:

		add	al, [si+1]
		add8	<LC6>
		add	si, 2
		stdend

lbl_DD_86:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		add	al, bl
		add8	<LDD86>
		add	si, 3
		stdend

lbl_FD_86:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		add	al, bl
		add8	<LFD86>
		add	si, 3
		stdend

lbl_88:

		sahf
		adc	al, ch
		add8	<L88>
		inc	si
		stdend

lbl_89:

		sahf
		adc	al, cl
		add8	<L89>
		inc	si
		stdend

lbl_8A:

		sahf
		adc	al, dh
		add8	<L8A>
		inc	si
		stdend

lbl_8B:

		sahf
		adc	al, dl
		add8	<L8B>
		inc	si
		stdend

lbl_8C:

		sahf
		adc	al, byte ptr cs:hl+1
		add8	<L8C>
		inc	si
		stdend

lbl_8D:

		sahf
		adc	al, byte ptr cs:hl
		add8	<L8D>
		inc	si
		stdend

lbl_8E:

		mov	bp, cs:hl
		call	rbyte
		sahf
		adc	al, bl
		add8	<L8E>
		inc	si
		stdend

lbl_8F:

		sahf
		adc	al, al
		add8	<L8F>
		inc	si
		stdend

lbl_CE:

		sahf
		adc	al, [si+1]
		add8	<LCE>
		add	si, 2
		stdend

lbl_DD_8E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sahf
		adc	al, bl
		add8	<LDD8e>
		add	si, 3
		stdend

lbl_FD_8E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sahf
		adc	al, bl
		add8	<LFD8E>
		add	si, 3
		stdend

lbl_90:

		sub	al, ch
		sub8	<L90>
		inc	si
		stdend

lbl_91:

		sub	al, cl
		sub8	<L91>
		inc	si
		stdend

lbl_92:

		sub	al, dh
		sub8	<L92>
		inc	si
		stdend

lbl_93:

		sub	al, dl
		sub8	<L93>
		inc	si
		stdend

lbl_94:

		sub	al, byte ptr cs:hl+1
		sub8	<L94>
		inc	si
		stdend

lbl_95:

		sub	al, byte ptr cs:hl
		sub8	<L95>
		inc	si
		stdend

lbl_96:

		mov	bp, cs:hl
		call	rbyte
		sub	al, bl
		sub8	<L96>
		inc	si
		stdend

lbl_97:

		sub	al, al
		sub8	<L97>
		inc	si
		stdend

lbl_D6:

		sub	al, [si+1]
		sub8	<LD6>
		add	si, 2
		stdend

lbl_DD_96:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sub	al, bl
		sub8	<LDD96>
		add	si, 3
		stdend

lbl_FD_96:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sub	al, bl
		sub8	<LFD96>
		add	si, 3
		stdend

lbl_98:

		sahf
		sbb	al, ch
		sub8	<L98>
		inc	si
		stdend

lbl_99:

		sahf
		sbb	al, cl
		sub8	<L99>
		inc	si
		stdend

lbl_9A:

		sahf
		sbb	al, dh
		sub8	<L9A>
		inc	si
		stdend

lbl_9B:

		sahf
		sbb	al, dl
		sub8	<L9B>
		inc	si
		stdend

lbl_9C:

		sahf
		sbb	al, byte ptr cs:hl+1
		sub8	<L9C>
		inc	si
		stdend

lbl_9D:

		sahf
		sbb	al, byte ptr cs:hl
		sub8	<L9D>
		inc	si
		stdend

lbl_9E:

		mov	bp, cs:hl
		call	rbyte
		sahf
		sbb	al, bl
		sub8	<L9E>
		inc	si
		stdend

lbl_9F:

		sahf
		sbb	al, al
		sub8	<L9F>
		inc	si
		stdend

lbl_DE:

		sahf
		sbb	al, [si+1]
		sub8	<LDE>
		add	si, 2
		stdend

lbl_DD_9E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sahf
		sbb	al, bl
		sub8	<LDD9E>
		add	si, 3
		stdend

lbl_FD_9E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sahf
		sbb	al, bl
		sub8	<LFD9E>
		add	si, 3
		stdend

lbl_A0:

		and	al, ch
		and8
		inc	si
		stdend

lbl_A1:

		and	al, cl
		and8
		inc	si
		stdend

lbl_A2:

		and	al, dh
		and8
		inc	si
		stdend

lbl_A3:

		and	al, dl
		and8
		inc	si
		stdend

lbl_A4:

		and	al, byte ptr cs:hl+1
		and8
		inc	si
		stdend

lbl_A5:

		and	al, byte ptr cs:hl
		and8
		inc	si
		stdend

lbl_A6:

		mov	bp, cs:hl
		call	rbyte
		and	al, bl
		and8
		inc	si
		stdend

lbl_A7:

		and	al, al
		and8
		inc	si
		stdend

lbl_E6:

		and	al, [si+1]
		and8
		add	si, 2
		stdend

lbl_DD_A6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	al, bl
		and8
		add	si, 3
		stdend

lbl_FD_A6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	al, bl
		and8
		add	si, 3
		stdend

lbl_A8:

		xor	al, ch
		xor8
		inc	si
		stdend

lbl_A9:

		xor	al, cl
		xor8
		inc	si
		stdend

lbl_AA:

		xor	al, dh
		xor8
		inc	si
		stdend

lbl_AB:

		xor	al, dl
		xor8
		inc	si
		stdend

lbl_AC:

		xor	al, byte ptr cs:hl+1
		xor8
		inc	si
		stdend

lbl_AD:

		xor	al, byte ptr cs:hl
		xor8
		inc	si
		stdend

lbl_AE:

		mov	bp, cs:hl
		call	rbyte
		xor	al, bl
		xor8
		inc	si
		stdend

lbl_AF:

		xor	al, al
		xor8
		inc	si
		stdend

lbl_EE:

		xor	al, [si+1]
		xor8
		add	si, 2
		stdend

lbl_DD_AE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		xor	al, bl
		xor8
		add	si, 3
		stdend

lbl_FD_AE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		xor	al, bl
		xor8
		add	si, 3
		stdend

lbl_B0:

		or	al, ch
		or8
		inc	si
		stdend

lbl_B1:

		or	al, cl
		or8
		inc	si
		stdend

lbl_B2:

		or	al, dh
		or8
		inc	si
		stdend

lbl_B3:

		or	al, dl
		or8
		inc	si
		stdend

lbl_B4:

		or	al, byte ptr cs:hl+1
		or8
		inc	si
		stdend

lbl_B5:

		or	al, byte ptr cs:hl
		or8
		inc	si
		stdend

lbl_B6:

		mov	bp, cs:hl
		call	rbyte
		or	al, bl
		or8
		inc	si
		stdend

lbl_B7:

		or	al, al
		or8
		inc	si
		stdend

lbl_F6:

		or	al, [si+1]
		or8
		add	si, 2
		stdend

lbl_DD_B6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	al, bl
		or8
		add	si, 3
		stdend

lbl_FD_B6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	al, bl
		or8
		add	si, 3
		stdend

lbl_B8:

		cmp	al, ch
		cp8     <LB8>
		inc	si
		stdend

lbl_B9:

		cmp	al, cl
		cp8     <LB9>
		inc	si
		stdend

lbl_BA:

		cmp	al, dh
		cp8     <LBA>
		inc	si
		stdend

lbl_BB:

		cmp	al, dl
		cp8     <LBB>
		inc	si
		stdend

lbl_BC:

		cmp	al, byte ptr cs:hl+1
		cp8     <LBC>
		inc	si
		stdend

lbl_BD:

		cmp	al, byte ptr cs:hl
		cp8     <LBD>
		inc	si
		stdend

lbl_BE:

		mov	bp, cs:hl
		call	rbyte
		cmp	al, bl
		cp8     <LBE>
		inc	si
		stdend

lbl_BF:

		cmp	al, al
		cp8     <LBF>
		inc	si
		stdend

lbl_FE:

		cmp	al, [si+1]
		cp8     <LFE>
		add	si, 2
		stdend

lbl_DD_BE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		cmp	al, bl
		cp8     <LDDBE>
		add	si, 3
		stdend

lbl_FD_BE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		cmp	al, bl
		cp8     <LFDBE>
		add	si, 3
		stdend

lbl_4:

		inc80
		inc	ch
		inc8	<L04>
		inc	si
		stdend

lbl_C:

		inc80
		inc	cl
		inc8	<L0C>
		inc	si
		stdend

lbl_14:

		inc80
		inc	dh
		inc8	<L14>
		inc	si
		stdend

lbl_1C:

		inc80
		inc	dl
		inc8	<L1C>
		inc	si
		stdend

lbl_24:

		inc80
		inc	byte ptr cs:hl+1
		inc8	<L24>
		inc	si
		stdend

lbl_2C:

		inc80
		inc	byte ptr cs:hl
		inc8	<L2C>
		inc	si
		stdend

lbl_34:

		mov	bp, cs:hl
		call	rbyte
		inc80
		inc	bl
		inc8	<L34>
		call	wbyte
		inc	si
		stdend

lbl_3C:

		inc80
		inc	al
		inc8	<L3C>
		inc	si
		stdend

lbl_DD_34:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		inc80
		inc	bl
		inc8	<LDD34>
		call	wbyte
		add	si, 3
		stdend

lbl_FD_34:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		inc80
		inc	bl
		inc8	<LFD34>
		call	wbyte
		add	si, 3
		stdend

lbl_5:

		dec80
		dec	ch
		dec8	<L05>
		inc	si
		stdend

lbl_D:

		dec80
		dec	cl
		dec8	<L0D>
		inc	si
		stdend

lbl_15:

		dec80
		dec	dh
		dec8	<L15>
		inc	si
		stdend

lbl_1D:

		dec80
		dec	dl
		dec8	<L1D>
		inc	si
		stdend

lbl_25:

		dec80
		dec	byte ptr cs:hl+1
		dec8	<L25>
		inc	si
		stdend

lbl_2D:

		dec80
		dec	byte ptr cs:hl
		dec8	<L2D>
		inc	si
		stdend

lbl_35:

		mov	bp, cs:hl
		call	rbyte
		dec80
		dec	bl
		dec8	<L35>
		call	wbyte
		inc	si
		stdend

lbl_3D:

		dec80
		dec	al
		dec8	<L3D>
		inc	si
		stdend

lbl_DD_35:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		dec80
		dec	bl
		dec8	<LDD35>
		call	wbyte
		add	si, 3
		stdend

lbl_FD_35:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		dec80
		dec	bl
		dec8	<LFD35>
		call	wbyte
		add	si, 3
		stdend

lbl_27:

		test	ah, 2			
		jnz	L27			
		sahf				
		daa
		lahf
		and	ah, 11010101b		
		inc	si
		stdend
		L27:	sahf
		das
		lahf
		and	ah, 11010101b		
		or	ah, 00000010b		
		inc	si
		stdend

lbl_2F:

		not	al
		or	ah, 00010010b		
		inc	si
		stdend

lbl_ED_44:

		mov	ah, 0
		sub	ah, al
		mov	al, ah
		lahf
		mov	bl, 00000110b		
		jo	LED44
		mov	bl, 00000010b		
		LED44:	and	ah, 11010001b
		or	ah, bl
		add	si, 2
		stdend

lbl_DD_84:

		add	al, byte ptr cs:ix + 1
		add8	<LDD84>
		add	si, 2
		stdend

lbl_FD_84:

		add	al, byte ptr cs:iy + 1
		add8	<LFD84>
		add	si, 2
		stdend

lbl_DD_85:

		add	al, byte ptr cs:ix
		add8	<LDD85>
		add	si, 2
		stdend

lbl_FD_85:

		add	al, byte ptr cs:iy
		add8	<LFD85>
		add	si, 2
		stdend

lbl_DD_8C:

		sahf
		adc	al, byte ptr cs:ix + 1
		add8	<LDD8C>
		add	si, 2
		stdend

lbl_FD_8C:

		sahf
		adc	al, byte ptr cs:iy + 1
		add8	<LFD8C>
		add	si, 2
		stdend

lbl_DD_8D:

		sahf
		adc	al, byte ptr cs:ix
		add8	<LDD8D>
		add	si, 2
		stdend

lbl_FD_8D:

		sahf
		adc	al, byte ptr cs:iy
		add8	<LFD8D>
		add	si, 2
		stdend

lbl_DD_94:

		sub	al, byte ptr cs:ix + 1
		sub8	<LDD94>
		add	si, 2
		stdend

lbl_FD_94:

		sub	al, byte ptr cs:iy + 1
		sub8	<LFD94>
		add	si, 2
		stdend

lbl_DD_95:

		sub	al, byte ptr cs:ix
		sub8	<LDD95>
		add	si, 2
		stdend

lbl_FD_95:

		sub	al, byte ptr cs:iy
		sub8	<LFD95>
		add	si, 2
		stdend

lbl_DD_9C:

		sahf
		sbb	al, byte ptr cs:ix + 1
		sub8	<LDD9C>
		add	si, 2
		stdend

lbl_FD_9C:

		sahf
		sbb	al, byte ptr cs:iy + 1
		sub8	<LFD9D>
		add	si, 2
		stdend

lbl_DD_9D:

		sahf
		sbb	al, byte ptr cs:ix
		sub8    <LDD9D>
		add	si, 2
		stdend

lbl_FD_9D:

		sahf
		sbb	al, byte ptr cs:iy
		sub8	<LFD9c>
		add	si, 2
		stdend

lbl_DD_A4:

		and	al, byte ptr cs:ix + 1
		and8
		add	si, 2
		stdend

lbl_FD_A4:

		and	al, byte ptr cs:iy + 1
		and8
		add	si, 2
		stdend

lbl_DD_A5:

		and	al, byte ptr cs:ix
		and8
		add	si, 2
		stdend

lbl_FD_A5:

		and	al, byte ptr cs:iy
		and8
		add	si, 2
		stdend

lbl_DD_AC:

		xor	al, byte ptr cs:ix + 1
		xor8
		add	si, 2
		stdend

lbl_FD_AC:

		xor	al, byte ptr cs:iy + 1
		xor8
		add	si, 2
		stdend

lbl_DD_AD:

		xor	al, byte ptr cs:ix
		xor8
		add	si, 2
		stdend

lbl_FD_AD:

		xor	al, byte ptr cs:iy
		xor8
		add	si, 2
		stdend

lbl_DD_B4:

		or	al, byte ptr cs:ix + 1
		or8
		add	si, 2
		stdend

lbl_FD_B4:

		or	al, byte ptr cs:iy + 1
		or8
		add	si, 2
		stdend

lbl_DD_B5:

		or	al, byte ptr cs:ix
		or8
		add	si, 2
		stdend

lbl_FD_B5:

		or	al, byte ptr cs:iy
		or8
		add	si, 2
		stdend

lbl_DD_BC:

		cmp	al, byte ptr cs:ix + 1
		cp8	<LDDBC>
		add	si, 2
		stdend

lbl_FD_BC:

		cmp	al, byte ptr cs:iy + 1
		cp8	<LFDBC>
		add	si, 2
		stdend

lbl_DD_BD:

		cmp	al, byte ptr cs:ix
		cp8	<LDDBD>
		add	si, 2
		stdend

lbl_FD_BD:

		cmp	al, byte ptr cs:iy
		cp8	<LFDBD>
		add	si, 2
		stdend

lbl_DD_24:

		inc80
		inc	byte ptr cs:ix + 1
		inc8	<LDD24>
		add	si, 2
		stdend

lbl_FD_24:

		inc80
		inc	byte ptr cs:iy + 1
		inc8	<LFD24>
		add	si, 2
		stdend

lbl_DD_2C:

		inc80
		inc	byte ptr cs:ix
		inc8	<LDD2C>
		add	si, 2
		stdend

lbl_FD_2C:

		inc80
		inc	byte ptr cs:iy
		inc8	<LFD2C>
		add	si, 2
		stdend

lbl_DD_25:

		dec80
		dec	byte ptr cs:ix + 1
		dec8	<LDD25>
		add	si, 2
		stdend

lbl_FD_25:

		dec80
		dec	byte ptr cs:iy + 1
		dec8	<LFD25>
		add	si, 2
		stdend

lbl_DD_2D:

		dec80
		dec	byte ptr cs:ix
		dec8	<LDD2D>
		add	si, 2
		stdend

lbl_FD_2D:

		dec80
		dec	byte ptr cs:iy
		dec8	<LFD2FD>
		add	si, 2
		stdend

lbl_3:

		inc	cx
		inc	si
		stdend

lbl_13:

		inc	dx
		inc	si
		stdend

lbl_23:

		inc	cs:hl
		inc	si
		stdend

lbl_33:

		inc	di
		inc	si
		stdend

lbl_DD_23:

		inc	cs:ix
		add	si, 2
		stdend

lbl_FD_23:

		inc	cs:iy
		add	si, 2
		stdend

lbl_B:

		dec	cx
		inc	si
		stdend

lbl_1B:

		dec	dx
		inc	si
		stdend

lbl_2B:

		dec	cs:hl
		inc	si
		stdend

lbl_3B:

		dec	di
		inc	si
		stdend

lbl_DD_2B:

		dec	cs:ix
		add	si, 2
		stdend

lbl_FD_2B:

		dec	cs:iy
		add	si, 2
		stdend

lbl_9:

		and	ah, 11000100b
		add	cs:hl, cx
		adc	ah, 0
		inc	si
		stdend

lbl_19:

		and	ah, 11000100b
		add	cs:hl, dx
		adc	ah, 0
		inc	si
		stdend

lbl_29:

		and	ah, 11000100b
		mov	bx, cs:hl
		add	cs:hl, bx
		adc	ah, 0
		inc	si
		stdend

lbl_39:

		and	ah, 11000100b
		add	cs:hl, di
		adc	ah, 0
		inc	si
		stdend

lbl_ED_4A:

		sahf
		adc	cs:hl, cx
		adc16   <LED4A>
		add	si, 2
		stdend

lbl_ED_5A:

		sahf
		adc	cs:hl, dx
		adc16   <LED5A>
		add	si, 2
		stdend

lbl_ED_6A:

		sahf
		mov	bx, cs:hl
		adc	cs:hl, bx
		adc16   <LED6A>
		add	si, 2
		stdend

lbl_ED_7A:

		sahf
		adc	cs:hl, di
		adc16   <LED7A>
		add	si, 2
		stdend

lbl_ED_42:

		sahf
		sbb	cs:hl, cx
		sbc16   <LED42>
		add	si, 2
		stdend

lbl_ED_52:

		sahf
		sbb	cs:hl, dx
		sbc16   <LED52>
		add	si, 2
		stdend

lbl_ED_62:

		sahf
		mov	bx, cs:hl
		sbb	cs:hl, bx
		sbc16   <LED62>
		add	si, 2
		stdend

lbl_ED_72:

		sahf
		sbb	cs:hl, di
		sbc16   <LED72>
		add	si, 2
		stdend

lbl_DD_9:

		and	ah, 11000100b
		add	cs:ix, cx
		adc	ah, 0	
		add	si, 2
		stdend

lbl_FD_9:

		and	ah, 11000100b
		add	cs:iy, cx
		adc	ah, 0
		add	si, 2
		stdend

lbl_DD_19:

		and	ah, 11000100b
		add	cs:ix, dx
		adc	ah, 0
		add	si, 2
		stdend

lbl_FD_19:

		and	ah, 11000100b
		add	cs:iy, dx
		adc	ah, 0
		add	si, 2
		stdend

lbl_DD_39:

		and	ah, 11000100b
		add	cs:ix, di
		adc	ah, 0
		add	si, 2
		stdend

lbl_FD_39:

		and	ah, 11000100b
		add	cs:iy, di
		adc	ah, 0
		add	si, 2
		stdend

lbl_DD_29:

		and	ah, 11000100b
		mov	bx, cs:ix
		add	cs:ix, bx
		adc	ah, 0
		add	si, 2
		stdend

lbl_FD_29:

		and	ah, 11000100b
		mov	bx, cs:iy
		add	cs:iy, bx
		adc	ah, 0
		add	si, 2
		stdend

lbl_CB_0:

		rlcx	<ch>
		add	si, 2
		stdend

lbl_CB_1:

		rlcx	<cl>
		add	si, 2
		stdend

lbl_CB_2:

		rlcx	<dh>
		add	si, 2
		stdend

lbl_CB_3:

		rlcx	<dl>
		add	si, 2
		stdend

lbl_CB_4:

		mov	bl, byte ptr cs:hl+1
		rlcx	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_5:

		mov	bl, byte ptr cs:hl
		rlcx	<bl>
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_CB_6:

		mov	bp, cs:hl
		call	rbyte
		rlcx	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_7:

		rlcx	<al>
		add	si, 2
		stdend

lbl_DD_CB_6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rlcx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rlcx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_CB_8:

		rrcx	<ch>
		add	si, 2
		stdend

lbl_CB_9:

		rrcx	<cl>
		add	si, 2
		stdend

lbl_CB_A:

		rrcx	<dh>
		add	si, 2
		stdend

lbl_CB_B:

		rrcx	<dl>
		add	si, 2
		stdend

lbl_CB_C:

		mov	bl, byte ptr cs:hl+1
		rrcx	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_D:

		mov	bl, byte ptr cs:hl
		rrcx	<bl>
		mov	byte ptr cs:hl,bl
		add	si, 2
		stdend

lbl_CB_E:

		mov	bp, cs:hl
		call	rbyte
		rrcx	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_F:

		rrcx	<al>
		add	si, 2
		stdend

lbl_DD_CB_E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rrcx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rrcx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_CB_10:

		rlx	<ch>
		add	si, 2
		stdend

lbl_CB_11:

		rlx	<cl>
		add	si, 2
		stdend

lbl_CB_12:

		rlx	<dh>
		add	si, 2
		stdend

lbl_CB_13:

		rlx	<dl>
		add	si, 2
		stdend

lbl_CB_14:

		mov	bl, byte ptr cs:hl+1
		rlx	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_15:

		mov	bl, byte ptr cs:hl
		rlx	<bl>
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_CB_16:

		mov	bp, cs:hl
		call	rbyte
		rlx	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_17:

		rlx	<al>
		add	si, 2
		stdend

lbl_DD_CB_16:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rlx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_16:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rlx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_CB_18:

		rrx	<ch>
		add	si, 2
		stdend

lbl_CB_19:

		rrx	<cl>
		add	si, 2
		stdend

lbl_CB_1A:

		rrx	<dh>
		add	si, 2
		stdend

lbl_CB_1B:

		rrx	<dl>
		add	si, 2
		stdend

lbl_CB_1C:

		mov	bl, byte ptr cs:hl+1
		rrx	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_1D:

		mov	bl, byte ptr cs:hl
		rrx	<bl>
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_CB_1E:

		mov	bp, cs:hl
		call	rbyte
		rrx	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_1F:

		rrx	<al>
		add	si, 2
		stdend

lbl_DD_CB_1E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rrx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_1E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		rrx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_CB_20:

		slax	<ch>
		add	si, 2
		stdend

lbl_CB_21:

		slax	<cl>
		add	si, 2
		stdend

lbl_CB_22:

		slax	<dh>
		add	si, 2
		stdend

lbl_CB_23:

		slax	<dl>
		add	si, 2
		stdend

lbl_CB_24:

		mov	bl, byte ptr cs:hl+1
		slax	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_25:

		mov	bl, byte ptr cs:hl
		slax	<bl>
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_CB_26:

		mov	bp, cs:hl
		call	rbyte
		slax	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_27:

		slax	<al>
		add	si, 2
		stdend

lbl_DD_CB_26:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		slax	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_26:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		slax	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_CB_28:

		srax	<ch>
		add	si, 2
		stdend

lbl_CB_29:

		srax	<cl>
		add	si, 2
		stdend

lbl_CB_2A:

		srax	<dh>
		add	si, 2
		stdend

lbl_CB_2B:

		srax	<dl>
		add	si, 2
		stdend

lbl_CB_2C:

		mov	bl, byte ptr cs:hl+1
		srax	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_2D:

		mov	bl, byte ptr cs:hl
		srax	<bl>
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_CB_2E:

		mov	bp, cs:hl
		call	rbyte
		srax	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_2F:

		srax	<al>
		add	si, 2
		stdend

lbl_DD_CB_2E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		srax	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_2E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		srax	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_CB_30:

		sllx	<ch>
		add	si, 2
		stdend

lbl_CB_31:

		sllx	<cl>
		add	si, 2
		stdend

lbl_CB_32:

		sllx	<dh>
		add	si, 2
		stdend

lbl_CB_33:

		sllx	<dl>
		add	si, 2
		stdend

lbl_CB_34:

		mov	bl, byte ptr cs:hl+1
		sllx	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_35:

		mov	bl, byte ptr cs:hl
		sllx	<bl>
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_CB_36:

		mov	bp, cs:hl
		call	rbyte
		sllx	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_37:

		sllx	<al>
		add	si, 2
		stdend

lbl_DD_CB_36:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sllx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_36:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		sllx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_CB_38:

		srlx	<ch>
		add	si, 2
		stdend

lbl_CB_39:

		srlx	<cl>
		add	si, 2
		stdend

lbl_CB_3A:

		srlx	<dh>
		add	si, 2
		stdend

lbl_CB_3B:

		srlx	<dl>
		add	si, 2
		stdend

lbl_CB_3C:

		mov	bl, byte ptr cs:hl+1
		srlx	<bl>
		mov	byte ptr cs:hl+1, bl
		add	si, 2
		stdend

lbl_CB_3D:

		mov	bl, byte ptr cs:hl
		srlx	<bl>
		mov	byte ptr cs:hl, bl
		add	si, 2
		stdend

lbl_CB_3E:

		mov	bp, cs:hl
		call	rbyte
		srlx	<bl>
		call	wbyte
		add	si, 2
		stdend

lbl_CB_3F:

		srlx	<al>
		add	si, 2
		stdend

lbl_DD_CB_3E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		srlx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_3E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		srlx	<bl>
		call	wbyte
		add	si, 4
		stdend

lbl_7:

		rlcx	<al>
		inc	si
		stdend

lbl_F:

		rrcx	<al>
		inc	si
		stdend

lbl_17:

		rlx	<al>
		inc	si
		stdend

lbl_1F:

		rrx	<al>
		inc	si
		stdend

lbl_ED_67:

		mov	bp, cs:hl
		mov	bl, al
		shl	bl, 4
		mov	bh, ds:[bp]
		and	bh, 0fh
		and	al, 0f0h
		or	al, bh
		mov	bh, ds:[bp]
		shr	bh, 4
		or	bh, bl
		mov	ds:[bp], bh
		mov	bl, ah
		and	bl, 00000001b		
		and	al, al
		lahf
		and	ah, 11101100b		
		or	ah, bl			
		add	si, 2
		stdend

lbl_ED_6F:

		mov	bp, cs:hl
		mov     bl, ds:[bp]
		shr	bl, 4
		mov	bh, al
		and	bh, 0fh
		and	al, 0f0h
		or	al, bl
		mov	bl, ds:[bp]
		shl	bl, 4
		or	bl, bh
		mov	ds:[bp], bl
		mov	bl, ah
		and	bl, 00000001b		
		and	al, al
		lahf
		and	ah, 11101100b		
		or	ah, bl			
		add	si, 2
		stdend

lbl_CB_40:

		bitx	<LCB40>, <00000001b>,<ch>,<2>

lbl_CB_41:

		bitx	<LCB41>, <00000001b>,<cl>,<2>

lbl_CB_42:

		bitx	<LCB42>, <00000001b>, <dh>, <2>

lbl_CB_43:

		bitx	<LCB43>, <00000001b>, <dl>, <2>

lbl_CB_44:

		bitx	<LCB44>, <00000001b>, <byte ptr cs:hl+1>, <2>

lbl_CB_45:

		bitx	<LCB45>, <00000001b>, <byte ptr cs:hl>, <2>

lbl_CB_46:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB46>, <00000001b>, <bl>, <2>

lbl_CB_47:

		bitx	<LCB47>, <00000001b>, <al>, <2>

lbl_DD_CB_46:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB46>, <00000001b>, <bl>, <4>

lbl_FD_CB_46:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB46>, <00000001b>, <bl>, <4>

lbl_CB_48:

		bitx	<LCB48>, <00000010b>, <ch>, <2>

lbl_CB_49:

		bitx	<LCB49>, <00000010b>, <cl>, <2>

lbl_CB_4A:

		bitx	<LCB4A>, <00000010b>, <dh>, <2>

lbl_CB_4B:

		bitx	<LCB4B>, <00000010b>, <dl>, <2>

lbl_CB_4C:

		bitx	<LCB4C>, <00000010b>, <byte ptr cs:hl+1>, <2>

lbl_CB_4D:

		bitx	<LCB4D>, <00000010b>, <byte ptr cs:hl>, <2>

lbl_CB_4E:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB4E>, <00000010b>, <bl>, <2>

lbl_CB_4F:

		bitx	<LCB4F>, <00000010b>, <al>, <2>

lbl_DD_CB_4E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB4E>, <00000010b>, <bl>, <4>

lbl_FD_CB_4E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB4E>, <00000010b>, <bl>, <4>

lbl_CB_50:

		bitx	<LCB50>, <00000100b>, <ch>, <2>

lbl_CB_51:

		bitx	<LCB51>, <00000100b>, <cl>, <2>

lbl_CB_52:

		bitx	<LCB52>, <00000100b>, <dh>, <2>

lbl_CB_53:

		bitx	<LCB53>,<00000100b>, <dl>, <2>

lbl_CB_54:

		bitx	<LCB54>,<00000100b>, <byte ptr cs:hl+1>, <2>

lbl_CB_55:

		bitx	<LCB55>,<00000100b>, <byte ptr cs:hl>, <2>

lbl_CB_56:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB56>,<00000100b>, <bl>, <2>

lbl_CB_57:

		bitx	<LCB57>,<00000100b>, <al>, <2>

lbl_DD_CB_56:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB56>,<00000100b>, <bl>, <4>

lbl_FD_CB_56:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB56>,<00000100b>, <bl>, <4>

lbl_CB_58:

		bitx	<LCB58>,<00001000b>, <ch>, <2>

lbl_CB_59:

		bitx	<LCB59>,<00001000b>, <cl>, <2>

lbl_CB_5A:

		bitx	<LCB5A>,<00001000b>, <dh>, <2>

lbl_CB_5B:

		bitx	<LCB5B>,<00001000b>, <dl>, <2>

lbl_CB_5C:

		bitx	<LCB5C>,<00001000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_5D:

		bitx	<LCB5D>,<00001000b>, <byte ptr cs:hl>, <2>

lbl_CB_5E:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB5E>,<00001000b>, <bl>, <2>

lbl_CB_5F:

		bitx	<LCB5F>,<00001000b>, <al>, <2>

lbl_DD_CB_5E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB5E>,<00001000b>, <bl>, <4>

lbl_FD_CB_5E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB5E>,<00001000b>, <bl>, <4>

lbl_CB_60:

		bitx	<LCB60>,<00010000b>, <ch>, <2>

lbl_CB_61:

		bitx	<LCB61>,<00010000b>, <cl>, <2>

lbl_CB_62:

		bitx	<LCB62>,<00010000b>, <dh>, <2>

lbl_CB_63:

		bitx	<LCB63>,<00010000b>, <dl>, <2>

lbl_CB_64:

		bitx	<LCB64>,<00010000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_65:

		bitx	<LCB65>,<00010000b>, <byte ptr cs:hl>, <2>

lbl_CB_66:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB66>,<00010000b>, <bl>, <2>

lbl_CB_67:

		bitx	<LCB67>,<00010000b>, <al>, <2>

lbl_DD_CB_66:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB66>,<00010000b>, <bl>, <4>

lbl_FD_CB_66:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB66>,<00010000b>, <bl>, <4>

lbl_CB_68:

		bitx	<LCB68>,<00100000b>, <ch>, <2>

lbl_CB_69:

		bitx	<LCB69>,<00100000b>, <cl>, <2>

lbl_CB_6A:

		bitx	<LCB6A>,<00100000b>, <dh>, <2>

lbl_CB_6B:

		bitx	<LCB6B>,<00100000b>, <dl>, <2>

lbl_CB_6C:

		bitx	<LCB6C>,<00100000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_6D:

		bitx	<LCB6D>,<00100000b>, <byte ptr cs:hl>, <2>

lbl_CB_6E:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB6E>,<00100000b>, <bl>, <2>

lbl_CB_6F:

		bitx	<LCB6F>,<00100000b>, <al>, <2>

lbl_DD_CB_6E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB6E>,<00100000b>, <bl>, <4>

lbl_FD_CB_6E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB6E>,<00100000b>, <bl>, <4>

lbl_CB_70:

		bitx	<LCB70>,<01000000b>, <ch>, <2>

lbl_CB_71:

		bitx	<LCB71>,<01000000b>, <cl>, <2>

lbl_CB_72:

		bitx	<LCB72>,<01000000b>, <dh>, <2>

lbl_CB_73:

		bitx	<LCB73>,<01000000b>, <dl>, <2>

lbl_CB_74:

		bitx	<LCB74>,<01000000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_75:

		bitx	<LCB75>,<01000000b>, <byte ptr cs:hl>, <2>

lbl_CB_76:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB76>,<01000000b>, <bl>, <2>

lbl_CB_77:

		bitx	<LCB77>,<01000000b>, <al>, <2>

lbl_DD_CB_76:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB76>,<01000000b>, <bl>, <4>

lbl_FD_CB_76:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB76>,<01000000b>, <bl>, <4>

lbl_CB_78:

		bitx	<LCB78>,<10000000b>, <ch>, <2>

lbl_CB_79:

		bitx	<LCB79>,<10000000b>, <cl>, <2>

lbl_CB_7A:

		bitx	<LCB7A>,<10000000b>, <dh>, <2>

lbl_CB_7B:

		bitx	<LCB7B>,<10000000b>, <dl>, <2>

lbl_CB_7C:

		bitx	<LCB7C>,<10000000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_7D:

		bitx	<LCB7D>,<10000000b>, <byte ptr cs:hl>, <2>

lbl_CB_7E:

		mov	bp, cs:hl
		call	rbyte
		bitx	<LCB7E>,<10000000b>, <bl>, <2>

lbl_CB_7F:

		bitx	<LCB7F>,<10000000b>, <al>, <2>

lbl_DD_CB_7E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LDDCB7E>,<10000000b>, <bl>, <4>

lbl_FD_CB_7E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		bitx	<LFDCB7E>,<10000000b>, <bl>, <4>

lbl_CB_C0:

		setx	<00000001b>,<ch>,<2>

lbl_CB_C1:

		setx	<00000001b>,<cl>,<2>

lbl_CB_C2:

		setx	<00000001b>, <dh>, <2>

lbl_CB_C3:

		setx	<00000001b>, <dl>, <2>

lbl_CB_C4:

		setx	<00000001b>, <byte ptr cs:hl+1>, <2>

lbl_CB_C5:

		setx	<00000001b>, <byte ptr cs:hl>, <2>

lbl_CB_C6:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 00000001b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_C7:

		setx	<00000001b>, <al>, <2>

lbl_DD_CB_C6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 1
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_C6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 1
		call	wbyte
		add	si, 4
		stdend

lbl_CB_C8:

		setx	<00000010b>, <ch>, <2>

lbl_CB_C9:

		setx	<00000010b>, <cl>, <2>

lbl_CB_CA:

		setx	<00000010b>, <dh>, <2>

lbl_CB_CB:

		setx	<00000010b>, <dl>, <2>

lbl_CB_CC:

		setx	<00000010b>, <byte ptr cs:hl+1>, <2>

lbl_CB_CD:

		setx	<00000010b>, <byte ptr cs:hl>, <2>

lbl_CB_CE:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 2
		call	wbyte
		add	si, 2
		stdend

lbl_CB_CF:

		setx	<00000010b>, <al>, <2>

lbl_DD_CB_CE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 2
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_CE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 2
		call	wbyte
		add	si, 4
		stdend

lbl_CB_D0:

		setx	<00000100b>, <ch>, <2>

lbl_CB_D1:

		setx	<00000100b>, <cl>, <2>

lbl_CB_D2:

		setx	<00000100b>, <dh>, <2>

lbl_CB_D3:

		setx	<00000100b>, <dl>, <2>

lbl_CB_D4:

		setx	<00000100b>, <byte ptr cs:hl+1>, <2>

lbl_CB_D5:

		setx	<00000100b>, <byte ptr cs:hl>, <2>

lbl_CB_D6:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 4
		call	wbyte
		add	si, 2
		stdend

lbl_CB_D7:

		setx	<00000100b>, <al>, <2>

lbl_DD_CB_D6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 4
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_D6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 4
		call	wbyte
		add	si, 4
		stdend

lbl_CB_D8:

		setx	<00001000b>, <ch>, <2>

lbl_CB_D9:

		setx	<00001000b>, <cl>, <2>

lbl_CB_DA:

		setx	<00001000b>, <dh>, <2>

lbl_CB_DB:

		setx	<00001000b>, <dl>, <2>

lbl_CB_DC:

		setx	<00001000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_DD:

		setx	<00001000b>, <byte ptr cs:hl>, <2>

lbl_CB_DE:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 8
		call	wbyte
		add	si, 2
		stdend

lbl_CB_DF:

		setx	<00001000b>, <al>, <2>

lbl_DD_CB_DE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 8
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_DE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 8
		call	wbyte
		add	si, 4
		stdend

lbl_CB_E0:

		setx	<00010000b>, <ch>, <2>

lbl_CB_E1:

		setx	<00010000b>, <cl>, <2>

lbl_CB_E2:

		setx	<00010000b>, <dh>, <2>

lbl_CB_E3:

		setx	<00010000b>, <dl>, <2>

lbl_CB_E4:

		setx	<00010000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_E5:

		setx	<00010000b>, <byte ptr cs:hl>, <2>

lbl_CB_E6:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 10h
		call	wbyte
		add	si, 2
		stdend

lbl_CB_E7:

		setx	<00010000b>, <al>, <2>

lbl_DD_CB_E6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 10h
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_E6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 10h
		call	wbyte
		add	si, 4
		stdend

lbl_CB_E8:

		setx	<00100000b>, <ch>, <2>

lbl_CB_E9:

		setx	<00100000b>, <cl>, <2>

lbl_CB_EA:

		setx	<00100000b>, <dh>, <2>

lbl_CB_EB:

		setx	<00100000b>, <dl>, <2>

lbl_CB_EC:

		setx	<00100000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_ED:

		setx	<00100000b>, <byte ptr cs:hl>, <2>

lbl_CB_EE:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 20h
		call	wbyte
		add	si, 2
		stdend

lbl_CB_EF:

		setx	<00100000b>, <al>, <2>

lbl_DD_CB_EE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 20h
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_EE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 20h
		call	wbyte
		add	si, 4
		stdend

lbl_CB_F0:

		setx	<01000000b>, <ch>, <2>

lbl_CB_F1:

		setx	<01000000b>, <cl>, <2>

lbl_CB_F2:

		setx	<01000000b>, <dh>, <2>

lbl_CB_F3:

		setx	<01000000b>, <dl>, <2>

lbl_CB_F4:

		setx	<01000000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_F5:

		setx	<01000000b>, <byte ptr cs:hl>, <2>

lbl_CB_F6:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 40h
		call	wbyte
		add	si, 2
		stdend

lbl_CB_F7:

		setx	<01000000b>, <al>, <2>

lbl_DD_CB_F6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 40h
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_F6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 40h
		call	wbyte
		add	si, 4
		stdend

lbl_CB_F8:

		setx	<10000000b>, <ch>, <2>

lbl_CB_F9:

		setx	<10000000b>, <cl>, <2>

lbl_CB_FA:

		setx	<10000000b>, <dh>, <2>

lbl_CB_FB:

		setx	<10000000b>, <dl>, <2>

lbl_CB_FC:

		setx	<10000000b>, <byte ptr cs:hl+1>, <2>

lbl_CB_FD:

		setx	<10000000b>, <byte ptr cs:hl>, <2>

lbl_CB_FE:

		mov	bp, cs:hl
		call	rbyte
		or	bl, 80h
		call	wbyte
		add	si, 2
		stdend

lbl_CB_FF:

		setx	<10000000b>, <al>, <2>

lbl_DD_CB_FE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 80h
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_FE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		or	bl, 80h
		call	wbyte
		add	si, 4
		stdend

lbl_CB_80:

		resx	<11111110b>,<ch>,<2>

lbl_CB_81:

		resx	<11111110b>,<cl>,<2>

lbl_CB_82:

		resx	<11111110b>, <dh>, <2>

lbl_CB_83:

		resx	<11111110b>, <dl>, <2>

lbl_CB_84:

		resx	<11111110b>, <byte ptr cs:hl+1>, <2>

lbl_CB_85:

		resx	<11111110b>, <byte ptr cs:hl>, <2>

lbl_CB_86:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 11111110b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_87:

		resx	<11111110b>, <al>, <2>

lbl_DD_CB_86:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11111110b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_86:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11111110b
		call	wbyte
		add	si, 4
		stdend

lbl_CB_88:

		resx	<11111101b>, <ch>, <2>

lbl_CB_89:

		resx	<11111101b>, <cl>, <2>

lbl_CB_8A:

		resx	<11111101b>, <dh>, <2>

lbl_CB_8B:

		resx	<11111101b>, <dl>, <2>

lbl_CB_8C:

		resx	<11111101b>, <byte ptr cs:hl+1>, <2>

lbl_CB_8D:

		resx	<11111101b>, <byte ptr cs:hl>, <2>

lbl_CB_8E:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 11111101b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_8F:

		resx	<11111101b>, <al>, <2>

lbl_DD_CB_8E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11111101b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_8E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11111101b
		call	wbyte
		add	si, 4
		stdend

lbl_CB_90:

		resx	<11111011b>, <ch>, <2>

lbl_CB_91:

		resx	<11111011b>, <cl>, <2>

lbl_CB_92:

		resx	<11111011b>, <dh>, <2>

lbl_CB_93:

		resx	<11111011b>, <dl>, <2>

lbl_CB_94:

		resx	<11111011b>, <byte ptr cs:hl+1>, <2>

lbl_CB_95:

		resx	<11111011b>, <byte ptr cs:hl>, <2>

lbl_CB_96:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 11111011b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_97:

		resx	<11111011b>, <al>, <2>

lbl_DD_CB_96:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11111011b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_96:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11111011b
		call	wbyte
		add	si, 4
		stdend

lbl_CB_98:

		resx	<11110111b>, <ch>, <2>

lbl_CB_99:

		resx	<11110111b>, <cl>, <2>

lbl_CB_9A:

		resx	<11110111b>, <dh>, <2>

lbl_CB_9B:

		resx	<11110111b>, <dl>, <2>

lbl_CB_9C:

		resx	<11110111b>, <byte ptr cs:hl+1>, <2>

lbl_CB_9D:

		resx	<11110111b>, <byte ptr cs:hl>, <2>

lbl_CB_9E:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 11110111b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_9F:

		resx	<11110111b>, <al>, <2>

lbl_DD_CB_9E:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11110111b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_9E:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11110111b
		call	wbyte
		add	si, 4
		stdend

lbl_CB_A0:

		resx	<11101111b>, <ch>, <2>

lbl_CB_A1:

		resx	<11101111b>, <cl>, <2>

lbl_CB_A2:

		resx	<11101111b>, <dh>, <2>

lbl_CB_A3:

		resx	<11101111b>, <dl>, <2>

lbl_CB_A4:

		resx	<11101111b>, <byte ptr cs:hl+1>, <2>

lbl_CB_A5:

		resx	<11101111b>, <byte ptr cs:hl>, <2>

lbl_CB_A6:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 11101111b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_A7:

		resx	<11101111b>, <al>, <2>

lbl_DD_CB_A6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11101111b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_A6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11101111b
		call	wbyte
		add	si, 4
		stdend

lbl_CB_A8:

		resx	<11011111b>, <ch>, <2>

lbl_CB_A9:

		resx	<11011111b>, <cl>, <2>

lbl_CB_AA:

		resx	<11011111b>, <dh>, <2>

lbl_CB_AB:

		resx	<11011111b>, <dl>, <2>

lbl_CB_AC:

		resx	<11011111b>, <byte ptr cs:hl+1>, <2>

lbl_CB_AD:

		resx	<11011111b>, <byte ptr cs:hl>, <2>

lbl_CB_AE:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 11011111b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_AF:

		resx	<11011111b>, <al>, <2>

lbl_DD_CB_AE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11011111b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_AE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 11011111b
		call	wbyte
		add	si, 4
		stdend

lbl_CB_B0:

		resx	<10111111b>, <ch>, <2>

lbl_CB_B1:

		resx	<10111111b>, <cl>, <2>

lbl_CB_B2:

		resx	<10111111b>, <dh>, <2>

lbl_CB_B3:

		resx	<10111111b>, <dl>, <2>

lbl_CB_B4:

		resx	<10111111b>, <byte ptr cs:hl+1>, <2>

lbl_CB_B5:

		resx	<10111111b>, <byte ptr cs:hl>, <2>

lbl_CB_B6:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 10111111b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_B7:

		resx	<10111111b>, <al>, <2>

lbl_DD_CB_B6:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 10111111b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_B6:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 10111111b
		call	wbyte
		add	si, 4
		stdend

lbl_CB_B8:

		resx	<01111111b>, <ch>, <2>

lbl_CB_B9:

		resx	<01111111b>, <cl>, <2>

lbl_CB_BA:

		resx	<01111111b>, <dh>, <2>

lbl_CB_BB:

		resx	<01111111b>, <dl>, <2>

lbl_CB_BC:

		resx	<01111111b>, <byte ptr cs:hl+1>, <2>

lbl_CB_BD:

		resx	<01111111b>, <byte ptr cs:hl>, <2>

lbl_CB_BE:

		mov	bp, cs:hl
		call	rbyte
		and	bl, 01111111b
		call	wbyte
		add	si, 2
		stdend

lbl_CB_BF:

		resx	<01111111b>, <al>, <2>

lbl_DD_CB_BE:

		mov	bp, cs:ix
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 01111111b
		call	wbyte
		add	si, 4
		stdend

lbl_FD_CB_BE:

		mov	bp, cs:iy
		mov	bx, ax
		mov	al, [si+2]
		cbw
		add	bp, ax
		mov	ax, bx
		call	rbyte
		and	bl, 01111111b
		call	wbyte
		add	si, 4
		stdend

lbl_C7:

		sub	di, 2
		inc	si
		mov	[di], si
		mov	si, 0
		stdend

lbl_CF:

		sub	di, 2
		inc	si
		mov	[di], si
		mov	si, 8
		stdend

lbl_D7:

		sub	di, 2
		inc	si
		mov	[di], si
		mov	si, 10h
		stdend

lbl_DF:

		sub	di, 2
		inc	si
		mov	[di], si	
		mov	si, 18h
		stdend

lbl_E7:

		sub	di, 2
		inc	si
		mov	[di], si
		mov	si, 20h
		stdend

lbl_EF:

		sub	di, 2
		inc	si
		mov	[di], si
		mov	si, 28h
		stdend

lbl_F7:

		sub	di, 2
		inc	si
		mov	[di], si
		mov	si, 30h
		stdend

lbl_FF:

		sub	di, 2
		inc	si
		mov	[di], si
		mov	si, 38h
		stdend

lbl_18:

		mov	bx, ax
		mov	al, [si+1]
		cbw
		add	si, ax
		add	si, 2
		mov	ax, bx
		stdend

lbl_C3:

		mov	si, [si+1]
		stdend

lbl_E9:

		mov	si, cs:hl
		stdend

lbl_DD_E9:

		mov	si, cs:ix
		stdend

lbl_FD_E9:

		mov	si, cs:iy
		stdend

lbl_CD:

		sub	di, 2
		add	si, 3
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_C9:

		mov	si, [di]
		add	di, 2
		stdend

lbl_20:

		add	si, 2
		test	ah, 01000000b		
		jz	L20
		stdend
		L20:	mov	bx, ax
		mov	al, [si-1]
		cbw
		add	si, ax
		mov	ax, bx
		stdend

lbl_28:

		add	si, 2
		test	ah, 01000000b		
		jnz	L28
		stdend
		L28:	mov	bx, ax
		mov	al, [si-1]
		cbw
		add	si, ax
		mov	ax, bx
		stdend

lbl_30:

		add	si, 2
		test	ah, 00000001b		
		jz	L30
		stdend
		L30:	mov	bx, ax
		mov	al, [si-1]
		cbw
		add	si, ax
		mov	ax, bx
		stdend

lbl_38:

		add	si, 2
		test	ah, 00000001b		
		jnz	L38
		stdend
		L38:	mov	bx, ax
		mov	al, [si-1]
		cbw
		add	si, ax
		mov	ax, bx
		stdend

lbl_C2:

		test	ah, 01000000b		
		jz	LC2
		add	si, 3
		stdend
		LC2:	mov	si, [si+1]
		stdend

lbl_CA:

		test	ah, 01000000b		
		jnz	LCA
		add	si, 3
		stdend
		LCA:	mov	si, [si+1]
		stdend

lbl_D2:

		test	ah, 00000001b		
		jz	LD2
		add	si, 3
		stdend
		LD2:	mov	si, [si+1]
		stdend

lbl_DA:

		test	ah, 00000001b		
		jnz	LDA
		add	si, 3
		stdend
		LDA:	mov	si, [si+1]
		stdend

lbl_E2:

		test	ah, 00000100b		
		jz	LE2
		add	si, 3
		stdend
		LE2:	mov	si, [si+1]
		stdend

lbl_EA:

		test	ah, 00000100b		
		jnz	LEA1
		add	si, 3
		stdend
		LEA1:	mov	si, [si+1]
		stdend

lbl_F2:

		test	ah, 10000000b		
		jz	LF2
		add	si, 3
		stdend
		LF2:	mov	si, [si+1]
		stdend

lbl_FA:

		test	ah, 10000000b		
		jnz	LFA
		add	si, 3
		stdend
		LFA:	mov	si, [si+1]
		stdend

lbl_C4:

		add	si, 3
		test	ah, 01000000b		
		jz	LC4
		stdend
		LC4:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_CC:

		add	si, 3
		test	ah, 01000000b		
		jnz	LCC
		stdend
		LCC:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_D4:

		add	si, 3
		test	ah, 00000001b		
		jz	LD4
		stdend
		LD4:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_DC:

		add	si, 3
		test	ah, 00000001b		
		jnz	LDC
		stdend
		LDC:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_E4:

		add	si, 3
		test	ah, 00000100b		
		jz	LE4
		stdend
		LE4:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_EC:

		add	si, 3
		test	ah, 00000100b		
		jnz	LEC
		stdend
		LEC:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_F4:

		add	si, 3
		test	ah, 10000000b		
		jz	LF4
		stdend
		LF4:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_FC:

		add	si, 3
		test	ah, 10000000b		
		jnz	LFC
		stdend
		LFC:	sub	di, 2
		mov	[di], si
		mov	si, [si-2]
		stdend

lbl_C0:

		test	ah, 01000000b		
		jz	LC0
		inc	si
		stdend
		LC0:	mov	si, [di]
		add	di, 2
		stdend

lbl_C8:

		test	ah, 01000000b		
		jnz	LC8
		inc	si
		stdend
		LC8:	mov	si, [di]
		add	di, 2
		stdend

lbl_D0:

		test	ah, 00000001b		
		jz	LD0
		inc	si
		stdend
		LD0:	mov	si, [di]
		add	di, 2
		stdend

lbl_D8:

		test	ah, 00000001b		
		jnz	LD8
		inc	si
		stdend
		LD8:	mov	si, [di]
		add	di, 2
		stdend

lbl_E0:

		test	ah, 00000100b		
		jz	LE0
		inc	si
		stdend
		LE0:	mov	si, [di]
		add	di, 2
		stdend

lbl_E8:

		test	ah, 00000100b		
		jnz	LE8
		inc	si
		stdend
		LE8:	mov	si, [di]
		add	di, 2
		stdend

lbl_F0:

		test	ah, 10000000b		
		jz	LF0
		inc	si
		stdend
		LF0:	mov	si, [di]
		add	di, 2
		stdend

lbl_F8:

		test	ah, 10000000b		
		jnz	LF8
		inc	si
		stdend
		LF8:	mov	si, [di]
		add	di, 2
		stdend

lbl_10:

		add	si, 2
		dec	ch
		jz	L10
		mov	bx, ax
		mov	al, [si-1]
		cbw
		add	si, ax
		mov	ax, bx
		L10:	stdend

lbl_ED_4D:

		mov	cs: intr_in, 0
		mov	si, [di]
		cmp	byte ptr [si], 076h		; HALT ?
		jnz	@@1
		inc	si				; preskoc ...
		@@1:	add	di, 2
		stdend

inx		macro	XXX1

		mov	bl, cl
		call	inpx
		mov	&XXX1, bl
		add	si, 2
		stdend

endm

outx		macro	XXX1

		mov	bl, cl
		mov	bh, &XXX1
		call	outpx
		add	si, 2
		stdend

endm

lbl_ED_40:

		inx	<ch>

lbl_ED_48:

		inx	<cl>

lbl_ED_50:

		inx	<dh>

lbl_ED_58:

		inx	<dl>

lbl_ED_60:

		inx	<byte ptr cs:hl+1>

lbl_ED_68:

		inx	<byte ptr cs:hl>

lbl_ED_70:

		mov	bl, cl
		call	inpx
		mov	bp, cs:hl
		call	wbyte
		add	si, 2
		stdend

lbl_ED_78:

		inx	<al>

lbl_ED_41:

		outx	<ch>

lbl_ED_49:

		outx	<cl>

lbl_ED_51:

		outx	<dh>

lbl_ED_59:

		outx	<dl>

lbl_ED_61:

		outx	<byte ptr cs:hl+1>

lbl_ED_69:

		outx	<byte ptr cs:hl>

lbl_ED_71:

		mov	bp, cs:hl
		call	rbyte
		outx	<bl>

lbl_ED_79:

		outx	<al>

lbl_DB:

		mov	bl, [si+1]
		call	inpx
		mov	al, bl
		add	si, 2
		stdend

lbl_D3:

		mov	bl, [si+1]
		mov	bh, al
		call	outpx
		add	si, 2
		stdend

lbl_ED_A2:

		mov	bl, cl
		call	inpx
		mov	bp, cs:hl
		call	wbyte
		inc	cs:hl
		and	ah, 00000001b
		or	ah, 01000010b		
		dec	ch
		jz	LEDA2
		and	ah, 10111111b		
		LEDA2:	add	si, 2
		stdend

lbl_ED_AA:

		mov	bl, cl
		call	inpx
		mov	bp, cs:hl
		call	wbyte
		dec	cs:hl
		and	ah, 00000001b
		or	ah, 01000010b
		dec	ch
		jz	LEDAA
		and	ah, 10111111b
		LEDAA:	add	si, 2
		stdend

lbl_ED_B2:

		mov	bp, cs:hl
		LEDB2:	mov	bl, cl
		call	inpx
		call	wbyte
		inc	bp
		dec	ch
		jnz	LEDB2
		mov	cs:hl, bp
		and	ah, 00000001b
		or	ah, 01000010b
		add	si, 2
		stdend

lbl_ED_BA:

		mov	bp, cs:hl
		LEDBA:	mov	bl, cl
		call	inpx
		call	wbyte
		dec	bp
		dec	ch
		jnz	LEDBA
		mov	cs:hl, bp
		and	ah, 00000001b
		or	ah, 01000010b
		add	si, 2
		stdend

lbl_ED_A3:

		mov	bp, cs:hl
		call	rbyte
		mov	bh, bl
		mov	bl, cl
		inc	cs:hl
		call	outpx
		and	ah, 00000001b
		or	ah, 01000010b
		dec	ch
		jz	LEDA3
		and	ah, 10111111b
		LEDA3:	add	si, 2
		stdend

lbl_ED_AB:

		mov	bp, cs:hl
		call	rbyte
		mov	bh, bl
		mov	bl, cl
		dec	cs:hl
		call	outpx
		and	ah, 00000001b
		or	ah, 01000010b
		dec	ch
		jz	LEDAB
		and	ah, 10111111b
		LEDAB:	add	si, 2
		stdend

lbl_ED_B3:

		mov	bp, cs:hl
		LEDB3:	call	rbyte
		mov	bh, bl
		mov     bl, cl
		call	outpx
		inc	bp
		dec	ch
		jnz	LEDB3
		mov	cs:hl, bp
		and	ah, 00000001b
		or	ah, 01000010b
		add	si, 2
		stdend

lbl_ED_BB:

		mov	bp, cs:hl
		LEDBB:	dec	bp
		dec	ch
		call	rbyte
		mov	bh, bl
		mov	bl, cl
		call	outpx
		;	dec	bp
		;	dec	ch
		or	ch, ch
		jnz	LEDBB
		mov	cs:hl, bp
		and	ah, 00000001b
		or	ah, 01000010b
		add	si, 2
		stdend

lbl_0:

		inc	si
		stdend

lbl_37:

		or	ah, 00000001b
		inc	si
		stdend

lbl_3F:

		xor	ah, 1
		inc	si
		stdend

lbl_76:

		stdend

lbl_F3:

		mov	cs:intr_enbl, 0
		inc	si
		stdend

lbl_FB:

		cmp	cs:intr_poz, 0
		jz	@@1           		
		mov	cs:intr_poz, 0		
		mov	cs:intr_in, 0ffh
		cmp	cs:intr_imx, 1
		jz	@@01
		cmp	cs:intr_imx, 2
		jnz	@@1
		mov	cs: intr_enbl, 0
		mov	bl, cs:INTR_ADR
		mov	bh, cs:reg_i
		mov	bp, bx
		call	rword
		sub	di, 2
		mov	[di], si
		mov	si, bx
		stdend
		@@01:	mov	cs: intr_enbl, 0
		jmp	LBL_FF			
		@@1:	mov	cs: intr_enbl, 0ffh
		inc	si
		stdend

lbl_ED_46:

		mov	cs:intr_imx, 0
		add	si, 2
		stdend

lbl_ED_56:

		mov	cs:intr_imx, 1
		mov	cs:intr_poz, 0
		add	si, 2
		stdend

lbl_ED_5E:

		mov	cs:intr_imx, 2
		mov	cs:intr_poz, 0
		add	si, 2
		stdend

lbl_ED_F8:

		extrn	prepZX_BW: near
		call	prepZX_BW
		add	si, 2
		stdend

lbl_ED_F9:

		extrn	prepZX: near
		call	prepZX
		add	si, 2
		stdend

lbl_ED_FA:

		extrn	play_music: near
		call	play_music			
		add	si, 2
		stdend

lbl_ED_FB:

		extrn	music_end: near
		call	music_end
		add	si, 2
		stdend

lbl_ED_FC:

		extrn	load_prg: near
		call	load_prg		
		add	si, 2
		stdend

lbl_ED_FD:

		extrn	key_wait: near
		call	key_wait	    	
		add	si, 2			
		stdend

lbl_ED_FE:

		extrn	load_header: near
		call	load_header		
		add	si, 2			
		stdend

lbl_ED_FF:

		extrn	load_sel_header: near
		call	load_sel_header
		add	si, 2			
		stdend

bas_instr:
		dw	offset lbl_0
		dw	offset lbl_1
		dw	offset lbl_2
		dw	offset lbl_3
		dw	offset lbl_4
		dw	offset lbl_5
		dw	offset lbl_6
		dw	offset lbl_7
		dw	offset lbl_8
		dw	offset lbl_9
		dw	offset lbl_A
		dw	offset lbl_B
		dw	offset lbl_C
		dw	offset lbl_D
		dw	offset lbl_E
		dw	offset lbl_F
		dw	offset lbl_10
		dw	offset lbl_11
		dw	offset lbl_12
		dw	offset lbl_13
		dw	offset lbl_14
		dw	offset lbl_15
		dw	offset lbl_16
		dw	offset lbl_17
		dw	offset lbl_18
		dw	offset lbl_19
		dw	offset lbl_1A
		dw	offset lbl_1B
		dw	offset lbl_1C
		dw	offset lbl_1D
		dw	offset lbl_1E
		dw	offset lbl_1F
		dw	offset lbl_20
		dw	offset lbl_21
		dw	offset lbl_22
		dw	offset lbl_23
		dw	offset lbl_24
		dw	offset lbl_25
		dw	offset lbl_26
		dw	offset lbl_27
		dw	offset lbl_28
		dw	offset lbl_29
		dw	offset lbl_2A
		dw	offset lbl_2B
		dw	offset lbl_2C
		dw	offset lbl_2D
		dw	offset lbl_2E
		dw	offset lbl_2F
		dw	offset lbl_30
		dw	offset lbl_31
		dw	offset lbl_32
		dw	offset lbl_33
		dw	offset lbl_34
		dw	offset lbl_35
		dw	offset lbl_36
		dw	offset lbl_37
		dw	offset lbl_38
		dw	offset lbl_39
		dw	offset lbl_3A
		dw	offset lbl_3B
		dw	offset lbl_3C
		dw	offset lbl_3D
		dw	offset lbl_3E
		dw	offset lbl_3F
		dw	offset lbl_40
		dw	offset lbl_41
		dw	offset lbl_42
		dw	offset lbl_43
		dw	offset lbl_44
		dw	offset lbl_45
		dw	offset lbl_46
		dw	offset lbl_47
		dw	offset lbl_48
		dw	offset lbl_49
		dw	offset lbl_4A
		dw	offset lbl_4B
		dw	offset lbl_4C
		dw	offset lbl_4D
		dw	offset lbl_4E
		dw	offset lbl_4F
		dw	offset lbl_50
		dw	offset lbl_51
		dw	offset lbl_52
		dw	offset lbl_53
		dw	offset lbl_54
		dw	offset lbl_55
		dw	offset lbl_56
		dw	offset lbl_57
		dw	offset lbl_58
		dw	offset lbl_59
		dw	offset lbl_5A
		dw	offset lbl_5B
		dw	offset lbl_5C
		dw	offset lbl_5D
		dw	offset lbl_5E
		dw	offset lbl_5F
		dw	offset lbl_60
		dw	offset lbl_61
		dw	offset lbl_62
		dw	offset lbl_63
		dw	offset lbl_64
		dw	offset lbl_65
		dw	offset lbl_66
		dw	offset lbl_67
		dw	offset lbl_68
		dw	offset lbl_69
		dw	offset lbl_6A
		dw	offset lbl_6B
		dw	offset lbl_6C
		dw	offset lbl_6D
		dw	offset lbl_6E
		dw	offset lbl_6F
		dw	offset lbl_70
		dw	offset lbl_71
		dw	offset lbl_72
		dw	offset lbl_73
		dw	offset lbl_74
		dw	offset lbl_75
		dw	offset lbl_76
		dw	offset lbl_77
		dw	offset lbl_78
		dw	offset lbl_79
		dw	offset lbl_7A
		dw	offset lbl_7B
		dw	offset lbl_7C
		dw	offset lbl_7D
		dw	offset lbl_7E
		dw	offset lbl_7F
		dw	offset lbl_80
		dw	offset lbl_81
		dw	offset lbl_82
		dw	offset lbl_83
		dw	offset lbl_84
		dw	offset lbl_85
		dw	offset lbl_86
		dw	offset lbl_87
		dw	offset lbl_88
		dw	offset lbl_89
		dw	offset lbl_8A
		dw	offset lbl_8B
		dw	offset lbl_8C
		dw	offset lbl_8D
		dw	offset lbl_8E
		dw	offset lbl_8F
		dw	offset lbl_90
		dw	offset lbl_91
		dw	offset lbl_92
		dw	offset lbl_93
		dw	offset lbl_94
		dw	offset lbl_95
		dw	offset lbl_96
		dw	offset lbl_97
		dw	offset lbl_98
		dw	offset lbl_99
		dw	offset lbl_9A
		dw	offset lbl_9B
		dw	offset lbl_9C
		dw	offset lbl_9D
		dw	offset lbl_9E
		dw	offset lbl_9F
		dw	offset lbl_A0
		dw	offset lbl_A1
		dw	offset lbl_A2
		dw	offset lbl_A3
		dw	offset lbl_A4
		dw	offset lbl_A5
		dw	offset lbl_A6
		dw	offset lbl_A7
		dw	offset lbl_A8
		dw	offset lbl_A9
		dw	offset lbl_AA
		dw	offset lbl_AB
		dw	offset lbl_AC
		dw	offset lbl_AD
		dw	offset lbl_AE
		dw	offset lbl_AF
		dw	offset lbl_B0
		dw	offset lbl_B1
		dw	offset lbl_B2
		dw	offset lbl_B3
		dw	offset lbl_B4
		dw	offset lbl_B5
		dw	offset lbl_B6
		dw	offset lbl_B7
		dw	offset lbl_B8
		dw	offset lbl_B9
		dw	offset lbl_BA
		dw	offset lbl_BB
		dw	offset lbl_BC
		dw	offset lbl_BD
		dw	offset lbl_BE
		dw	offset lbl_BF
		dw	offset lbl_C0
		dw	offset lbl_C1
		dw	offset lbl_C2
		dw	offset lbl_C3
		dw	offset lbl_C4
		dw	offset lbl_C5
		dw	offset lbl_C6
		dw	offset lbl_C7
		dw	offset lbl_C8
		dw	offset lbl_C9
		dw	offset lbl_CA
		dw	offset lbl_CB
		dw	offset lbl_CC
		dw	offset lbl_CD
		dw	offset lbl_CE
		dw	offset lbl_CF
		dw	offset lbl_D0
		dw	offset lbl_D1
		dw	offset lbl_D2
		dw	offset lbl_D3
		dw	offset lbl_D4
		dw	offset lbl_D5
		dw	offset lbl_D6
		dw	offset lbl_D7
		dw	offset lbl_D8
		dw	offset lbl_D9
		dw	offset lbl_DA
		dw	offset lbl_DB
		dw	offset lbl_DC
		dw	offset lbl_DD
		dw	offset lbl_DE
		dw	offset lbl_DF
		dw	offset lbl_E0
		dw	offset lbl_E1
		dw	offset lbl_E2
		dw	offset lbl_E3
		dw	offset lbl_E4
		dw	offset lbl_E5
		dw	offset lbl_E6
		dw	offset lbl_E7
		dw	offset lbl_E8
		dw	offset lbl_E9
		dw	offset lbl_EA
		dw	offset lbl_EB
		dw	offset lbl_EC
		dw	offset lbl_ED
		dw	offset lbl_EE
		dw	offset lbl_EF
		dw	offset lbl_F0
		dw	offset lbl_F1
		dw	offset lbl_F2
		dw	offset lbl_F3
		dw	offset lbl_F4
		dw	offset lbl_F5
		dw	offset lbl_F6
		dw	offset lbl_F7
		dw	offset lbl_F8
		dw	offset lbl_F9
		dw	offset lbl_FA
		dw	offset lbl_FB
		dw	offset lbl_FC
		dw	offset lbl_FD
		dw	offset lbl_FE
		dw	offset lbl_FF

prefix_ed:
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_40
		dw	offset lbl_ED_41
		dw	offset lbl_ED_42
		dw	offset lbl_ED_43
		dw	offset lbl_ED_44
		dw	offset err_instr
		dw	offset lbl_ED_46
		dw	offset lbl_ED_47
		dw	offset lbl_ED_48
		dw	offset lbl_ED_49
		dw	offset lbl_ED_4A
		dw	offset lbl_ED_4B
		dw	offset err_instr
		dw	offset lbl_ED_4D
		dw	offset err_instr
		dw	offset lbl_ED_4F
		dw	offset lbl_ED_50
		dw	offset lbl_ED_51
		dw	offset lbl_ED_52
		dw	offset lbl_ED_53
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_56
		dw	offset lbl_ED_57
		dw	offset lbl_ED_58
		dw	offset lbl_ED_59
		dw	offset lbl_ED_5A
		dw	offset lbl_ED_5B
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_5E
		dw	offset lbl_ED_5F
		dw	offset lbl_ED_60
		dw	offset lbl_ED_61
		dw	offset lbl_ED_62
		dw	offset lbl_ED_63
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_67
		dw	offset lbl_ED_68
		dw	offset lbl_ED_69
		dw	offset lbl_ED_6A
		dw	offset lbl_ED_6B
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_6F
		dw	offset lbl_ED_70
		dw	offset lbl_ED_71
		dw	offset lbl_ED_72
		dw	offset lbl_ED_73
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_78
		dw	offset lbl_ED_79
		dw	offset lbl_ED_7A
		dw	offset lbl_ED_7B
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_A0
		dw	offset lbl_ED_A1
		dw	offset lbl_ED_A2
		dw	offset lbl_ED_A3
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_A8
		dw	offset lbl_ED_A9
		dw	offset lbl_ED_AA
		dw	offset lbl_ED_AB
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_B0
		dw	offset lbl_ED_B1
		dw	offset lbl_ED_B2
		dw	offset lbl_ED_B3
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_B8
		dw	offset lbl_ED_B9
		dw	offset lbl_ED_BA
		dw	offset lbl_ED_BB
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_ED_F8
		dw	offset lbl_ED_F9
		dw	offset lbl_ED_FA
		dw	offset lbl_ED_FB
		dw	offset lbl_ED_FC
		dw	offset lbl_ED_FD
		dw	offset lbl_ED_FE
		dw	offset lbl_ED_FF

prefix_cb:
		dw	offset lbl_CB_0
		dw	offset lbl_CB_1
		dw	offset lbl_CB_2
		dw	offset lbl_CB_3
		dw	offset lbl_CB_4
		dw	offset lbl_CB_5
		dw	offset lbl_CB_6
		dw	offset lbl_CB_7
		dw	offset lbl_CB_8
		dw	offset lbl_CB_9
		dw	offset lbl_CB_A
		dw	offset lbl_CB_B
		dw	offset lbl_CB_C
		dw	offset lbl_CB_D
		dw	offset lbl_CB_E
		dw	offset lbl_CB_F
		dw	offset lbl_CB_10
		dw	offset lbl_CB_11
		dw	offset lbl_CB_12
		dw	offset lbl_CB_13
		dw	offset lbl_CB_14
		dw	offset lbl_CB_15
		dw	offset lbl_CB_16
		dw	offset lbl_CB_17
		dw	offset lbl_CB_18
		dw	offset lbl_CB_19
		dw	offset lbl_CB_1A
		dw	offset lbl_CB_1B
		dw	offset lbl_CB_1C
		dw	offset lbl_CB_1D
		dw	offset lbl_CB_1E
		dw	offset lbl_CB_1F
		dw	offset lbl_CB_20
		dw	offset lbl_CB_21
		dw	offset lbl_CB_22
		dw	offset lbl_CB_23
		dw	offset lbl_CB_24
		dw	offset lbl_CB_25
		dw	offset lbl_CB_26
		dw	offset lbl_CB_27
		dw	offset lbl_CB_28
		dw	offset lbl_CB_29
		dw	offset lbl_CB_2A
		dw	offset lbl_CB_2B
		dw	offset lbl_CB_2C
		dw	offset lbl_CB_2D
		dw	offset lbl_CB_2E
		dw	offset lbl_CB_2F
		dw	offset lbl_CB_30
		dw	offset lbl_CB_31
		dw	offset lbl_CB_32
		dw	offset lbl_CB_33
		dw	offset lbl_CB_34
		dw	offset lbl_CB_35
		dw	offset lbl_CB_36
		dw	offset lbl_CB_37
		dw	offset lbl_CB_38
		dw	offset lbl_CB_39
		dw	offset lbl_CB_3A
		dw	offset lbl_CB_3B
		dw	offset lbl_CB_3C
		dw	offset lbl_CB_3D
		dw	offset lbl_CB_3E
		dw	offset lbl_CB_3F
		dw	offset lbl_CB_40
		dw	offset lbl_CB_41
		dw	offset lbl_CB_42
		dw	offset lbl_CB_43
		dw	offset lbl_CB_44
		dw	offset lbl_CB_45
		dw	offset lbl_CB_46
		dw	offset lbl_CB_47
		dw	offset lbl_CB_48
		dw	offset lbl_CB_49
		dw	offset lbl_CB_4A
		dw	offset lbl_CB_4B
		dw	offset lbl_CB_4C
		dw	offset lbl_CB_4D
		dw	offset lbl_CB_4E
		dw	offset lbl_CB_4F
		dw	offset lbl_CB_50
		dw	offset lbl_CB_51
		dw	offset lbl_CB_52
		dw	offset lbl_CB_53
		dw	offset lbl_CB_54
		dw	offset lbl_CB_55
		dw	offset lbl_CB_56
		dw	offset lbl_CB_57
		dw	offset lbl_CB_58
		dw	offset lbl_CB_59
		dw	offset lbl_CB_5A
		dw	offset lbl_CB_5B
		dw	offset lbl_CB_5C
		dw	offset lbl_CB_5D
		dw	offset lbl_CB_5E
		dw	offset lbl_CB_5F
		dw	offset lbl_CB_60
		dw	offset lbl_CB_61
		dw	offset lbl_CB_62
		dw	offset lbl_CB_63
		dw	offset lbl_CB_64
		dw	offset lbl_CB_65
		dw	offset lbl_CB_66
		dw	offset lbl_CB_67
		dw	offset lbl_CB_68
		dw	offset lbl_CB_69
		dw	offset lbl_CB_6A
		dw	offset lbl_CB_6B
		dw	offset lbl_CB_6C
		dw	offset lbl_CB_6D
		dw	offset lbl_CB_6E
		dw	offset lbl_CB_6F
		dw	offset lbl_CB_70
		dw	offset lbl_CB_71
		dw	offset lbl_CB_72
		dw	offset lbl_CB_73
		dw	offset lbl_CB_74
		dw	offset lbl_CB_75
		dw	offset lbl_CB_76
		dw	offset lbl_CB_77
		dw	offset lbl_CB_78
		dw	offset lbl_CB_79
		dw	offset lbl_CB_7A
		dw	offset lbl_CB_7B
		dw	offset lbl_CB_7C
		dw	offset lbl_CB_7D
		dw	offset lbl_CB_7E
		dw	offset lbl_CB_7F
		dw	offset lbl_CB_80
		dw	offset lbl_CB_81
		dw	offset lbl_CB_82
		dw	offset lbl_CB_83
		dw	offset lbl_CB_84
		dw	offset lbl_CB_85
		dw	offset lbl_CB_86
		dw	offset lbl_CB_87
		dw	offset lbl_CB_88
		dw	offset lbl_CB_89
		dw	offset lbl_CB_8A
		dw	offset lbl_CB_8B
		dw	offset lbl_CB_8C
		dw	offset lbl_CB_8D
		dw	offset lbl_CB_8E
		dw	offset lbl_CB_8F
		dw	offset lbl_CB_90
		dw	offset lbl_CB_91
		dw	offset lbl_CB_92
		dw	offset lbl_CB_93
		dw	offset lbl_CB_94
		dw	offset lbl_CB_95
		dw	offset lbl_CB_96
		dw	offset lbl_CB_97
		dw	offset lbl_CB_98
		dw	offset lbl_CB_99
		dw	offset lbl_CB_9A
		dw	offset lbl_CB_9B
		dw	offset lbl_CB_9C
		dw	offset lbl_CB_9D
		dw	offset lbl_CB_9E
		dw	offset lbl_CB_9F
		dw	offset lbl_CB_A0
		dw	offset lbl_CB_A1
		dw	offset lbl_CB_A2
		dw	offset lbl_CB_A3
		dw	offset lbl_CB_A4
		dw	offset lbl_CB_A5
		dw	offset lbl_CB_A6
		dw	offset lbl_CB_A7
		dw	offset lbl_CB_A8
		dw	offset lbl_CB_A9
		dw	offset lbl_CB_AA
		dw	offset lbl_CB_AB
		dw	offset lbl_CB_AC
		dw	offset lbl_CB_AD
		dw	offset lbl_CB_AE
		dw	offset lbl_CB_AF
		dw	offset lbl_CB_B0
		dw	offset lbl_CB_B1
		dw	offset lbl_CB_B2
		dw	offset lbl_CB_B3
		dw	offset lbl_CB_B4
		dw	offset lbl_CB_B5
		dw	offset lbl_CB_B6
		dw	offset lbl_CB_B7
		dw	offset lbl_CB_B8
		dw	offset lbl_CB_B9
		dw	offset lbl_CB_BA
		dw	offset lbl_CB_BB
		dw	offset lbl_CB_BC
		dw	offset lbl_CB_BD
		dw	offset lbl_CB_BE
		dw	offset lbl_CB_BF
		dw	offset lbl_CB_C0
		dw	offset lbl_CB_C1
		dw	offset lbl_CB_C2
		dw	offset lbl_CB_C3
		dw	offset lbl_CB_C4
		dw	offset lbl_CB_C5
		dw	offset lbl_CB_C6
		dw	offset lbl_CB_C7
		dw	offset lbl_CB_C8
		dw	offset lbl_CB_C9
		dw	offset lbl_CB_CA
		dw	offset lbl_CB_CB
		dw	offset lbl_CB_CC
		dw	offset lbl_CB_CD
		dw	offset lbl_CB_CE
		dw	offset lbl_CB_CF
		dw	offset lbl_CB_D0
		dw	offset lbl_CB_D1
		dw	offset lbl_CB_D2
		dw	offset lbl_CB_D3
		dw	offset lbl_CB_D4
		dw	offset lbl_CB_D5
		dw	offset lbl_CB_D6
		dw	offset lbl_CB_D7
		dw	offset lbl_CB_D8
		dw	offset lbl_CB_D9
		dw	offset lbl_CB_DA
		dw	offset lbl_CB_DB
		dw	offset lbl_CB_DC
		dw	offset lbl_CB_DD
		dw	offset lbl_CB_DE
		dw	offset lbl_CB_DF
		dw	offset lbl_CB_E0
		dw	offset lbl_CB_E1
		dw	offset lbl_CB_E2
		dw	offset lbl_CB_E3
		dw	offset lbl_CB_E4
		dw	offset lbl_CB_E5
		dw	offset lbl_CB_E6
		dw	offset lbl_CB_E7
		dw	offset lbl_CB_E8
		dw	offset lbl_CB_E9
		dw	offset lbl_CB_EA
		dw	offset lbl_CB_EB
		dw	offset lbl_CB_EC
		dw	offset lbl_CB_ED
		dw	offset lbl_CB_EE
		dw	offset lbl_CB_EF
		dw	offset lbl_CB_F0
		dw	offset lbl_CB_F1
		dw	offset lbl_CB_F2
		dw	offset lbl_CB_F3
		dw	offset lbl_CB_F4
		dw	offset lbl_CB_F5
		dw	offset lbl_CB_F6
		dw	offset lbl_CB_F7
		dw	offset lbl_CB_F8
		dw	offset lbl_CB_F9
		dw	offset lbl_CB_FA
		dw	offset lbl_CB_FB
		dw	offset lbl_CB_FC
		dw	offset lbl_CB_FD
		dw	offset lbl_CB_FE
		dw	offset lbl_CB_FF

prefix_dd:
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_9
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_19
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_21
		dw	offset lbl_DD_22
		dw	offset lbl_DD_23
		dw	offset lbl_DD_24
		dw	offset lbl_DD_25
		dw	offset lbl_DD_26
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_29
		dw	offset lbl_DD_2A
		dw	offset lbl_DD_2B
		dw	offset lbl_DD_2C
		dw	offset lbl_DD_2D
		dw	offset lbl_DD_2E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_34
		dw	offset lbl_DD_35
		dw	offset lbl_DD_36
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_39
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_44
		dw	offset lbl_DD_45
		dw	offset lbl_DD_46
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_4C
		dw	offset lbl_DD_4D
		dw	offset lbl_DD_4E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_54
		dw	offset lbl_DD_55
		dw	offset lbl_DD_56
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_5C
		dw	offset lbl_DD_5D
		dw	offset lbl_DD_5E
		dw	offset err_instr
		dw	offset lbl_DD_60
		dw	offset lbl_DD_61
		dw	offset lbl_DD_62
		dw	offset lbl_DD_63
		dw	offset lbl_DD_64
		dw	offset lbl_DD_65
		dw	offset lbl_DD_66
		dw	offset lbl_DD_67
		dw	offset lbl_DD_68
		dw	offset lbl_DD_69
		dw	offset lbl_DD_6A
		dw	offset lbl_DD_6B
		dw	offset lbl_DD_6C
		dw	offset lbl_DD_6D
		dw	offset lbl_DD_6E
		dw	offset lbl_DD_6F
		dw	offset lbl_DD_70
		dw	offset lbl_DD_71
		dw	offset lbl_DD_72
		dw	offset lbl_DD_73
		dw	offset lbl_DD_74
		dw	offset lbl_DD_75
		dw	offset err_instr
		dw	offset lbl_DD_77
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_7C
		dw	offset lbl_DD_7D
		dw	offset lbl_DD_7E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_84
		dw	offset lbl_DD_85
		dw	offset lbl_DD_86
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_8C
		dw	offset lbl_DD_8D
		dw	offset lbl_DD_8E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_94
		dw	offset lbl_DD_95
		dw	offset lbl_DD_96
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_9C
		dw	offset lbl_DD_9D
		dw	offset lbl_DD_9E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_A4
		dw	offset lbl_DD_A5
		dw	offset lbl_DD_A6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_AC
		dw	offset lbl_DD_AD
		dw	offset lbl_DD_AE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_B4
		dw	offset lbl_DD_B5
		dw	offset lbl_DD_B6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_BC
		dw	offset lbl_DD_BD
		dw	offset lbl_DD_BE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_E1
		dw	offset err_instr
		dw	offset lbl_DD_E3
		dw	offset err_instr
		dw	offset lbl_DD_E5
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_E9
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_F9
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr

prefix_fd:
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_9
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_19
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_21
		dw	offset lbl_FD_22
		dw	offset lbl_FD_23
		dw	offset lbl_FD_24
		dw	offset lbl_FD_25
		dw	offset lbl_FD_26
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_29
		dw	offset lbl_FD_2A
		dw	offset lbl_FD_2B
		dw	offset lbl_FD_2C
		dw	offset lbl_FD_2D
		dw	offset lbl_FD_2E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_34
		dw	offset lbl_FD_35
		dw	offset lbl_FD_36
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_39
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_44
		dw	offset lbl_FD_45
		dw	offset lbl_FD_46
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_4C
		dw	offset lbl_FD_4D
		dw	offset lbl_FD_4E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_54
		dw	offset lbl_FD_55
		dw	offset lbl_FD_56
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_5C
		dw	offset lbl_FD_5D
		dw	offset lbl_FD_5E
		dw	offset err_instr
		dw	offset lbl_FD_60
		dw	offset lbl_FD_61
		dw	offset lbl_FD_62
		dw	offset lbl_FD_63
		dw	offset lbl_FD_64
		dw	offset lbl_FD_65
		dw	offset lbl_FD_66
		dw	offset lbl_FD_67
		dw	offset lbl_FD_68
		dw	offset lbl_FD_69
		dw	offset lbl_FD_6A
		dw	offset lbl_FD_6B
		dw	offset lbl_FD_6C
		dw	offset lbl_FD_6D
		dw	offset lbl_FD_6E
		dw	offset lbl_FD_6F
		dw	offset lbl_FD_70
		dw	offset lbl_FD_71
		dw	offset lbl_FD_72
		dw	offset lbl_FD_73
		dw	offset lbl_FD_74
		dw	offset lbl_FD_75
		dw	offset err_instr
		dw	offset lbl_FD_77
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_7C
		dw	offset lbl_FD_7D
		dw	offset lbl_FD_7E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_84
		dw	offset lbl_FD_85
		dw	offset lbl_FD_86
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_8C
		dw	offset lbl_FD_8D
		dw	offset lbl_FD_8E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_94
		dw	offset lbl_FD_95
		dw	offset lbl_FD_96
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_9C
		dw	offset lbl_FD_9D
		dw	offset lbl_FD_9E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_A4
		dw	offset lbl_FD_A5
		dw	offset lbl_FD_A6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_AC
		dw	offset lbl_FD_AD
		dw	offset lbl_FD_AE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_B4
		dw	offset lbl_FD_B5
		dw	offset lbl_FD_B6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_BC
		dw	offset lbl_FD_BD
		dw	offset lbl_FD_BE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_E1
		dw	offset err_instr
		dw	offset lbl_FD_E3
		dw	offset err_instr
		dw	offset lbl_FD_E5
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_E9
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_F9
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr

prefix_dd_cb:
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_16
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_1E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_26
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_2E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_36
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_3E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_46
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_4E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_56
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_5E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_66
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_6E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_76
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_7E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_86
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_8E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_96
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_9E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_A6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_AE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_B6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_BE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_C6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_CE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_D6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_DE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_E6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_EE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_F6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_DD_CB_FE
		dw	offset err_instr

prefix_fd_cb:
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_16
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_1E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_26
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_2E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_36
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_3E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_46
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_4E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_56
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_5E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_66
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_6E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_76
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_7E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_86
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_8E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_96
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_9E
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_A6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_AE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_B6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_BE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_C6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_CE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_D6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_DE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_E6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_EE
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_F6
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset err_instr
		dw	offset lbl_FD_CB_FE
		dw	offset err_instr


		end

