		public	t_instr


_in_bas		label
		public	_in_bas

t_instr	dw	 c00, c01, c02, c03, c04, c05, c06, c07, c08, c09
	dw	 c0a, c0b, c0c, c0d, c0e, c0f
	dw	 c10, c11, c12, c13, c14, c15, c16, c17, c18, c19
	dw	 c1a, c1b, c1c, c1d, c1e, c1f
	dw	 c20, c21, c22, c23, c24, c25, c26, c27, c28, c29
	dw	 c2a, c2b, c2c, c2d, c2e, c2f
	dw	 c30, c31, c32, c33, c34, c35, c36, c37, c38, c39
	dw	 c3a, c3b, c3c, c3d, c3e, c3f
	dw	 c40, c41, c42, c43, c44, c45, c46, c47, c48, c49
	dw	 c4a, c4b, c4c, c4d, c4e, c4f
	dw	 c50, c51, c52, c53, c54, c55, c56, c57, c58, c59
	dw       c5a, c5b, c5c, c5d, c5e, c5f
	dw	 c60, c61, c62, c63, c64, c65, c66, c67, c68, c69
	dw	 c6a, c6b, c6c, c6d, c6e, c6f
	dw	 c70, c71, c72, c73, c74, c75, c76, c77, c78, c79
	dw	 c7a, c7b, c7c, c7d, c7e, c7f
	dw	 c80, c81, c82, c83, c84, c85, c86, c87, c88, c89
	dw	 c8a, c8b, c8c, c8d, c8e, c8f
	dw	 c90, c91, c92, c93, c94, c95, c96, c97, c98, c99
	dw	 c9a, c9b, c9c, c9d, c9e, c9f
	dw	 ca0, ca1, ca2, ca3, ca4, ca5, ca6, ca7, ca8, ca9
	dw	 caa, cab, cac, cad, cae, caf
	dw	 cb0, cb1, cb2, cb3, cb4, cb5, cb6, cb7, cb8, cb9
	dw	 cba, cbb, cbc, cbd, cbe, cbf
	dw	 cc0, cc1, cc2, cc3, cc4, cc5, cc6, cc7, cc8, cc9
	dw	 cca, ccb, ccc, ccd, cce, ccf
	dw	 cd0, cd1, cd2, cd3, cd4, cd5, cd6, cd7, cd8, cd9
	dw	 cda, cdb, cdc, cdd, cde, cdf
	dw	 ce0, ce1, ce2, ce3, ce4, ce5, ce6, ce7, ce8, ce9
	dw	 cea, ceb, cec, ced, cee, cef
	dw	 cf0, cf1, cf2, cf3, cf4, cf5, cf6, cf7, cf8, cf9
	dw	 cfa, cfb, cfc, cfd, cfe, cff


; Dale jsou data ve tvaru
;
; 1 byte -     7 6 5 4 3 2 1 0
;	       | | | | | | | |
;              | | | | | | ------ pocet ostatnich bytu instrukce
;              | | | | | -------- relativni skok (1 bytova adresa)
;              | | | | ---------- absolutni skok (2 bytova adresa)
;              | | | ------------ 0. bit tab 1
;              | | -------------- prefix (nasleduje dalsi dekodovaci tabulka)
;              | ---------------- 1. bit tab 1
;	       ------------------ 2. bit tab 1
;
; tab 1
; 1 - return (tvrdy ret)
; 2 - push
; 3 - pop
; 4 - push  af
; 5 - pop   af
;
; X bytes - ASCII instrukce ukoncene 0
;     	  - 1 - relativni skok
;	  - 2 - absolutni skok
;	  - 3 - cislo 0 az 0ffh
; 	  - 4 - cislo 0 az 0ffffh
;	  - 5 - IX, IY
;	  - 6 - HX, HY
;	  - 7 - LX, LY
;	  - 8 - cislo -7fh - 80h
;	  - 9 - tabelator
;         - 10h - cislo je uvnitr navic

c00	db	0, 'NOP', 0
c01	db	2, 'LD', 9, 'BC, ', 4, 0
c02	db	0, 'LD', 9, '(BC), A', 0
c03	db	0, 'INC', 9, 'BC', 0
c04	db	0, 'INC', 9, 'B', 0
c05	db	0, 'DEC', 9, 'B', 0
c06	db	1, 'LD', 9, 'B, ', 3, 0
c07	db	0, 'RLCA', 0
c08	db	0, 'EX', 9, 'AF, AF', 0
c09	db	0, 'ADD', 9, 'HL, BC', 0
c0a	db	0, 'LD', 9, 'A, (BC)', 0
c0b	db	0, 'DEC', 9, 'BC', 0
c0c	db	0, 'INC', 9, 'C', 0
c0d	db	0, 'DEC', 9, 'C', 0
c0e	db	1, 'LD', 9, 'C, ', 3, 0
c0f	db	0, 'RRCA', 0
c10	db	1 + 4, 'DJNZ', 9, 1, 0
c11	db	2, 'LD', 9, 'DE, ', 4, 0
c12	db	0, 'LD', 9, '(DE), A', 0
c13	db	0, 'INC', 9, 'DE', 0
c14	db	0, 'INC', 9, 'D', 0
c15	db	0, 'DEC', 9, 'D', 0
c16	db	1, 'LD', 9, 'D, ', 3, 0
c17	db	0, 'RLA', 0
c18	db	1 + 4, 'JR', 9, 1, 0
c19	db	0, 'ADD', 9, 'HL, DE', 0
c1a	db	0, 'LD', 9, 'A, (DE)', 0
c1b	db	0, 'DEC', 9, 'DE', 0
c1c	db	0, 'INC', 9, 'E', 0
c1d	db	0, 'DEC', 9, 'E', 0
c1e	db	1, 'LD', 9, 'E, ', 3, 0
c1f	db	0, 'RRA', 0
c20	db	1 + 4, 'JR', 9, 'NZ, ', 1, 0
c21	db	2, 'LD', 9, 'HL, ', 4, 0
c22	db	2, 'LD', 9, '(', 4, '), HL', 0
c23	db	0, 'INC', 9, 'HL', 0
c24	db	0, 'INC', 9, 'H', 0
c25	db	0, 'DEC', 9, 'H', 0
c26	db	1, 'LD', 9, 'H, ', 3, 0
c27	db	0, 'DAA', 0
c28	db	1 + 4, 'JR', 9, 'Z, ', 1, 0
c29	db	0, 'ADD', 9, 'HL, HL', 0
c2a	db	2, 'LD', 9, 'HL, (', 4, ')', 0
c2b	db	0, 'DEC', 9, 'HL', 0
c2c	db	0, 'INC', 9, 'L', 0
c2d	db	0, 'DEC', 9, 'L', 0
c2e	db	1, 'LD', 9, 'L, ', 3, 0
c2f	db	0, 'CPL', 0
c30	db	1 + 4, 'JR', 9, 'NC, ', 1, 0
c31	db	2, 'LD', 9, 'SP, ', 4, 0
c32	db	2, 'LD', 9, '(', 4, '), A', 0
c33	db	0, 'INC', 9, 'SP', 0
c34	db	0, 'INC', 9, '(HL)', 0
c35	db	0, 'DEC', 9, '(HL)', 0
c36	db	1, 'LD', 9, '(HL), ', 3, 0
c37	db	0, 'SCF', 0
c38	db	1 + 4, 'JR', 9, 'C, ', 1, 0
c39	db	0, 'ADD', 9, 'HL, SP', 0
c3a	db	2, 'LD', 9, 'A, (', 4, ')', 0
c3b	db	0, 'DEC', 9, 'SP', 0
c3c	db	0, 'INC', 9, 'A', 0
c3d	db	0, 'DEC', 9, 'A', 0
c3e	db	1, 'LD', 9, 'A, ', 3, 0
c3f	db	0, 'CCF', 0
c40	db	0, 'LD', 9, 'B, B', 0
c41	db	0, 'LD', 9, 'B, C', 0
c42	db	0, 'LD', 9, 'B, D', 0
c43	db	0, 'LD', 9, 'B, E', 0
c44	db	0, 'LD', 9, 'B, H', 0
c45	db	0, 'LD', 9, 'B, L', 0
c46	db	0, 'LD', 9, 'B, (HL)', 0
c47	db	0, 'LD', 9, 'B, A', 0
c48	db	0, 'LD', 9, 'C, B', 0
c49	db	0, 'LD', 9, 'C, C', 0
c4a	db	0, 'LD', 9, 'C, D', 0
c4b	db	0, 'LD', 9, 'C, E', 0
c4c	db	0, 'LD', 9, 'C, H', 0
c4d	db	0, 'LD', 9, 'C, L', 0
c4e	db	0, 'LD', 9, 'C, (HL)', 0
c4f	db	0, 'LD', 9, 'C, A', 0
c50	db	0, 'LD', 9, 'D, B', 0
c51	db	0, 'LD', 9, 'D, C', 0
c52	db	0, 'LD', 9, 'D, D', 0
c53	db	0, 'LD', 9, 'D, E', 0
c54	db	0, 'LD', 9, 'D, H', 0
c55	db	0, 'LD', 9, 'D, L', 0
c56	db	0, 'LD', 9, 'D, (HL)', 0
c57	db	0, 'LD', 9, 'D, A', 0
c58	db	0, 'LD', 9, 'E, B', 0
c59	db	0, 'LD', 9, 'E, C', 0
c5a	db	0, 'LD', 9, 'E, D', 0
c5b	db	0, 'LD', 9, 'E, E', 0
c5c	db	0, 'LD', 9, 'E, H', 0
c5d	db	0, 'LD', 9, 'E, L', 0
c5e	db	0, 'LD', 9, 'E, (HL)', 0
c5f	db	0, 'LD', 9, 'E, A', 0
c60	db	0, 'LD', 9, 'H, B', 0
c61	db	0, 'LD', 9, 'H, C', 0
c62	db	0, 'LD', 9, 'H, D', 0
c63	db	0, 'LD', 9, 'H, E', 0
c64	db	0, 'LD', 9, 'H, H', 0
c65	db	0, 'LD', 9, 'H, L', 0
c66	db	0, 'LD', 9, 'H, (HL)', 0
c67	db	0, 'LD', 9, 'H, A', 0
c68	db	0, 'LD', 9, 'L, B', 0
c69	db	0, 'LD', 9, 'L, C', 0
c6a	db	0, 'LD', 9, 'L, D', 0
c6b	db	0, 'LD', 9, 'L, E', 0
c6c	db	0, 'LD', 9, 'L, H', 0
c6d	db	0, 'LD', 9, 'L, L', 0
c6e	db	0, 'LD', 9, 'L, (HL)', 0
c6f	db	0, 'LD', 9, 'L, A', 0
c70	db	0, 'LD', 9, '(HL), B', 0
c71	db	0, 'LD', 9, '(HL), C', 0
c72	db	0, 'LD', 9, '(HL), D', 0
c73	db	0, 'LD', 9, '(HL), E', 0
c74	db	0, 'LD', 9, '(HL), H', 0
c75	db	0, 'LD', 9, '(HL), L', 0
c76	db	0, 'HALT', 0
c77	db	0, 'LD', 9, '(HL), A', 0
c78	db	0, 'LD', 9, 'A, B', 0
c79	db	0, 'LD', 9, 'A, C', 0
c7a	db	0, 'LD', 9, 'A, D', 0
c7b	db	0, 'LD', 9, 'A, E', 0
c7c	db	0, 'LD', 9, 'A, H', 0
c7d	db	0, 'LD', 9, 'A, L', 0
c7e	db	0, 'LD', 9, 'A, (HL)', 0
c7f	db	0, 'LD', 9, 'A, A', 0
c80	db	0, 'ADD', 9, 'A, B', 0
c81	db	0, 'ADD', 9, 'A, C', 0
c82	db	0, 'ADD', 9, 'A, D', 0
c83	db	0, 'ADD', 9, 'A, E', 0
c84	db	0, 'ADD', 9, 'A, H', 0
c85	db	0, 'ADD', 9, 'A, L', 0
c86	db	0, 'ADD', 9, 'A, (HL)', 0
c87	db	0, 'ADD', 9, 'A, A', 0
c88	db	0, 'ADC', 9, 'A, B', 0
c89	db	0, 'ADC', 9, 'A, C', 0
c8a	db	0, 'ADC', 9, 'A, D', 0
c8b	db	0, 'ADC', 9, 'A, E', 0
c8c	db	0, 'ADC', 9, 'A, H', 0
c8d	db	0, 'ADC', 9, 'A, L', 0
c8e	db	0, 'ADC', 9, 'A, (HL)', 0
c8f	db	0, 'ADC', 9, 'A, A', 0
c90	db	0, 'SUB', 9, 'B', 0
c91	db	0, 'SUB', 9, 'C', 0
c92	db	0, 'SUB', 9, 'D', 0
c93	db	0, 'SUB', 9, 'E', 0
c94	db	0, 'SUB', 9, 'H', 0
c95	db	0, 'SUB', 9, 'L', 0
c96	db	0, 'SUB', 9, '(HL)', 0
c97	db	0, 'SUB', 9, 'A', 0
c98	db	0, 'SBC', 9, 'A, B', 0
c99	db	0, 'SBC', 9, 'A, C', 0
c9a	db	0, 'SBC', 9, 'A, D', 0
c9b	db	0, 'SBC', 9, 'A, E', 0
c9c	db	0, 'SBC', 9, 'A, H', 0
c9d	db	0, 'SBC', 9, 'A, L', 0
c9e	db	0, 'SBC', 9, 'A, (HL)', 0
c9f	db	0, 'SBC', 9, 'A, A', 0
ca0	db	0, 'AND', 9, 'B', 0
ca1	db	0, 'AND', 9, 'C', 0
ca2	db	0, 'AND', 9, 'D', 0
ca3	db	0, 'AND', 9, 'E', 0
ca4	db	0, 'AND', 9, 'H', 0
ca5	db	0, 'AND', 9, 'L', 0
ca6	db	0, 'AND', 9, '(HL)', 0
ca7	db	0, 'AND', 9, 'A', 0
ca8	db	0, 'XOR', 9, 'B', 0
ca9	db	0, 'XOR', 9, 'C', 0
caa	db	0, 'XOR', 9, 'D', 0
cab	db	0, 'XOR', 9, 'E', 0
cac	db	0, 'XOR', 9, 'H', 0
cad	db	0, 'XOR', 9, 'L', 0
cae	db	0, 'XOR', 9, '(HL)', 0
caf	db	0, 'XOR', 9, 'A', 0
cb0	db	0, 'OR', 9, 'B', 0
cb1	db	0, 'OR', 9, 'C', 0
cb2	db	0, 'OR', 9, 'D', 0
cb3	db	0, 'OR', 9, 'E', 0
cb4	db	0, 'OR', 9, 'H', 0
cb5	db	0, 'OR', 9, 'L', 0
cb6	db	0, 'OR', 9, '(HL)', 0
cb7	db	0, 'OR', 9, 'A', 0
cb8	db	0, 'CP', 9, 'B', 0
cb9	db	0, 'CP', 9, 'C', 0
cba	db	0, 'CP', 9, 'D', 0
cbb	db	0, 'CP', 9, 'E', 0
cbc	db	0, 'CP', 9, 'H', 0
cbd	db	0, 'CP', 9, 'L', 0
cbe	db	0, 'CP', 9, '(HL)', 0
cbf	db	0, 'CP', 9, 'A', 0
cc0	db	0d0h, 'RET', 9, 'NZ', 0
cc1	db	50h, 'POP', 9, 'BC', 0
cc2	db	2 + 8, 'JP', 9, 'NZ, ', 2, 0
cc3	db	2 + 8, 'JP', 9, 2, 0
cc4	db	2 + 8, 'CALL', 9, 'NZ, ', 2, 0
cc5	db	40h, 'PUSH', 9, 'BC', 0
cc6	db	1, 'ADD', 9, 'A, ', 3, 0
cc7	db	0, 'RST', 9, '00H', 0
cc8	db	0d0h, 'RET', 9, 'Z', 0
cc9	db	10h, 'RET', 0
cca	db	2 + 8, 'JP', 9, 'Z, ', 2, 0
ccc	db	2 + 8, 'CALL', 9, 'Z, ', 2, 0
ccd	db	2 + 8, 'CALL', 9, 2, 0
cce	db	1, 'ADC', 9, 'A, ', 3, 0
ccf	db	0, 'RST', 9, '08H', 0
cd0	db	0d0h, 'RET', 9, 'NC', 0
cd1	db	50h, 'POP', 9, 'DE', 0
cd2	db	2 + 8, 'JP', 9, 'NC, ', 2, 0
cd3	db	1, 'OUT', 9, '(', 3, '), A', 0
cd4	db	2 + 8, 'CALL', 9, 'NC, ', 2, 0
cd5	db	40h, 'PUSH', 9, 'DE', 0
cd6	db	1, 'SUB', 9, 3, 0
cd7	db	0, 'RST', 9, '10H', 0
cd8	db	0d0h, 'RET', 9, 'C', 0
cd9	db	0, 'EXX', 0
cda	db	2 + 8, 'JP', 9, 'C, ', 2, 0
cdb	db	1, 'IN', 9, 'A, (', 3, ')', 0
cdd	db	0ffh
cdc	db	2 + 8, 'CALL', 9, 'C, ', 2, 0
cde	db	1, 'SBC', 9, 'A, ', 3, 0
cdf	db	0, 'RST', 9, '18H', 0
ce0	db	0d0h, 'RET', 9, 'PO', 0
ce1	db	50h, 'POP', 9, 'HL', 0
ce2	db	2 + 8, 'JP', 9, 'PO, ', 2, 0
ce3	db	0, 'EX', 9, '(SP), HL', 0
ce4	db	2 + 8, 'CALL', 9, 'PO, ', 2, 0
ce5	db	40h, 'PUSH', 9, 'HL', 0
ce6	db	1, 'AND', 9, 3, 0
ce7	db	0, 'RST', 9, '20H', 0
ce8	db	0d0h, 'RET', 9, 'PE', 0
ce9	db	0 + 8 + 4, 'JP', 9, '(HL)', 0
cea	db	2 + 8, 'JP', 9, 'PE, ', 2, 0
ceb	db	0, 'EX', 9, 'DE, HL', 0
cec	db	2 + 8, 'CALL', 9, 'PE, ', 2, 0
cee	db	1, 'XOR', 9, 3, 0
cef	db	0, 'RST', 9, '28H', 0
cf0	db	0d0h, 'RET', 9, 'P', 0
cf1	db	50h, 'POP', 9, 'AF', 0
cf2	db	2 + 8, 'JP', 9, 'P, ', 2, 0
cf3	db	0, 'DI', 0
cf4	db	2 + 8, 'CALL', 9, 'P, ', 2, 0
cf5	db	40h, 'PUSH', 9, 'AF', 0
cf6	db	1, 'OR', 9, 3, 0
cf7	db	0, 'RST', 9, '30H', 0
cf8	db	0d0h, 'RET', 9, 'M', 0
cf9	db	0, 'LD', 9, 'SP, HL', 0
cfa	db	2 + 8, 'JP', 9, 'M, ', 2, 0
cfb	db	0, 'EI', 0
cfc	db	2 + 8, 'CALL', 9, 'M, ', 2, 0
cfd	db	0ffh
cfe	db	1, 'CP', 9, 3, 0
cff	db	0, 'RST', 9, '38H', 0

; --------------------------------------------------
; --------------------------------------------------

ced	db	20h		; prefix 0edh

	dw	 ec00, ec01, ec02, ec03, ec04, ec05, ec06, ec07, ec08, ec09
	dw	 ec0a, ec0b, ec0c, ec0d, ec0e, ec0f
	dw	 ec10, ec11, ec12, ec13, ec14, ec15, ec16, ec17, ec18, ec19
	dw	 ec1a, ec1b, ec1c, ec1d, ec1e, ec1f
	dw	 ec20, ec21, ec22, ec23, ec24, ec25, ec26, ec27, ec28, ec29
	dw	 ec2a, ec2b, ec2c, ec2d, ec2e, ec2f
	dw	 ec30, ec31, ec32, ec33, ec34, ec35, ec36, ec37, ec38, ec39
	dw	 ec3a, ec3b, ec3c, ec3d, ec3e, ec3f
	dw	 ec40, ec41, ec42, ec43, ec44, ec45, ec46, ec47, ec48, ec49
	dw	 ec4a, ec4b, ec4c, ec4d, ec4e, ec4f
	dw	 ec50, ec51, ec52, ec53, ec54, ec55, ec56, ec57, ec58, ec59
	dw       ec5a, ec5b, ec5c, ec5d, ec5e, ec5f
	dw	 ec60, ec61, ec62, ec63, ec64, ec65, ec66, ec67, ec68, ec69
	dw	 ec6a, ec6b, ec6c, ec6d, ec6e, ec6f
	dw	 ec70, ec71, ec72, ec73, ec74, ec75, ec76, ec77, ec78, ec79
	dw	 ec7a, ec7b, ec7c, ec7d, ec7e, ec7f
	dw	 ec80, ec81, ec82, ec83, ec84, ec85, ec86, ec87, ec88, ec89
	dw	 ec8a, ec8b, ec8c, ec8d, ec8e, ec8f
	dw	 ec90, ec91, ec92, ec93, ec94, ec95, ec96, ec97, ec98, ec99
	dw	 ec9a, ec9b, ec9c, ec9d, ec9e, ec9f
	dw	 eca0, eca1, eca2, eca3, eca4, eca5, eca6, eca7, eca8, eca9
	dw	 ecaa, ecab, ecac, ecad, ecae, ecaf
	dw	 ecb0, ecb1, ecb2, ecb3, ecb4, ecb5, ecb6, ecb7, ecb8, ecb9
	dw	 ecba, ecbb, ecbc, ecbd, ecbe, ecbf
	dw	 ecc0, ecc1, ecc2, ecc3, ecc4, ecc5, ecc6, ecc7, ecc8, ecc9
	dw	 ecca, eccb, eccc, eccd, ecce, eccf
	dw	 ecd0, ecd1, ecd2, ecd3, ecd4, ecd5, ecd6, ecd7, ecd8, ecd9
	dw	 ecda, ecdb, ecdc, ecdd, ecde, ecdf
	dw	 ece0, ece1, ece2, ece3, ece4, ece5, ece6, ece7, ece8, ece9
	dw	 ecea, eceb, ecec, eced, ecee, ecef
	dw	 ecf0, ecf1, ecf2, ecf3, ecf4, ecf5, ecf6, ecf7, ecf8, ecf9
	dw	 ecfa, ecfb, ecfc, ecfd, ecfe, ecff

ec00	db	0ffh
ec01	db	0ffh
ec02	db	0ffh
ec03	db	0ffh
ec04	db	0ffh
ec05	db	0ffh
ec06	db	0ffh
ec07	db	0ffh
ec08	db	0ffh
ec09	db	0ffh
ec0a	db	0ffh
ec0b	db	0ffh
ec0c	db	0ffh
ec0d	db	0ffh
ec0e	db	0ffh
ec0f	db	0ffh
ec10	db	0ffh
ec11	db	0ffh
ec12	db	0ffh
ec13	db	0ffh
ec14	db	0ffh
ec15	db	0ffh
ec16	db	0ffh
ec17	db	0ffh
ec18	db	0ffh
ec19	db	0ffh
ec1a	db	0ffh
ec1b	db	0ffh
ec1c	db	0ffh
ec1d	db	0ffh
ec1e	db	0ffh
ec1f	db	0ffh
ec20	db	0ffh
ec21	db	0ffh
ec22	db	0ffh
ec23	db	0ffh
ec24	db	0ffh
ec25	db	0ffh
ec26	db	0ffh
ec27	db	0ffh
ec28	db	0ffh
ec29	db	0ffh
ec2a	db	0ffh
ec2b	db	0ffh
ec2c	db	0ffh
ec2d	db	0ffh
ec2e	db	0ffh
ec2f	db	0ffh
ec30	db	0ffh
ec31	db	0ffh
ec32	db	0ffh
ec33	db	0ffh
ec34	db	0ffh
ec35	db	0ffh
ec36	db	0ffh
ec37	db	0ffh
ec38	db	0ffh
ec39	db	0ffh
ec3a	db	0ffh
ec3b	db	0ffh
ec3c	db	0ffh
ec3d	db	0ffh
ec3e	db	0ffh
ec3f	db	0ffh
ec40	db	0, 'IN', 9, 'B, (C)', 0
ec41	db	0, 'OUT', 9, '(C), B', 0
ec42	db	0, 'SBC', 9, 'HL, BC', 0
ec43	db	2, 'LD', 9, '(', 4, '), BC', 0
ec44	db	0, 'NEG', 0
ec45	db	10h, 'RETN', 0
ec46	db	0, 'IM', 9, '0'
ec47	db	0, 'LD', 9, 'I, A', 0
ec48	db	0, 'IN', 9, 'C, (C)', 0
ec49	db	0, 'OUT', 9, '(C), A', 0
ec4a	db	0, 'ADC', 9, 'HL, BC', 0
ec4b	db	2, 'LD', 9, 'BC, (', 4, ')', 0
ec4c	db	0ffh
ec4d	db	10h, 'RETI', 0
ec4e	db	0ffh
ec4f	db	0, 'LD', 9, 'R, A', 0
ec50	db	0, 'IN', 9, 'D, (C)', 0
ec51	db	0, 'OUT', 9, '(C), D', 0
ec52	db	0, 'SBC', 9, 'HL, DE', 0
ec53	db	2, 'LD', 9, '(', 4, '), DE', 0
ec54	db	0ffh
ec55	db	0ffh
ec56	db	0, 'IM', 9, '1'
ec57	db	0, 'LD', 9, 'A, I', 0
ec58	db	0, 'IN', 9, 'E, (C)', 0
ec59	db	0, 'OUT', 9, '(C), E', 0
ec5a	db	0, 'ADC', 9, 'HL, DE', 0
ec5b	db	2, 'LD', 9, 'DE, (', 4, ')', 0
ec5c	db	0ffh
ec5d	db	0ffh
ec5e	db	0, 'IM', 9, '2', 0
ec5f	db	0, 'LD', 9, 'A, R', 0
ec60	db	0, 'IN', 9, 'H, (C)', 0
ec61	db	0, 'OUT', 9, '(C), H', 0
ec62	db	0, 'SBC', 9, 'HL, HL', 0
ec63	db	2, 'LD', 9, '(', 4, '), HL', 0
ec64	db	0ffh
ec65	db	0ffh
ec66	db	0ffh
ec67	db	0, 'RRD', 0
ec68	db	0, 'IN', 9, 'L, (C)', 0
ec69	db	0, 'OUT', 9, '(C), L', 0
ec6a	db	0, 'ADC', 9, 'HL, HL', 0
ec6b	db	2, 'LD', 9, 'HL, (', 4, ')', 0
ec6c	db	0ffh
ec6d	db	0ffh
ec6e	db	0ffh
ec6f	db	0, 'RLD', 0
ec70	db	0ffh
ec71	db	0ffh
ec72	db	0, 'SBC', 9, 'HL, SP', 0
ec73	db	2, 'LD', 9, '(', 4, '), SP', 0
ec74	db	0ffh
ec75	db	0ffh
ec76	db	0ffh
ec77	db	0ffh
ec78	db	0, 'IN', 9, 'A, (C)', 0
ec79	db	0, 'OUT', 9, '(C), A', 0
ec7a	db	0, 'ADC', 9, 'HL, SP', 0
ec7b	db	2, 'LD', 9, 'SP, (', 4, ')', 0
ec7c	db	0ffh
ec7d	db	0ffh
ec7e	db	0ffh
ec7f	db	0ffh
ec80	db	0ffh
ec81	db	0ffh
ec82	db	0ffh
ec83	db	0ffh
ec84	db	0ffh
ec85	db	0ffh
ec86	db	0ffh
ec87	db	0ffh
ec88	db	0ffh
ec89	db	0ffh
ec8a	db	0ffh
ec8b	db	0ffh
ec8c	db	0ffh
ec8d	db	0ffh
ec8e	db	0ffh
ec8f	db	0ffh
ec90	db	0ffh
ec91	db	0ffh
ec92	db	0ffh
ec93	db	0ffh
ec94	db	0ffh
ec95	db	0ffh
ec96	db	0ffh
ec97	db	0ffh
ec98	db	0ffh
ec99	db	0ffh
ec9a	db	0ffh
ec9b	db	0ffh
ec9c	db	0ffh
ec9d	db	0ffh
ec9e	db	0ffh
ec9f	db	0ffh
eca0	db	0, 'LDI', 0
eca1	db	0, 'CPI', 0
eca2	db	0, 'INI', 0
eca3	db	0, 'OUTI', 0
eca4	db	0ffh
eca5	db	0ffh
eca6	db	0ffh
eca7	db	0ffh
eca8	db	0, 'LDD', 0
eca9	db	0, 'CPD', 0
ecaa	db	0, 'IND', 0
ecab	db	0, 'OUTD', 0
ecac	db	0ffh
ecad	db	0ffh
ecae	db	0ffh
ecaf	db	0ffh
ecb0	db	0, 'LDIR', 0
ecb1	db	0, 'CPIR', 0
ecb2	db	0, 'INIR', 0
ecb3	db	0, 'OTIR', 0
ecb4	db	0ffh
ecb5	db	0ffh
ecb6	db	0ffh
ecb7	db	0ffh
ecb8	db	0, 'LDDR', 0
ecb9	db	0, 'CPDR', 0
ecba	db	0, 'INDR', 0
ecbb	db	0, 'OTDR', 0
ecbc	db	0ffh
ecbd	db	0ffh
ecbe	db	0ffh
ecbf	db	0ffh
ecc0	db	0ffh
ecc1	db	0ffh
ecc2	db	0ffh
ecc3	db	0ffh
ecc4	db	0ffh
ecc5	db	0ffh
ecc6	db	0ffh
ecc7	db	0ffh
ecc8	db	0ffh
ecc9	db	0ffh
ecca	db	0ffh
eccb	db	0ffh
eccc	db	0ffh
eccd	db	0ffh
ecce	db	0ffh
eccf	db	0ffh
ecd0	db	0ffh
ecd1	db	0ffh
ecd2	db	0ffh
ecd3	db	0ffh
ecd4	db	0ffh
ecd5	db	0ffh
ecd6	db	0ffh
ecd7	db	0ffh
ecd8	db	0ffh
ecd9	db	0ffh
ecda	db	0ffh
ecdb	db	0ffh
ecdc	db	0ffh
ecdd	db	0ffh
ecde	db	0ffh
ecdf	db	0ffh
ece0	db	0ffh
ece1	db	0ffh
ece2	db	0ffh
ece3	db	0ffh
ece4	db	0ffh
ece5	db	0ffh
ece6	db	0ffh
ece7	db	0ffh
ece8	db	0ffh
ece9	db	0ffh
ecea	db	0ffh
eceb	db	0ffh
ecec	db	0ffh
eced	db	0ffh
ecee	db	0ffh
ecef	db	0ffh
ecf0	db	0ffh
ecf1	db	0ffh
ecf2	db	0ffh
ecf3	db	0ffh
ecf4	db	0ffh
ecf5	db	0ffh
ecf6	db	0ffh
ecf7	db	0ffh
ecf8	db	0ffh
ecf9	db	0, 'ZXVRAM',0
ecfa	db	0, 'PLAY',0
ecfb	db	0, 'STOP',0
ecfc	db	0, 'LOAD',9,'PRG', 0
ecfd	db	0, 'WAIT',0
ecfe	db	0, 'LOAD',9,'HEAD',0
ecff	db	0, 'LOADS',9,'HEAD',0

; --------------------------------------------------
; --------------------------------------------------

ccb	db	20h		; prefix 0cbh

	dw	 cc00, cc01, cc02, cc03, cc04, cc05, cc06, cc07, cc08, cc09
	dw	 cc0a, cc0b, cc0c, cc0d, cc0e, cc0f
	dw	 cc10, cc11, cc12, cc13, cc14, cc15, cc16, cc17, cc18, cc19
	dw	 cc1a, cc1b, cc1c, cc1d, cc1e, cc1f
	dw	 cc20, cc21, cc22, cc23, cc24, cc25, cc26, cc27, cc28, cc29
	dw	 cc2a, cc2b, cc2c, cc2d, cc2e, cc2f
	dw	 cc30, cc31, cc32, cc33, cc34, cc35, cc36, cc37, cc38, cc39
	dw	 cc3a, cc3b, cc3c, cc3d, cc3e, cc3f
	dw	 cc40, cc41, cc42, cc43, cc44, cc45, cc46, cc47, cc48, cc49
	dw	 cc4a, cc4b, cc4c, cc4d, cc4e, cc4f
	dw	 cc50, cc51, cc52, cc53, cc54, cc55, cc56, cc57, cc58, cc59
	dw       cc5a, cc5b, cc5c, cc5d, cc5e, cc5f
	dw	 cc60, cc61, cc62, cc63, cc64, cc65, cc66, cc67, cc68, cc69
	dw	 cc6a, cc6b, cc6c, cc6d, cc6e, cc6f
	dw	 cc70, cc71, cc72, cc73, cc74, cc75, cc76, cc77, cc78, cc79
	dw	 cc7a, cc7b, cc7c, cc7d, cc7e, cc7f
	dw	 cc80, cc81, cc82, cc83, cc84, cc85, cc86, cc87, cc88, cc89
	dw	 cc8a, cc8b, cc8c, cc8d, cc8e, cc8f
	dw	 cc90, cc91, cc92, cc93, cc94, cc95, cc96, cc97, cc98, cc99
	dw	 cc9a, cc9b, cc9c, cc9d, cc9e, cc9f
	dw	 cca0, cca1, cca2, cca3, cca4, cca5, cca6, cca7, cca8, cca9
	dw	 ccaa, ccab, ccac, ccad, ccae, ccaf
	dw	 ccb0, ccb1, ccb2, ccb3, ccb4, ccb5, ccb6, ccb7, ccb8, ccb9
	dw	 ccba, ccbb, ccbc, ccbd, ccbe, ccbf
	dw	 ccc0, ccc1, ccc2, ccc3, ccc4, ccc5, ccc6, ccc7, ccc8, ccc9
	dw	 ccca, cccb, cccc, cccd, ccce, cccf
	dw	 ccd0, ccd1, ccd2, ccd3, ccd4, ccd5, ccd6, ccd7, ccd8, ccd9
	dw	 ccda, ccdb, ccdc, ccdd, ccde, ccdf
	dw	 cce0, cce1, cce2, cce3, cce4, cce5, cce6, cce7, cce8, cce9
	dw	 ccea, cceb, ccec, cced, ccee, ccef
	dw	 ccf0, ccf1, ccf2, ccf3, ccf4, ccf5, ccf6, ccf7, ccf8, ccf9
	dw	 ccfa, ccfb, ccfc, ccfd, ccfe, ccff

cc00	db	0, 'RLC', 9, 'B', 0
cc01	db	0, 'RLC', 9, 'C', 0
cc02	db	0, 'RLC', 9, 'D', 0
cc03	db	0, 'RLC', 9, 'E', 0
cc04	db	0, 'RLC', 9, 'H', 0
cc05	db	0, 'RLC', 9, 'L', 0
cc06	db	0, 'RLC', 9, '(HL)', 0
cc07	db	0, 'RLC', 9, 'A'
cc08	db	0, 'RRC', 9, 'B', 0
cc09	db	0, 'RRC', 9, 'C', 0
cc0a	db	0, 'RRC', 9, 'D', 0
cc0b	db	0, 'RRC', 9, 'E', 0
cc0c	db	0, 'RRC', 9, 'H', 0
cc0d	db	0, 'RRC', 9, 'L', 0
cc0e	db	0, 'RRC', 9, '(HL)', 0
cc0f	db	0, 'RRC', 9, 'A', 0
cc10	db	0, 'RL', 9, 'B', 0
cc11	db	0, 'RL', 9, 'C', 0
cc12	db	0, 'RL', 9, 'D', 0
cc13	db	0, 'RL', 9, 'E', 0
cc14	db	0, 'RL', 9, 'H', 0
cc15	db	0, 'RL', 9, 'L', 0
cc16	db	0, 'RL', 9, '(HL)', 0
cc17	db	0, 'RL', 9, 'A'
cc18	db	0, 'RR', 9, 'B', 0
cc19	db	0, 'RR', 9, 'C', 0
cc1a	db	0, 'RR', 9, 'D', 0
cc1b	db	0, 'RR', 9, 'E', 0
cc1c	db	0, 'RR', 9, 'H', 0
cc1d	db	0, 'RR', 9, 'L', 0
cc1e	db	0, 'RR', 9, '(HL)', 0
cc1f	db	0, 'RR', 9, 'A'
cc20	db	0, 'SLA', 9, 'B', 0
cc21	db	0, 'SLA', 9, 'C', 0
cc22	db	0, 'SLA', 9, 'D', 0
cc23	db	0, 'SLA', 9, 'E', 0
cc24	db	0, 'SLA', 9, 'H', 0
cc25	db	0, 'SLA', 9, 'L', 0
cc26	db	0, 'SLA', 9, '(HL)', 0
cc27	db	0, 'SLA', 9, 'A'
cc28	db	0, 'SRA', 9, 'B', 0
cc29	db	0, 'SRA', 9, 'C', 0
cc2a	db	0, 'SRA', 9, 'D', 0
cc2b	db	0, 'SRA', 9, 'E', 0
cc2c	db	0, 'SRA', 9, 'H', 0
cc2d	db	0, 'SRA', 9, 'L', 0
cc2e	db	0, 'SRA', 9, '(HL)', 0
cc2f	db	0, 'SRA', 9, 'A'
cc30	db	0, 'SLL', 9, 'B', 0
cc31	db	0, 'SLL', 9, 'C', 0
cc32	db	0, 'SLL', 9, 'D', 0
cc33	db	0, 'SLL', 9, 'E', 0
cc34	db	0, 'SLL', 9, 'H', 0
cc35	db	0, 'SLL', 9, 'L', 0
cc36	db	0, 'SLL', 9, '(HL)', 0
cc37	db	0, 'SLL', 9, 'A', 0
cc38	db	0, 'SRL', 9, 'B', 0
cc39	db	0, 'SRL', 9, 'C', 0
cc3a	db	0, 'SRL', 9, 'D', 0
cc3b	db	0, 'SRL', 9, 'E', 0
cc3c	db	0, 'SRL', 9, 'H', 0
cc3d	db	0, 'SRL', 9, 'L', 0
cc3e	db	0, 'SRL', 9, '(HL)', 0
cc3f	db	0, 'SRL', 9, 'A', 0
cc40	db	0, 'BIT', 9, '0, B', 0
cc41	db	0, 'BIT', 9, '0, C', 0
cc42	db	0, 'BIT', 9, '0, D', 0
cc43	db	0, 'BIT', 9, '0, E', 0
cc44	db	0, 'BIT', 9, '0, H', 0
cc45	db	0, 'BIT', 9, '0, L', 0
cc46	db	0, 'BIT', 9, '0, (HL)', 0
cc47	db	0, 'BIT', 9, '0, A', 0
cc48	db	0, 'BIT', 9, '1, B', 0
cc49	db	0, 'BIT', 9, '1, C', 0
cc4a	db	0, 'BIT', 9, '1, D', 0
cc4b	db	0, 'BIT', 9, '1, E', 0
cc4c	db	0, 'BIT', 9, '1, H', 0
cc4d	db	0, 'BIT', 9, '1, L', 0
cc4e	db	0, 'BIT', 9, '1, (HL)', 0
cc4f	db	0, 'BIT', 9, '1, A', 0
cc50	db	0, 'BIT', 9, '2, B', 0
cc51	db	0, 'BIT', 9, '2, C', 0
cc52	db	0, 'BIT', 9, '2, D', 0
cc53	db	0, 'BIT', 9, '2, E', 0
cc54	db	0, 'BIT', 9, '2, H', 0
cc55	db	0, 'BIT', 9, '2, L', 0
cc56	db	0, 'BIT', 9, '2, (HL)', 0
cc57	db	0, 'BIT', 9, '2, A', 0
cc58	db	0, 'BIT', 9, '3, B', 0
cc59	db	0, 'BIT', 9, '3, C', 0
cc5a	db	0, 'BIT', 9, '3, D', 0
cc5b	db	0, 'BIT', 9, '3, E', 0
cc5c	db	0, 'BIT', 9, '3, H', 0
cc5d	db	0, 'BIT', 9, '3, L', 0
cc5e	db	0, 'BIT', 9, '3, (HL)', 0
cc5f	db	0, 'BIT', 9, '3, A', 0
cc60	db	0, 'BIT', 9, '4, B', 0
cc61	db	0, 'BIT', 9, '4, C', 0
cc62	db	0, 'BIT', 9, '4, D', 0
cc63	db	0, 'BIT', 9, '4, E', 0
cc64	db	0, 'BIT', 9, '4, H', 0
cc65	db	0, 'BIT', 9, '4, L', 0
cc66	db	0, 'BIT', 9, '4, (HL)', 0
cc67	db	0, 'BIT', 9, '4, A', 0
cc68	db	0, 'BIT', 9, '5, B', 0
cc69	db	0, 'BIT', 9, '5, C', 0
cc6a	db	0, 'BIT', 9, '5, D', 0
cc6b	db	0, 'BIT', 9, '5, E', 0
cc6c	db	0, 'BIT', 9, '5, H', 0
cc6d	db	0, 'BIT', 9, '5, L', 0
cc6e	db	0, 'BIT', 9, '5, (HL)', 0
cc6f	db	0, 'BIT', 9, '5, A', 0
cc70	db	0, 'BIT', 9, '6, B', 0
cc71	db	0, 'BIT', 9, '6, C', 0
cc72	db	0, 'BIT', 9, '6, D', 0
cc73	db	0, 'BIT', 9, '6, E', 0
cc74	db	0, 'BIT', 9, '6, H', 0
cc75	db	0, 'BIT', 9, '6, L', 0
cc76	db	0, 'BIT', 9, '6, (HL)', 0
cc77	db	0, 'BIT', 9, '6, A', 0
cc78	db	0, 'BIT', 9, '7, B', 0
cc79	db	0, 'BIT', 9, '7, C', 0
cc7a	db	0, 'BIT', 9, '7, D', 0
cc7b	db	0, 'BIT', 9, '7, E', 0
cc7c	db	0, 'BIT', 9, '7, H', 0
cc7d	db	0, 'BIT', 9, '7, L', 0
cc7e	db	0, 'BIT', 9, '7, (HL)', 0
cc7f	db	0, 'BIT', 9, '7, A', 0
cc80	db	0, 'RES', 9, '0, B', 0
cc81	db	0, 'RES', 9, '0, C', 0
cc82	db	0, 'RES', 9, '0, D', 0
cc83	db	0, 'RES', 9, '0, E', 0
cc84	db	0, 'RES', 9, '0, H', 0
cc85	db	0, 'RES', 9, '0, L', 0
cc86	db	0, 'RES', 9, '0, (HL)', 0
cc87	db	0, 'RES', 9, '0, A', 0
cc88	db	0, 'RES', 9, '1, B', 0
cc89	db	0, 'RES', 9, '1, C', 0
cc8a	db	0, 'RES', 9, '1, D', 0
cc8b	db	0, 'RES', 9, '1, E', 0
cc8c	db	0, 'RES', 9, '1, H', 0
cc8d	db	0, 'RES', 9, '1, L', 0
cc8e	db	0, 'RES', 9, '1, (HL)', 0
cc8f	db	0, 'RES', 9, '1, A', 0
cc90	db	0, 'RES', 9, '2, B', 0
cc91	db	0, 'RES', 9, '2, C', 0
cc92	db	0, 'RES', 9, '2, D', 0
cc93	db	0, 'RES', 9, '2, E', 0
cc94	db	0, 'RES', 9, '2, H', 0
cc95	db	0, 'RES', 9, '2, L', 0
cc96	db	0, 'RES', 9, '2, (HL)', 0
cc97	db	0, 'RES', 9, '2, A', 0
cc98	db	0, 'RES', 9, '3, B', 0
cc99	db	0, 'RES', 9, '3, C', 0
cc9a	db	0, 'RES', 9, '3, D', 0
cc9b	db	0, 'RES', 9, '3, E', 0
cc9c	db	0, 'RES', 9, '3, H', 0
cc9d	db	0, 'RES', 9, '3, L', 0
cc9e	db	0, 'RES', 9, '3, (HL)', 0
cc9f	db	0, 'RES', 9, '3, A', 0
cca0	db	0, 'RES', 9, '4, B', 0
cca1	db	0, 'RES', 9, '4, C', 0
cca2	db	0, 'RES', 9, '4, D', 0
cca3	db	0, 'RES', 9, '4, E', 0
cca4	db	0, 'RES', 9, '4, H', 0
cca5	db	0, 'RES', 9, '4, L', 0
cca6	db	0, 'RES', 9, '4, (HL)', 0
cca7	db	0, 'RES', 9, '4, A', 0
cca8	db	0, 'RES', 9, '5, B', 0
cca9	db	0, 'RES', 9, '5, C', 0
ccaa	db	0, 'RES', 9, '5, D', 0
ccab	db	0, 'RES', 9, '5, E', 0
ccac	db	0, 'RES', 9, '5, H', 0
ccad	db	0, 'RES', 9, '5, L', 0
ccae	db	0, 'RES', 9, '5, (HL)', 0
ccaf	db	0, 'RES', 9, '5, A', 0
ccb0	db	0, 'RES', 9, '6, B', 0
ccb1	db	0, 'RES', 9, '6, C', 0
ccb2	db	0, 'RES', 9, '6, D', 0
ccb3	db	0, 'RES', 9, '6, E', 0
ccb4	db	0, 'RES', 9, '6, H', 0
ccb5	db	0, 'RES', 9, '6, L', 0
ccb6	db	0, 'RES', 9, '6, (HL)', 0
ccb7	db	0, 'RES', 9, '6, A', 0
ccb8	db	0, 'RES', 9, '7, B', 0
ccb9	db	0, 'RES', 9, '7, C', 0
ccba	db	0, 'RES', 9, '7, D', 0
ccbb	db	0, 'RES', 9, '7, E', 0
ccbc	db	0, 'RES', 9, '7, H', 0
ccbd	db	0, 'RES', 9, '7, L', 0
ccbe	db	0, 'RES', 9, '7, (HL)', 0
ccbf	db	0, 'RES', 9, '7, A', 0
ccc0	db	0, 'SET', 9, '0, B', 0
ccc1	db	0, 'SET', 9, '0, C', 0
ccc2	db	0, 'SET', 9, '0, D', 0
ccc3	db	0, 'SET', 9, '0, E', 0
ccc4	db	0, 'SET', 9, '0, H', 0
ccc5	db	0, 'SET', 9, '0, L', 0
ccc6	db	0, 'SET', 9, '0, (HL)', 0
ccc7	db	0, 'SET', 9, '0, A', 0
ccc8	db	0, 'SET', 9, '1, B', 0
ccc9	db	0, 'SET', 9, '1, C', 0
ccca	db	0, 'SET', 9, '1, D', 0
cccb	db	0, 'SET', 9, '1, E', 0
cccc	db	0, 'SET', 9, '1, H', 0
cccd	db	0, 'SET', 9, '1, L', 0
ccce	db	0, 'SET', 9, '1, (HL)', 0
cccf	db	0, 'SET', 9, '1, A', 0
ccd0	db	0, 'SET', 9, '2, B', 0
ccd1	db	0, 'SET', 9, '2, C', 0
ccd2	db	0, 'SET', 9, '2, D', 0
ccd3	db	0, 'SET', 9, '2, E', 0
ccd4	db	0, 'SET', 9, '2, H', 0
ccd5	db	0, 'SET', 9, '2, L', 0
ccd6	db	0, 'SET', 9, '2, (HL)', 0
ccd7	db	0, 'SET', 9, '2, A', 0
ccd8	db	0, 'SET', 9, '3, B', 0
ccd9	db	0, 'SET', 9, '3, C', 0
ccda	db	0, 'SET', 9, '3, D', 0
ccdb	db	0, 'SET', 9, '3, E', 0
ccdc	db	0, 'SET', 9, '3, H', 0
ccdd	db	0, 'SET', 9, '3, L', 0
ccde	db	0, 'SET', 9, '3, (HL)', 0
ccdf	db	0, 'SET', 9, '3, A', 0
cce0	db	0, 'SET', 9, '4, B', 0
cce1	db	0, 'SET', 9, '4, C', 0
cce2	db	0, 'SET', 9, '4, D', 0
cce3	db	0, 'SET', 9, '4, E', 0
cce4	db	0, 'SET', 9, '4, H', 0
cce5	db	0, 'SET', 9, '4, L', 0
cce6	db	0, 'SET', 9, '4, (HL)', 0
cce7	db	0, 'SET', 9, '4, A', 0
cce8	db	0, 'SET', 9, '5, B', 0
cce9	db	0, 'SET', 9, '5, C', 0
ccea	db	0, 'SET', 9, '5, D', 0
cceb	db	0, 'SET', 9, '5, E', 0
ccec	db	0, 'SET', 9, '5, H', 0
cced	db	0, 'SET', 9, '5, L', 0
ccee	db	0, 'SET', 9, '5, (HL)', 0
ccef	db	0, 'SET', 9, '5, A', 0
ccf0	db	0, 'SET', 9, '6, B', 0
ccf1	db	0, 'SET', 9, '6, C', 0
ccf2	db	0, 'SET', 9, '6, D', 0
ccf3	db	0, 'SET', 9, '6, E', 0
ccf4	db	0, 'SET', 9, '6, H', 0
ccf5	db	0, 'SET', 9, '6, L', 0
ccf6	db	0, 'SET', 9, '6, (HL)', 0
ccf7	db	0, 'SET', 9, '6, A', 0
ccf8	db	0, 'SET', 9, '7, B', 0
ccf9	db	0, 'SET', 9, '7, C', 0
ccfa	db	0, 'SET', 9, '7, D', 0
ccfb	db	0, 'SET', 9, '7, E', 0
ccfc	db	0, 'SET', 9, '7, H', 0
ccfd	db	0, 'SET', 9, '7, L', 0
ccfe	db	0, 'SET', 9, '7, (HL)', 0
ccff	db	0, 'SET', 9, '7, A', 0

; --------------------------------------------------
; --------------------------------------------------

;  prefix 0ddh nebo 0fdh

		public	dprefx

_in_dd_fd	label
		public	_in_dd_fd

dprefx	dw	 dc00, dc01, dc02, dc03, dc04, dc05, dc06, dc07, dc08, dc09
	dw	 dc0a, dc0b, dc0c, dc0d, dc0e, dc0f
	dw	 dc10, dc11, dc12, dc13, dc14, dc15, dc16, dc17, dc18, dc19
	dw	 dc1a, dc1b, dc1c, dc1d, dc1e, dc1f
	dw	 dc20, dc21, dc22, dc23, dc24, dc25, dc26, dc27, dc28, dc29
	dw	 dc2a, dc2b, dc2c, dc2d, dc2e, dc2f
	dw	 dc30, dc31, dc32, dc33, dc34, dc35, dc36, dc37, dc38, dc39
	dw	 dc3a, dc3b, dc3c, dc3d, dc3e, dc3f
	dw	 dc40, dc41, dc42, dc43, dc44, dc45, dc46, dc47, dc48, dc49
	dw	 dc4a, dc4b, dc4c, dc4d, dc4e, dc4f
	dw	 dc50, dc51, dc52, dc53, dc54, dc55, dc56, dc57, dc58, dc59
	dw       dc5a, dc5b, dc5c, dc5d, dc5e, dc5f
	dw	 dc60, dc61, dc62, dc63, dc64, dc65, dc66, dc67, dc68, dc69
	dw	 dc6a, dc6b, dc6c, dc6d, dc6e, dc6f
	dw	 dc70, dc71, dc72, dc73, dc74, dc75, dc76, dc77, dc78, dc79
	dw	 dc7a, dc7b, dc7c, dc7d, dc7e, dc7f
	dw	 dc80, dc81, dc82, dc83, dc84, dc85, dc86, dc87, dc88, dc89
	dw	 dc8a, dc8b, dc8c, dc8d, dc8e, dc8f
	dw	 dc90, dc91, dc92, dc93, dc94, dc95, dc96, dc97, dc98, dc99
	dw	 dc9a, dc9b, dc9c, dc9d, dc9e, dc9f
	dw	 dca0, dca1, dca2, dca3, dca4, dca5, dca6, dca7, dca8, dca9
	dw	 dcaa, dcab, dcac, dcad, dcae, dcaf
	dw	 dcb0, dcb1, dcb2, dcb3, dcb4, dcb5, dcb6, dcb7, dcb8, dcb9
	dw	 dcba, dcbb, dcbc, dcbd, dcbe, dcbf
	dw	 dcc0, dcc1, dcc2, dcc3, dcc4, dcc5, dcc6, dcc7, dcc8, dcc9
	dw	 dcca, dccb, dccc, dccd, dcce, dccf
	dw	 dcd0, dcd1, dcd2, dcd3, dcd4, dcd5, dcd6, dcd7, dcd8, dcd9
	dw	 dcda, dcdb, dcdc, dcdd, dcde, dcdf
	dw	 dce0, dce1, dce2, dce3, dce4, dce5, dce6, dce7, dce8, dce9
	dw	 dcea, dceb, dcec, dced, dcee, dcef
	dw	 dcf0, dcf1, dcf2, dcf3, dcf4, dcf5, dcf6, dcf7, dcf8, dcf9
	dw	 dcfa, dcfb, dcfc, dcfd, dcfe, dcff

dc00	db	0ffh
dc01	db	0ffh
dc02	db	0ffh
dc03	db	0ffh
dc04	db	0ffh
dc05	db	0ffh
dc06	db	0ffh
dc07	db	0ffh
dc08	db	0ffh
dc09	db	0, 'ADD', 9, 5, ', BC', 0
dc0a	db	0ffh
dc0b	db	0ffh
dc0c	db	0ffh
dc0d	db	0ffh
dc0e	db	0ffh
dc0f	db	0ffh
dc10	db	0ffh
dc11	db	0ffh
dc12	db	0ffh
dc13	db	0ffh
dc14	db	0ffh
dc15	db	0ffh
dc16	db	0ffh
dc17	db	0ffh
dc18	db	0ffh
dc19	db	0, 'ADD', 9, 5, ', DE', 0
dc1a	db	0ffh
dc1b	db	0ffh
dc1c	db	0ffh
dc1d	db	0ffh
dc1e	db	0ffh
dc1f	db	0ffh
dc20	db	0ffh
dc21	db	2, 'LD', 9, 5, ', ', 4, 0
dc22	db	2, 'LD', 9, '(', 4, '), ', 5, 0
dc23	db	0, 'INC', 9, 5, 0
dc24	db	0, 'INC', 9, 6, 0
dc25	db	0, 'DEC', 9, 6, 0
dc26	db	1, 'LD', 9, 6, ', ', 3, 0
dc27	db	0ffh
dc28	db	0ffh
dc29	db	0, 'ADD', 9, 5, ',', 5, 0
dc2a	db	2, 'LD', 9, 5, ', (', 4, ')', 0
dc2b	db	0, 'DEC', 9, 5, 0
dc2c	db	0, 'INC', 9, 7, 0
dc2d	db	0, 'DEC', 9, 7, 0
dc2e	db	1, 'LD', 9, 7, ', ', 3, 0
dc2f	db	0ffh
dc30	db	0ffh
dc31	db	0ffh
dc32	db	0ffh
dc33	db	0ffh
dc34	db	1, 'INC', 9, '(', 5, 8, ')', 0
dc35	db	1, 'DEC', 9, '(', 5, 8, ')', 0
dc36	db	82H, 'LD', 9, '(', 5, 8, '), ', 3, 0
dc37	db	0ffh
dc38	db	0ffh
dc39	db	0, 'ADD', 9, 5, ', SP', 0
dc3a	db	0ffh
dc3b	db	0ffh
dc3c	db	0ffh
dc3d	db	0ffh
dc3e	db	0ffh
dc3f	db	0ffh
dc40	db	0ffh
dc41	db	0ffh
dc42	db	0ffh
dc43	db	0ffh
dc44	db	0, 'LD', 9, 'B, ', 6, 0
dc45	db	0, 'LD', 9, 'B, ', 7, 0
dc46	db	1, 'LD', 9, 'B, (', 5, 8, ')', 0
dc47	db	0ffh
dc48	db	0ffh
dc49	db	0ffh
dc4a	db	0ffh
dc4b	db	0ffh
dc4c	db	0, 'LD', 9, 'C, ', 6, 0
dc4d	db	0, 'LD', 9, 'C, ', 7, 0
dc4e	db	1, 'LD', 9, 'C, (', 5, 8, ')', 0
dc4f	db	0ffh
dc50	db	0ffh
dc51	db	0ffh
dc52	db	0ffh
dc53	db	0ffh
dc54	db	0, 'LD', 9, 'D, ', 6, 0
dc55	db	0, 'LD', 9, 'D, ', 7, 0
dc56	db	1, 'LD', 9, 'D, (', 5, 8, ')', 0
dc57	db	0ffh
dc58	db	0ffh
dc59	db	0ffh
dc5a	db	0ffh
dc5b	db	0ffh
dc5c	db	0, 'LD', 9, 'E, ', 6, 0
dc5d	db	0, 'LD', 9, 'E, ', 7, 0
dc5e	db	1, 'LD', 9, 'E, (', 5, 8, ')', 0
dc5f	db	0ffh
dc60	db	0, 'LD', 9, 6, ', B', 0
dc61	db	0, 'LD', 9, 6, ', C', 0
dc62	db	0, 'LD', 9, 6, ', D', 0
dc63	db	0, 'LD', 9, 6, ', E', 0
dc64	db	0, 'LD', 9, 6, ',', 6, 0
dc65	db	0, 'LD', 9, 6, ',', 7, 0
dc66	db	1, 'LD', 9, 'H, (', 5, 8, ')', 0
dc67	db	0, 'LD', 9, 6, ', A', 0
dc68	db	0, 'LD', 9, 7, ', B', 0
dc69	db	0, 'LD', 9, 7, ', C', 0
dc6a	db	0, 'LD', 9, 7, ', D', 0
dc6b	db	0, 'LD', 9, 7, ', E', 0
dc6c	db	0, 'LD', 9, 7, ',', 6, 0
dc6d	db	0, 'LD', 9, 7, ',', 7, 0
dc6e	db	1, 'LD', 9, 'L, (', 5, 8, ')', 0
dc6f	db	0, 'LD', 9, 7, ', A', 0
dc70	db	1, 'LD', 9, '(', 5, 8, '), B', 0
dc71	db	1, 'LD', 9, '(', 5, 8, '), C', 0
dc72	db	1, 'LD', 9, '(', 5, 8, '), D', 0
dc73	db	1, 'LD', 9, '(', 5, 8, '), E', 0
dc74	db	1, 'LD', 9, '(', 5, 8, '), H', 0
dc75	db	1, 'LD', 9, '(', 5, 8, '), L', 0
dc76	db	0ffh
dc77	db	1, 'LD', 9, '(', 5, 8, '), A', 0
dc78	db	0ffh
dc79	db	0ffh
dc7a	db	0ffh
dc7b	db	0ffh
dc7c	db	0, 'LD', 9, 'A, ', 6, 0
dc7d	db	0, 'LD', 9, 'A, ', 7, 0
dc7e	db	1, 'LD', 9, 'A, (', 5, 8, ')', 0
dc7f	db	0ffh
dc80	db	0ffh
dc81	db	0ffh
dc82	db	0ffh
dc83	db	0ffh
dc84	db	0, 'ADD', 9, 'A, ', 6, 0
dc85	db	0, 'ADD', 9, 'A, ', 7, 0
dc86	db	1, 'ADD', 9, 'A, (', 5, 8, ')', 0
dc87	db	0ffh
dc88	db	0ffh
dc89	db	0ffh
dc8a	db	0ffh
dc8b	db	0ffh
dc8c	db	0, 'ADC', 9, 'A, ', 6, 0
dc8d	db	0, 'ADC', 9, 'A, ', 7, 0
dc8e	db	1, 'ADC', 9, 'A, (', 5, 8, ')', 0
dc8f	db	0ffh
dc90	db	0ffh
dc91	db	0ffh
dc92	db	0ffh
dc93	db	0ffh
dc94	db	0, 'SUB', 9, 6, 0
dc95	db	0, 'SUB', 9, 7, 0
dc96	db	1, 'SUB', 9, '(', 5, 8, ')', 0
dc97	db	0ffh
dc98	db	0ffh
dc99	db	0ffh
dc9a	db	0ffh
dc9b	db	0ffh
dc9c	db	0, 'SBC', 9, 6, 0
dc9d	db	0, 'SBC', 9, 7, 0
dc9e	db	1, 'SBC', 9, 'A, (', 5, 8, ')', 0
dc9f	db	0ffh
dca0	db	0ffh
dca1	db	0ffh
dca2	db	0ffh
dca3	db	0ffh
dca4	db	1, 'AND', 9, 6, 0
dca5	db	1, 'AND', 9, 7, 0
dca6	db	1, 'AND', 9, '(', 5, 8, ')', 0
dca7	db	0ffh
dca8	db	0ffh
dca9	db	0ffh
dcaa	db	0ffh
dcab	db	0ffh
dcac	db	0, 'XOR', 9, 6, 0
dcad	db	0, 'XOR', 9, 7, 0
dcae	db	1, 'XOR', 9, '(', 5, 8, ')', 0
dcaf	db	0ffh
dcb0	db	0ffh
dcb1	db	0ffh
dcb2	db	0ffh
dcb3	db	0ffh
dcb4	db	0, 'OR', 9, 6, 0
dcb5	db	0, 'OR', 9, 6, 0
dcb6	db	1, 'OR', 9, '(', 5, 8, ')', 0
dcb7	db	0ffh
dcb8	db	0ffh
dcb9	db	0ffh
dcba	db	0ffh
dcbb	db	0ffh
dcbc	db	0, 'CP', 9, 6, 0
dcbd	db	0, 'CP', 9, 6, 0
dcbe	db	1, 'CP', 9, '(', 5, 8, ')', 0
dcbf	db	0ffh
dcc0	db	0ffh
dcc1	db	0ffh
dcc2	db	0ffh
dcc3	db	0ffh
dcc4	db	0ffh
dcc5	db	0ffh
dcc6	db	0ffh
dcc7	db	0ffh
dcc8	db	0ffh
dcc9	db	0ffh
dcca	db	0ffh
; ------- prefix
dccc	db	0ffh
dccd	db	0ffh
dcce	db	0ffh
dccf	db	0ffh
dcd0	db	0ffh
dcd1	db	0ffh
dcd2	db	0ffh
dcd3	db	0ffh
dcd4	db	0ffh
dcd5	db	0ffh
dcd6	db	0ffh
dcd7	db	0ffh
dcd8	db	0ffh
dcd9	db	0ffh
dcda	db	0ffh
dcdb	db	0ffh
dcdc	db	0ffh
dcdd	db	0ffh
dcde	db	0ffh
dcdf	db	0ffh
dce0	db	0ffh
dce1	db	50h, 'POP', 9, 5, 0
dce2	db	0ffh
dce3	db	0, 'EX', 9, '(SP), ', 5, 0
dce4	db	0ffh
dce5	db	40h, 'PUSH', 9, 5, 0
dce6	db	0ffh
dce7	db	0ffh
dce8	db	0ffh
dce9	db	0 + 8 + 4, 'JP', 9, '(', 5, ')', 0
dcea	db	0ffh
dceb	db	0ffh
dcec	db	0ffh
dced	db	0ffh
dcee	db	0ffh
dcef	db	0ffh
dcf0	db	0ffh
dcf1	db	0ffh
dcf2	db	0ffh
dcf3	db	0ffh
dcf4	db	0ffh
dcf5	db	0ffh
dcf6	db	0ffh
dcf7	db	0ffh
dcf8	db	0ffh
dcf9	db	0, 'LD', 9, 'SP, ', 5, 0
dcfa	db	0ffh
dcfb	db	0ffh
dcfc	db	0ffh
dcfd	db	0ffh
dcfe	db	0ffh
dcff	db	0ffh

; --------------------------------------------------
; --------------------------------------------------

dccb	db	20h		; dvojity prefix 0xdh 0cbh

	public	doupx

doupx	dw	 cdc00, cdc01, cdc02, cdc03, cdc04, cdc05, cdc06, cdc07, cdc08, cdc09
	dw	 cdc0a, cdc0b, cdc0c, cdc0d, cdc0e, cdc0f
	dw	 cdc10, cdc11, cdc12, cdc13, cdc14, cdc15, cdc16, cdc17, cdc18, cdc19
	dw	 cdc1a, cdc1b, cdc1c, cdc1d, cdc1e, cdc1f
	dw	 cdc20, cdc21, cdc22, cdc23, cdc24, cdc25, cdc26, cdc27, cdc28, cdc29
	dw	 cdc2a, cdc2b, cdc2c, cdc2d, cdc2e, cdc2f
	dw	 cdc30, cdc31, cdc32, cdc33, cdc34, cdc35, cdc36, cdc37, cdc38, cdc39
	dw	 cdc3a, cdc3b, cdc3c, cdc3d, cdc3e, cdc3f
	dw	 cdc40, cdc41, cdc42, cdc43, cdc44, cdc45, cdc46, cdc47, cdc48, cdc49
	dw	 cdc4a, cdc4b, cdc4c, cdc4d, cdc4e, cdc4f
	dw	 cdc50, cdc51, cdc52, cdc53, cdc54, cdc55, cdc56, cdc57, cdc58, cdc59
	dw       cdc5a, cdc5b, cdc5c, cdc5d, cdc5e, cdc5f
	dw	 cdc60, cdc61, cdc62, cdc63, cdc64, cdc65, cdc66, cdc67, cdc68, cdc69
	dw	 cdc6a, cdc6b, cdc6c, cdc6d, cdc6e, cdc6f
	dw	 cdc70, cdc71, cdc72, cdc73, cdc74, cdc75, cdc76, cdc77, cdc78, cdc79
	dw	 cdc7a, cdc7b, cdc7c, cdc7d, cdc7e, cdc7f
	dw	 cdc80, cdc81, cdc82, cdc83, cdc84, cdc85, cdc86, cdc87, cdc88, cdc89
	dw	 cdc8a, cdc8b, cdc8c, cdc8d, cdc8e, cdc8f
	dw	 cdc90, cdc91, cdc92, cdc93, cdc94, cdc95, cdc96, cdc97, cdc98, cdc99
	dw	 cdc9a, cdc9b, cdc9c, cdc9d, cdc9e, cdc9f
	dw	 cdca0, cdca1, cdca2, cdca3, cdca4, cdca5, cdca6, cdca7, cdca8, cdca9
	dw	 cdcaa, cdcab, cdcac, cdcad, cdcae, cdcaf
	dw	 cdcb0, cdcb1, cdcb2, cdcb3, cdcb4, cdcb5, cdcb6, cdcb7, cdcb8, cdcb9
	dw	 cdcba, cdcbb, cdcbc, cdcbd, cdcbe, cdcbf
	dw	 cdcc0, cdcc1, cdcc2, cdcc3, cdcc4, cdcc5, cdcc6, cdcc7, cdcc8, cdcc9
	dw	 cdcca, cdccb, cdccc, cdccd, cdcce, cdccf
	dw	 cdcd0, cdcd1, cdcd2, cdcd3, cdcd4, cdcd5, cdcd6, cdcd7, cdcd8, cdcd9
	dw	 cdcda, cdcdb, cdcdc, cdcdd, cdcde, cdcdf
	dw	 cdce0, cdce1, cdce2, cdce3, cdce4, cdce5, cdce6, cdce7, cdce8, cdce9
	dw	 cdcea, cdceb, cdcec, cdced, cdcee, cdcef
	dw	 cdcf0, cdcf1, cdcf2, cdcf3, cdcf4, cdcf5, cdcf6, cdcf7, cdcf8, cdcf9
	dw	 cdcfa, cdcfb, cdcfc, cdcfd, cdcfe, cdcff

cdc00	db	0ffh
cdc01	db	0ffh
cdc02	db	0ffh
cdc03	db	0ffh
cdc04	db	0ffh
cdc05	db	0ffh
cdc06	db	1, 'RLC', 9, '(', 5, 8, ')', 0
cdc07	db	0ffh
cdc08	db	0ffh
cdc09	db	0ffh
cdc0a	db	0ffh
cdc0b	db	0ffh
cdc0c	db	0ffh
cdc0d	db	0ffh
cdc0e	db	1, 'RRC', 9, '(', 5, 8, ')', 0
cdc0f	db	0ffh
cdc10	db	0ffh
cdc11	db	0ffh
cdc12	db	0ffh
cdc13	db	0ffh
cdc14	db	0ffh
cdc15	db	0ffh
cdc16	db	1, 'RL', 9, '(', 5, 8, ')', 0
cdc17	db	0ffh
cdc18	db	0ffh
cdc19	db	0ffh
cdc1a	db	0ffh
cdc1b	db	0ffh
cdc1c	db	0ffh
cdc1d	db	0ffh
cdc1e	db	1, 'RR', 9, '(', 5, 8, ')', 0
cdc1f	db	0ffh
cdc20	db	0ffh
cdc21	db	0ffh
cdc22	db	0ffh
cdc23	db	0ffh
cdc24	db	0ffh
cdc25	db	0ffh
cdc26	db	1, 'SLA', 9, '(', 5, 8, ')', 0
cdc27	db	0ffh
cdc28	db	0ffh
cdc29	db	0ffh
cdc2a	db	0ffh
cdc2b	db	0ffh
cdc2c	db	0ffh
cdc2d	db	0ffh
cdc2e	db	1, 'SRA', 9, '(', 5, 8, ')', 0
cdc2f	db	0ffh
cdc30	db	0ffh
cdc31	db	0ffh
cdc32	db	0ffh
cdc33	db	0ffh
cdc34	db	0ffh
cdc35	db	0ffh
cdc36	db	0ffh
cdc37	db	0ffh
cdc38	db	0ffh
cdc39	db	0ffh
cdc3a	db	0ffh
cdc3b	db	0ffh
cdc3c	db	0ffh
cdc3d	db	0ffh
cdc3e	db	1, 'SRL', 9, '(', 5, 8, ')', 0
cdc3f	db	0ffh
cdc40	db	0ffh
cdc41	db	0ffh
cdc42	db	0ffh
cdc43	db	0ffh
cdc44	db	0ffh
cdc45	db	0ffh
cdc46	db	1, 'BIT', 9, '0, (', 5, 8, ')', 0
cdc47	db	0ffh
cdc48	db	0ffh
cdc49	db	0ffh
cdc4a	db	0ffh
cdc4b	db	0ffh
cdc4c	db	0ffh
cdc4d	db	0ffh
cdc4e	db	1, 'BIT', 9, '1, (', 5, 8, ')', 0
cdc4f	db	0ffh
cdc50	db	0ffh
cdc51	db	0ffh
cdc52	db	0ffh
cdc53	db	0ffh
cdc54	db	0ffh
cdc55	db	0ffh
cdc56	db	1, 'BIT', 9, '2, (', 5, 8, ')', 0
cdc57	db	0ffh
cdc58	db	0ffh
cdc59	db	0ffh
cdc5a	db	0ffh
cdc5b	db	0ffh
cdc5c	db	0ffh
cdc5d	db	0ffh
cdc5e	db	1, 'BIT', 9, '3, (', 5, 8, ')', 0
cdc5f	db	0ffh
cdc60	db	0ffh
cdc61	db	0ffh
cdc62	db	0ffh
cdc63	db	0ffh
cdc64	db	0ffh
cdc65	db	0ffh
cdc66	db	1, 'BIT', 9, '4, (', 5, 8, ')', 0
cdc67	db	0ffh
cdc68	db	0ffh
cdc69	db	0ffh
cdc6a	db	0ffh
cdc6b	db	0ffh
cdc6c	db	0ffh
cdc6d	db	0ffh
cdc6e	db	1, 'BIT', 9, '5, (', 5, 8, ')', 0
cdc6f	db	0ffh
cdc70	db	0ffh
cdc71	db	0ffh
cdc72	db	0ffh
cdc73	db	0ffh
cdc74	db	0ffh
cdc75	db	0ffh
cdc76	db	1, 'BIT', 9, '6, (', 5, 8, ')', 0
cdc77	db	0ffh
cdc78	db	0ffh
cdc79	db	0ffh
cdc7a	db	0ffh
cdc7b	db	0ffh
cdc7c	db	0ffh
cdc7d	db	0ffh
cdc7e	db	1, 'BIT', 9, '7, (', 5, 8, ')', 0
cdc7f	db	0ffh
cdc80	db	0ffh
cdc81	db	0ffh
cdc82	db	0ffh
cdc83	db	0ffh
cdc84	db	0ffh
cdc85	db	0ffh
cdc86	db      1, 'RES', 9, '0, (', 5, 8, ')', 0
cdc87	db	0ffh
cdc88	db	0ffh
cdc89	db	0ffh
cdc8a	db	0ffh
cdc8b	db	0ffh
cdc8c	db	0ffh
cdc8d	db	0ffh
cdc8e	db      1, 'RES', 9, '1, (', 5, 8, ')', 0
cdc8f	db	0ffh
cdc90	db	0ffh
cdc91	db	0ffh
cdc92	db	0ffh
cdc93	db	0ffh
cdc94	db	0ffh
cdc95	db	0ffh
cdc96	db      1, 'RES', 9, '2, (', 5, 8, ')', 0
cdc97	db	0ffh
cdc98	db	0ffh
cdc99	db	0ffh
cdc9a	db	0ffh
cdc9b	db	0ffh
cdc9c	db	0ffh
cdc9d	db	0ffh
cdc9e	db      1, 'RES', 9, '3, (', 5, 8, ')', 0
cdc9f	db	0ffh
cdca0	db	0ffh
cdca1	db	0ffh
cdca2	db	0ffh
cdca3	db	0ffh
cdca4	db	0ffh
cdca5	db	0ffh
cdca6	db      1, 'RES', 9, '4, (', 5, 8, ')', 0
cdca7	db	0ffh
cdca8	db	0ffh
cdca9	db	0ffh
cdcaa	db	0ffh
cdcab	db	0ffh
cdcac	db	0ffh
cdcad	db	0ffh
cdcae	db      1, 'RES', 9, '5, (', 5, 8, ')', 0
cdcaf	db	0ffh
cdcb0	db	0ffh
cdcb1	db	0ffh
cdcb2	db	0ffh
cdcb3	db	0ffh
cdcb4	db	0ffh
cdcb5	db	0ffh
cdcb6	db      1, 'RES', 9, '6, (', 5, 8, ')', 0
cdcb7	db	0ffh
cdcb8	db	0ffh
cdcb9	db	0ffh
cdcba	db	0ffh
cdcbb	db	0ffh
cdcbc	db	0ffh
cdcbd	db	0ffh
cdcbe	db      1, 'RES', 9, '7, (', 5, 8, ')', 0
cdcbf	db	0ffh
cdcc0	db	0ffh
cdcc1	db	0ffh
cdcc2	db	0ffh
cdcc3	db	0ffh
cdcc4	db	0ffh
cdcc5	db	0ffh
cdcc6	db      1, 'SET', 9, '0, (', 5, 8, ')', 0
cdcc7	db	0ffh
cdcc8	db	0ffh
cdcc9	db	0ffh
cdcca	db	0ffh
cdccb	db	0ffh
cdccc	db	0ffh
cdccd	db	0ffh
cdcce	db      1, 'SET', 9, '1, (', 5, 8, ')', 0
cdccf	db	0ffh
cdcd0	db	0ffh
cdcd1	db	0ffh
cdcd2	db	0ffh
cdcd3	db	0ffh
cdcd4	db	0ffh
cdcd5	db	0ffh
cdcd6	db      1, 'SET', 9, '2, (', 5, 8, ')', 0
cdcd7	db	0ffh
cdcd8	db	0ffh
cdcd9	db	0ffh
cdcda	db	0ffh
cdcdb	db	0ffh
cdcdc	db	0ffh
cdcdd	db	0ffh
cdcde	db      1, 'SET', 9, '3, (', 5, 8, ')', 0
cdcdf	db	0ffh
cdce0	db	0ffh
cdce1	db	0ffh
cdce2	db	0ffh
cdce3	db	0ffh
cdce4	db	0ffh
cdce5	db	0ffh
cdce6	db      1, 'SET', 9, '4, (', 5, 8, ')', 0
cdce7	db	0ffh
cdce8	db	0ffh
cdce9	db	0ffh
cdcea	db	0ffh
cdceb	db	0ffh
cdcec	db	0ffh
cdced	db	0ffh
cdcee	db      1, 'SET', 9, '5, (', 5, 8, ')', 0
cdcef	db	0ffh
cdcf0	db	0ffh
cdcf1	db	0ffh
cdcf2	db	0ffh
cdcf3	db	0ffh
cdcf4	db	0ffh
cdcf5	db	0ffh
cdcf6	db      1, 'SET', 9, '6, (', 5, 8, ')', 0
cdcf7	db	0ffh
cdcf8	db	0ffh
cdcf9	db	0ffh
cdcfa	db	0ffh
cdcfb	db	0ffh
cdcfc	db	0ffh
cdcfd	db	0ffh
cdcfe	db      1, 'SET', 9, '7, (', 5, 8, ')', 0
cdcff	db	0ffh
