#include <ctype.h>
#include <conio.h>
#include <dos.h>
#include <string.h>
#include <fcntl.h>
#include <io.h>
#include <mem.h>
#include <stdio.h>

extern char CL[80];
extern int Cur;
extern char far *PRAM;
extern int RDHandle;

extern "C" int ASCIISX(int);
extern unsigned DecodeAdress();
extern void InsertChar( char );
extern void BackChar();
extern unsigned getchars();
extern void showSharp( char *, int );
extern void WaitStatusLine( char * );

struct THead
{
  unsigned char PT;
  char name[17];
  unsigned int size;
  unsigned int begin;
  unsigned int start;
  char comment[104];
};

extern THead head;

char ioFile[78];

struct TRegisters {
unsigned AF;
unsigned BC;
unsigned DE;
unsigned HL;
unsigned IX;
unsigned IY;
unsigned AF1;
unsigned BC1;
unsigned DE1;
unsigned HL1;
unsigned SP;
unsigned PC;
unsigned I;
unsigned R;
};

struct TSTSMEM {
unsigned char MEMSTS;
char nic1;
unsigned char MODE;
char nic2;
unsigned char VMODE;
char nic3;
};

extern TRegisters far *PReg;
extern TSTSMEM far *PSTSMEM;

unsigned returnAdr;
unsigned char ramDiskPage = 0;

int getString( int x, int y )
{
  Cur = CL[0] = 0;
  unsigned c;
  do {
    gotoxy( x, y ); cputs( CL ); clreol();
    gotoxy( x + Cur, y );
    c = getchars();
    if ( ( c < 0x100 ) && ( c >= ' ' ) )
      InsertChar(c);
    if ( (c == 0x7f) || ( c == 8 ) )
      if ( Cur > 0 ) BackChar();
  } while ( (c != 0x0d) && (c != 0x1b) );
  return c == 0x1b;
}

void ErrPrm()
{
  WaitStatusLine("Invalid parameter. ");
}

void saveMemory()
{
  int i;
  setmem( &head, 0x80, 0 );
  window(15, 7, 65, 19);
  textattr( 7 ); clrscr();
  gotoxy(13, 2); cputs("S A V E    M E M O R Y");
  gotoxy(5, 4); cputs("Dos filename : "); if ( getString(20, 4) ) goto end;
  strcpy( ioFile, CL );
  gotoxy(5, 6); cputs("Filename     : "); getString(20, 6);
  for (i = 0; CL[i] != 0; i++) CL[i] = ASCIISX(CL[i]);
  head. PT = 1;
  strcpy( head. name, CL );
  head. name[ strlen(CL) ] = 0x0d;	// ukoncovaci znak
  gotoxy(5, 7); cputs("Size         : "); if ( getString(20, 7) ) goto end;
  Cur = 0;
  head.size = DecodeAdress();
  gotoxy(5, 8); cputs("Begin        : "); if ( getString(20, 8) ) goto end;
  Cur = 0;
  head.begin = DecodeAdress();
  gotoxy(5, 9); cputs("Start        : "); if ( getString(20, 9) ) goto end;
  Cur = 0;
  head.start = DecodeAdress();
  gotoxy(1, 11);
  cprintf("  Dos filename : %s\r\n  ", ioFile);
  showSharp( head. name, strlen(head. name) - 1 );
  cprintf("   %04X  %04X  %04X    OK ( /N) ? ", head.size,
			head.begin, head.start);
  if ( toupper(getchars()) == 'N' ) goto end;
  window(1,1,80,25);
  int Handle;
  if ( ( Handle = _creat( ioFile, 0 ) ) == -1 )
    {
      WaitStatusLine( "Error open for writing ... ");
      return;
    }
  write( Handle, &head, 0x80 );
  write( Handle, &PRAM[ head. begin ], head. size );
  close( Handle );
 end:
  window(1,1,80,25);
}

extern int selectFile();
extern char dosFile[20];
extern char directory[78];

void loadMemory()
{
  char str[78];
  unsigned From = 0;
  int FAkt = 0;
  if ( CL[2] != 0 )
    {
      Cur = 2;
      From = DecodeAdress();
      FAkt = 1;
    }
  if ( selectFile() ) return;
  strcpy( str, directory );
  strcat( str, "\\" );
  strcat( str, dosFile );
  int Handle;
  if ( ( Handle = open( str, O_RDONLY | O_BINARY ) ) == -1 )
    {
      WaitStatusLine( "Error open for reading ... ");
      return;
    }
  read( Handle, &head, 0x80 );
  movmem( &head, &PRAM[ 0x10f0 ], 0x80 );
  if ( !FAkt ) From = head. begin;
  read( Handle, &PRAM[ From ], head. size );
  close( Handle );
}

unsigned searchB[20];			// dvacet staci
unsigned searchF = 0;
unsigned searchCnt;

int searchOK()
{
  for (int i = 0; i < searchCnt; i++)
    if ( searchB[i] != 0x100 )
      if ( (char)searchB[i] != PRAM[ searchF + i ] ) return 0;
  return 1;
}

unsigned FindBytes()
{
  Cur = 2; searchF = DecodeAdress();
  Cur++;
  int PrevCur = 0;
  int pos = 0;
  while ( Cur != PrevCur )
    {
      PrevCur = Cur;
      if ( CL[Cur] == '_' )
	{
	  searchB[pos++] = 0x100; Cur++;
	}
       else
	{
	  unsigned X = DecodeAdress();
	 if ( Cur != PrevCur ) searchB[pos++] = (unsigned char)X;
	}
      if ( CL[Cur] == 0 ) break;
      PrevCur++; Cur++;
    }
  searchCnt = pos; PrevCur = 0;
  while ( (searchF != 0xffff) && (!PrevCur) )
    {
      PrevCur = searchOK();
      searchF++;
    }
  if ( !PrevCur )
    {
      WaitStatusLine("No find ... ");
      return 0xffff;
    }
   else return searchF - 1;
}

unsigned NextBytes()
{
  int end = 0;
  while ( (searchF != 0xffff) && (!end) )
    {
      end = searchOK();
      searchF++;
    }
  if ( !end )
    {
      WaitStatusLine("No find ...");
      return 0xffff;
    }
   else return searchF - 1;
}

char far zxS[20];

char * ZXSharpVRAM( unsigned Adr )
{
  asm {
		push	di
		mov	di, Adr
		mov	ax, di
		mov	bx, di
		mov	al, ah
		and	al, 00000111b
		and	bl, 11100000b
		shr	bl, 1
		shr	bl, 1
		or	al, bl
		and	bh, 00011000b
		shl	bh, 1
		shl	bh, 1
		shl	bh, 1
		or	al, bh
		mov	bl, 40
		mul	bl
		inc	ax
		inc	ax
		inc	ax
		inc	ax
		and	di, 00011111b
		add	di, ax
		mov	ax, di
		pop	di
  }
  unsigned SAdr = _AX | 0x8000;
  sprintf( zxS, "SHARP: %04X", SAdr );
  return (char*)&zxS;
}

unsigned regNames[] =
{ 'af', 'bc', 'de', 'hl', 'ix', 'iy', 'ax', 'bx', 'dx', 'hx', 'sp', 'pc', '  ' };

int isRegister()
{
  int i = 0;
  while ( regNames[ i ] != '  ' )
    {
      if ( regNames[ i ] == *(int *)&CL[Cur] )
	{
	  Cur += 2;
	  switch ( i ) {
	    case 0: returnAdr = PReg -> AF; break;
	    case 1: returnAdr = PReg -> BC; break;
	    case 2: returnAdr = PReg -> DE; break;
	    case 3: returnAdr = PReg -> HL; break;
	    case 4: returnAdr = PReg -> IX; break;
	    case 5: returnAdr = PReg -> IY; break;
	    case 6: returnAdr = PReg -> AF1; break;
	    case 7: returnAdr = PReg -> BC1; break;
	    case 8: returnAdr = PReg -> DE1; break;
	    case 9: returnAdr = PReg -> HL1; break;
	    case 10: returnAdr = PReg -> SP; break;
	    case 11: returnAdr = PReg -> PC; break;
	  }
	  return 1;
	}
      i++;
    }
  return 0;
}

unsigned int PrevedHexa(char c)
{
  c -= '0';
  if (c > 9) c -= 'A' - '0' - 10;
  if (c > 0x0f) c -= 'a' - 'A';
  return c;
}

unsigned DecodeAdress()
{
  int i, i1;
  char c;
  unsigned Pom;

  if ( isRegister() )
    {
      Pom = returnAdr;
    }
   else
    {
      if ( tolower(CL[Cur] != 'd' ) )
	{
	  i = Cur;
	  while (((c = CL[i]) >= '0' && c <= '9') ||
	     (c >= 'A' && c <= 'F') ||
	     (c >= 'a' && c <= 'f')) i++;
	  i1 = i;
	  i--;
	  Pom = 0;
	  if (i >= Cur)
	  Pom = PrevedHexa(CL[i--]);
	  if (i >= Cur)
	    Pom = (PrevedHexa(CL[i--]) << 4) | Pom;
	  if (i >= Cur)
	  Pom = (PrevedHexa(CL[i--]) << 8) | Pom;
	  if (i >= Cur)
	    Pom = (PrevedHexa(CL[i--]) << 12) | Pom;
	  Cur = i1;
	}
       else
	{
	  Cur++; Pom = 0; unsigned exp10 = 1;
	  while ( ((c = CL[Cur]) >= '0') && (c <= '9') ) Cur++;
	  i = Cur - 1;
	  while ( ( tolower(CL[i]) != 'd' ) && ( exp10 <= 10000 ) )
	    {
	      Pom = Pom + ( ( CL[i--] - '0' ) * exp10 );
	      if ( exp10 == 10000 ) exp10 = 11000;
		else exp10 *= 10;
	    }
	}
    }
  switch ( CL[Cur] ) {
    case '+': Cur++; return Pom + DecodeAdress();
    case '-': Cur++; return Pom - DecodeAdress();
    case '*': Cur++; return Pom * DecodeAdress();
    case '/': Cur++; return Pom / DecodeAdress();
  }
  return Pom;
}

void showMapInfo()
{
  gotoxy(1, 3); cputs("System mode : MZ-");
  if ( PSTSMEM -> MODE != 0 ) cputs("800"); else cputs("700");
  gotoxy(1, 5); cputs("Memory mapping :");
  gotoxy(1, 6); cputs("  0000-0FFF   ");
  if ( (PSTSMEM -> MEMSTS & 1) != 0 ) cputs("ROM"); else cputs("RAM");
  gotoxy(1, 7); cputs("  1000-1FFF   ");
  if ( (PSTSMEM -> MEMSTS & 2) != 0 ) cputs("CGROM"); else cputs("RAM");
  gotoxy(1, 8);
  if ( PSTSMEM -> MODE != 0 )
    {
      cputs("  8000-");
      if ( PSTSMEM -> VMODE < 4 ) cputs("9FFF   "); else cputs("BFFF   ");
      if ( (PSTSMEM -> MEMSTS & 4) != 0 ) cputs("V");
      cputs("RAM");
      gotoxy(1, 9);
      cputs("  E000-FFFF   ");
      if ( (PSTSMEM -> MEMSTS & 8) != 0 ) cputs("ROM"); else cputs("RAM");
    }
   else
    {
      cputs("  C000-CFFF   ");
      if ( (PSTSMEM -> MEMSTS & 4) != 0 ) cputs("PCG ");
      cputs("RAM");
      gotoxy(1, 9);
      cputs("  D000-DFFF   ");
      if ( (PSTSMEM -> MEMSTS & 8) != 0 ) cputs("V");
      cputs("RAM");
      gotoxy(1, 10);
      cputs("  E010-FFFF   ");
      if ( (PSTSMEM -> MEMSTS & 8) != 0 ) cputs("ROM"); else cputs("RAM");
    }
}

struct infVideo {
unsigned char wrtf;
char nic1;
unsigned char readf;
};

infVideo far *pInfVideo;

extern "C" void far *getPtrVideo();

void showVideoInfo()
{
  pInfVideo = (infVideo*)getPtrVideo();
  gotoxy(40, 3); cputs("Video mode : ");
  switch ( PSTSMEM -> VMODE ) {
    case 0: cputs("320x200 (A)  4"); break;
    case 1: cputs("320x200 (B)  4"); break;
    case 2: cputs("320x200 16"); break;
    case 3: cputs("--- INVALID ---"); break;
    case 4: cputs("640x200 (A)  2"); break;
    case 5: cputs("640x200 (B)  2"); break;
    case 6: cputs("640x200 4"); break;
    case 8: cputs("40x25 (chars) 8"); break;
  };
  cputs(" colors");
  gotoxy(40, 4); cputs("Write mode : ");
  cprintf( "%02X ", pInfVideo -> wrtf );
  gotoxy(40, 5); cputs("Read mode  : ");
  cprintf( "%02X ", pInfVideo -> readf );
}

extern "C" unsigned char getLowIntrAdr();

void showIntrInfo()
{
  gotoxy(40, 7); cputs("Interrupt : ");
  unsigned adr = getLowIntrAdr();
  if ( _BL == 0xff ) cputs("ENABLED"); else cputs("DISABLED");
  gotoxy(40, 8); cputs("Interrupt adress (PIO-A) : ");
  cprintf("%04X", (PReg -> I << 8) | adr );
}

void showSInfo()
{
  textattr(0x1e); clrscr();
  gotoxy(30, 1); textattr(0x1a); cputs("S Y S T E M     I N F O");
  textattr(0x1e);
  showMapInfo();
  showVideoInfo();
  showIntrInfo();
  gotoxy(25, 25); textattr(0x1f); cputs("Press any key to return. ");
  getchars();
}

void SpectrumLoad()
{
  Cur = 2;
  unsigned where = DecodeAdress();
  Cur++;
  if ( CL[Cur] == 0 ) { ErrPrm(); return; }
  unsigned why = DecodeAdress();
  Cur++;
  if ( CL[Cur] == 0 ) { ErrPrm(); return; }
  int Handle;
  if ( ( Handle = open( &CL[Cur], O_RDONLY | O_BINARY ) ) != -1 )
    {
      unsigned size;
      while ( why > 0 )
	{
	  read( Handle, &size, 2 );
	  lseek( Handle, size + 2, SEEK_CUR );
	  why--;
	}
      read( Handle, &size, 2 );
      read( Handle, &why, 1 );
      read( Handle, &PRAM[ where ], size );
      close( Handle );
    }
   else
    WaitStatusLine("Open error. ");
}

void DosLoad()
{
  Cur = 2;
  unsigned where = DecodeAdress(); Cur++;
  if ( CL[Cur] == 0 ) { ErrPrm(); return; }
  int Handle;
  if ( ( Handle = open( &CL[Cur], O_RDONLY | O_BINARY ) ) != -1 )
    {
      read( Handle, &PRAM[ where ], 0xffff - where );	// maximum
      close( Handle );
    }
   else
    WaitStatusLine("Open error. ");
}

void SetMemory()
{
  Cur = 2;
  unsigned where = DecodeAdress(); Cur++;
  unsigned size = DecodeAdress(); Cur++;
  if ( CL[Cur] == 0 ) { ErrPrm(); return; }
  unsigned who = DecodeAdress(); Cur++;
  setmem( &PRAM[ where], size, who );
}

void Calc()
{
  Cur = 2;
  char s[20];
  if ( CL[ Cur ] == 0 ) { ErrPrm(); return; }
  unsigned co = DecodeAdress();
  sprintf( s, "Value : %04X", co );
  WaitStatusLine( s );
}

void RamDisk()
{
  if ( RDHandle == -1 )
    {
      WaitStatusLine( "RAM-disk isn't enabled !!!" );
      return;
    }
  Cur = 3;
  unsigned kam, dokud;
  long old;
  char s[40];
  if ( CL[2] == 0 ) { ErrPrm(); return; }
  switch ( CL[2] ) {
    case 'x': if ( CL[3] != 0 )
		ramDiskPage = DecodeAdress() & 0x7;
	      sprintf( s, "Current page : %01X ", ramDiskPage );
	      WaitStatusLine( s );
	      break;
    case 'r':
	      old = lseek( RDHandle, 0, SEEK_CUR );
	      if ( CL[3] == 0 )
		{
		  lseek( RDHandle, ramDiskPage * 0x10000, SEEK_SET );
		  if ( (unsigned)_read( RDHandle, &PRAM[ 0 ], 0x8000 ) != 0x8000 ||
		       (unsigned)_read( RDHandle, &PRAM[ 0x8000 ], 0x8000 ) != 0x8000 )
		    WaitStatusLine( "Read error. " );
		}
	       else
		{
		  kam = DecodeAdress(); Cur++;
		  dokud = DecodeAdress(); Cur++;
		  lseek( RDHandle, ( ramDiskPage * 0x10000 ) + kam, SEEK_SET );
		  dokud -= kam;
		  if ( _read( RDHandle, &PRAM[ kam ], dokud ) != dokud )
		    WaitStatusLine( "Read error. " );
		}
	      lseek( RDHandle, old, SEEK_SET );
	      break;
    case 'w':
	      old = lseek( RDHandle, 0, SEEK_CUR );
	      if ( CL[3] == 0 )
		{
		  lseek( RDHandle, ramDiskPage * 0x10000, SEEK_SET );
		  if ( (unsigned)_write( RDHandle, &PRAM[ 0 ], 0x8000 ) != 0x8000 ||
		       (unsigned)_write( RDHandle, &PRAM[ 0x8000 ], 0x8000 ) != 0x8000 )
		    WaitStatusLine( "Write error. " );
		}
	       else
		{
		  kam = DecodeAdress(); Cur++;
		  dokud = DecodeAdress(); Cur++;
		  lseek( RDHandle, ( ramDiskPage * 0x10000 ) + kam, SEEK_SET );
		  dokud -= kam;
		  if ( _write( RDHandle, &PRAM[ kam ], dokud ) != dokud )
		    WaitStatusLine( "Write error. " );
		}
	      lseek( RDHandle, old, SEEK_SET );
	      break;
    default: ErrPrm();
  }
}
